webpackJsonp([57],{

/***/ 133:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DistrictListPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__map_view_map_view__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__station_list_station_list__ = __webpack_require__(134);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__angular_platform_browser__ = __webpack_require__(12);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var DistrictListPage = (function () {
    function DistrictListPage(platform, sanitizer, navCtrl, navParams, http, loadingCtrl, storage, alertCtrl) {
        this.platform = platform;
        this.sanitizer = sanitizer;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.loadingCtrl = loadingCtrl;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.type = 1;
        this.name = "沈阳";
        this.timeType = 0;
        this.hasbar = false;
        this.dataList = [
            {
                sensor: "",
                unit: ""
            }
        ];
        this.counts = "";
        this.sensorList = [];
        this.nameList = [];
        this.valueList = [];
        this.timeList = [];
        this.typeValue = "tsp";
        this.type = navParams.get("type");
        this.name = navParams.get("name");
    }
    DistrictListPage.prototype.ionViewDidLoad = function () {
        this.getTime();
    };
    DistrictListPage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    DistrictListPage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    DistrictListPage.prototype.backIndex = function () {
        this.navCtrl.pop();
    };
    DistrictListPage.prototype.showBar = function () {
        var _this = this;
        this.hasbar = true;
        setTimeout(function () {
            _this.setChart();
        }, 100);
    };
    DistrictListPage.prototype.showMap = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__map_view_map_view__["a" /* MapViewPage */], {
            type: this.type,
            districtId: 0,
            name: this.name
        });
    };
    DistrictListPage.prototype.hideBar = function () {
        this.hasbar = false;
    };
    DistrictListPage.prototype.setChart = function () {
        var ctx = this.container.nativeElement;
        this.chart = echarts.init(ctx);
        this.chart.setOption({
            backgroundColor: "#4ebc63",
            grid: {
                x: -20,
                y: 20,
                x2: 10,
                y2: 10,
                containLabel: true
            },
            color: ["#8fd59f"],
            tooltip: {
                trigger: "axis",
                axisPointer: {
                    type: "shadow"
                }
            },
            xAxis: [
                {
                    type: "category",
                    data: this.nameList,
                    axisTick: {
                        show: false
                    },
                    axisLine: {
                        lineStyle: {
                            color: "#8fd59f"
                        }
                    },
                    splitLine: {
                        show: false
                    }
                }
            ],
            yAxis: [
                {
                    type: "value",
                    show: false
                }
            ],
            series: [
                {
                    name: "直接访问",
                    type: "bar",
                    barWidth: "40%",
                    label: {
                        show: true,
                        position: "top",
                        textStyle: {
                            color: "#fff"
                        }
                    },
                    data: this.valueList
                }
            ]
        });
    };
    DistrictListPage.prototype.timeSearch = function (timeType) {
        this.timeType = timeType;
        this.getData();
    };
    DistrictListPage.prototype.changeType = function () {
        this.getData();
    };
    DistrictListPage.prototype.getInitType = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var params = {
                monitorAreaTypeIds: _this.type
            };
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: params
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/importantSensorsThreeSy", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.sensorList = result.data;
                        for (var i = 0; i < result.data.length; i++) {
                            if (result.data[i].primary) {
                                if (result.data[i].name == "tsp") {
                                    _this.getData();
                                }
                                else {
                                    _this.typeValue = result.data[i].name;
                                }
                            }
                        }
                    }
                    else {
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    DistrictListPage.prototype.getData = function () {
        var _this = this;
        // 网络请求
        this.storage.get("authentication").then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    sensorType: _this.typeValue,
                    sort: "desc",
                    monitorAreaType: _this.type,
                    timeType: _this.timeType,
                    versions: 1
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/sampleMonitorAnalyze/districtsRank", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.loader.dismiss();
                        _this.dataList = result.data.districtRankQueries;
                        _this.counts = result.data.amount;
                        _this.nameList = [];
                        _this.valueList = [];
                        for (var i = 0; i < result.data.districtRankQueries.length; i++) {
                            _this.nameList.push(result.data.districtRankQueries[i].districtName);
                            _this.valueList.push({
                                value: result.data.districtRankQueries[i].value,
                                itemStyle: {
                                    shadowColor: result.data.districtRankQueries[i].levelColor,
                                    shadowOffsetY: -3
                                }
                            });
                        }
                        if (_this.hasbar) {
                            _this.setChart();
                        }
                    }
                    else {
                        var alert_2 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_2.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    DistrictListPage.prototype.getTime = function () {
        var _this = this;
        // 网络请求
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/extRealTime", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.timeList = result.data;
                        _this.timeType = result.data[0].timeType;
                        _this.getInitType();
                    }
                    else {
                        var alert_3 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_3.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    DistrictListPage.prototype.stationList = function (item) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__station_list_station_list__["a" /* StationListPage */], {
            districtId: item.districtId,
            districtName: item.districtName,
            type: this.type,
            sensor: this.typeValue
        });
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])("barchart"),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* ElementRef */])
    ], DistrictListPage.prototype, "container", void 0);
    DistrictListPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: "page-district-list",template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\district-list\district-list.html"*/'<ion-header>\n    <div class="header">\n        <div class="top">\n            <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n            <span class="name">{{name}}</span>\n            <img src="assets/imgs/city/1.png" class="pic" *ngIf="!hasbar" (click)="showBar()" />\n            <!-- <img src="assets/imgs/city/map.png" class="maplogo" (click)="showMap()" /> -->\n            <ion-icon name="md-grid" class="mdgrider" *ngIf="hasbar" (click)="hideBar()"></ion-icon>\n        </div>\n        <div class="segment">\n            <div class="item" *ngFor="let item of timeList" [ngClass]="{\'select\':item.timeType == timeType}" (click)="timeSearch(item.timeType)">{{item.timeTypeName}}</div>\n        </div>\n    </div>\n</ion-header>\n\n<ion-content>\n    <div class="chart" *ngIf="hasbar" id="barchart" #barchart></div>\n\n    <div class="table">\n        <div class="pix">\n            <span *ngIf="typeValue == \'tsp\'">数值单位: mg/m³</span>\n            <span *ngIf="typeValue != \'tsp\'">数值单位: μg/m³</span>\n            <span>{{counts}}</span>\n        </div>\n        <table class="data">\n            <thead>\n                <tr>\n                    <th>排名</th>\n                    <th>区名</th>\n                    <th>汇总数</th>\n                    <th>\n                        <ion-select class="iselect" [(ngModel)]="typeValue" interface="popover" (ionChange)=\'changeType()\'>\n                            <ion-option *ngFor="let item of sensorList" value="{{item.name}}">{{item.ename}}</ion-option>\n                        </ion-select>\n                    </th>\n                </tr>\n            </thead>\n            <tbody *ngIf="dataList.length">\n                <tr *ngFor="let item of dataList" (click)="stationList(item)">\n                    <td>{{item.rank}}</td>\n                    <td>{{item.districtName}}</td>\n                    <td>{{item.count}}</td>\n                    <td>\n                        <span class="value" [ngStyle]="{\'background\':item.levelColor }">{{item.value}}</span>\n                    </td>\n                </tr>\n            </tbody>\n            <tbody *ngIf="!dataList.length">\n                <tr>\n                    <td colspan="4">暂无数据！</td>\n                </tr>\n            </tbody>\n        </table>\n    </div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\district-list\district-list.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_6__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], DistrictListPage);
    return DistrictListPage;
}());

//# sourceMappingURL=district-list.js.map

/***/ }),

/***/ 134:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return StationListPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__map_view_map_view__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__singlespot_detail_singlespot_detail__ = __webpack_require__(135);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__angular_platform_browser__ = __webpack_require__(12);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var StationListPage = (function () {
    function StationListPage(platform, sanitizer, navCtrl, navParams, http, storage, loadingCtrl, alertCtrl) {
        this.platform = platform;
        this.sanitizer = sanitizer;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.storage = storage;
        this.loadingCtrl = loadingCtrl;
        this.alertCtrl = alertCtrl;
        this.districtId = 0;
        this.districtName = "";
        this.type = 1;
        this.dataList = [
            {
                sensor: "",
                unit: ""
            }
        ];
        this.mounts = "";
        this.timeType = 0;
        this.cityList = [];
        this.sensorList = [];
        this.timeList = [];
        this.typeValue = "tsp";
        this.districtId = navParams.get("districtId");
        this.districtName = navParams.get("districtName");
        this.type = navParams.get("type");
        this.typeValue = navParams.get("sensor");
    }
    StationListPage.prototype.ionViewDidLoad = function () {
        this.getDistricts();
    };
    StationListPage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    StationListPage.prototype.showMap = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__map_view_map_view__["a" /* MapViewPage */], {
            type: this.type,
            districtId: this.districtId,
            name: this.districtName
        });
    };
    StationListPage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    StationListPage.prototype.backIndex = function () {
        this.navCtrl.pop();
    };
    StationListPage.prototype.notificationSelect = function (item) {
        this.districtId = item.id;
        this.districtName = item.name;
        this.getData();
    };
    StationListPage.prototype.timeSearch = function (timeType) {
        this.timeType = timeType;
        this.getData();
    };
    StationListPage.prototype.changeType = function () {
        this.getData();
    };
    StationListPage.prototype.getInitType = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var params = {
                monitorAreaTypeIds: _this.type,
                districtId: _this.districtId
            };
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: params
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/importantSensorsThreeSy", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.sensorList = result.data;
                        // for(let i = 0;i < result.data.length;i++){
                        //   if(result.data[i].primary){
                        //     if(result.data[i].name == 'tsp'){
                        //     }else{
                        //       this.typeValue = result.data[i].name;
                        //     }
                        //   }
                        // }
                        _this.getData();
                    }
                    else {
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    StationListPage.prototype.getData = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    sensorType: _this.typeValue,
                    sort: "desc",
                    monitorAreaType: _this.type,
                    districtId: _this.districtId,
                    timeType: _this.timeType,
                    versions: 1
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl +
                    "/v4/sampleMonitorAnalyze/monitorStationRank", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.loader.dismiss();
                        _this.dataList = result.data.monitorStationRanks;
                        _this.mounts = result.data.amount;
                    }
                    else {
                        var alert_2 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_2.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    StationListPage.prototype.getTime = function () {
        var _this = this;
        // 网络请求
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/extRealTime", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.timeList = result.data;
                        _this.timeType = result.data[0].timeType;
                        _this.getInitType();
                    }
                    else {
                        var alert_3 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_3.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    StationListPage.prototype.getDistricts = function () {
        var _this = this;
        // 网络请求
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/districts", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.cityList = result.data;
                        _this.getTime();
                    }
                    else {
                        var alert_4 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_4.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    StationListPage.prototype.detail = function (item) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__singlespot_detail_singlespot_detail__["a" /* SinglespotDetailPage */], {
            monitorStationId: item.monitorStationId,
            shortName: item.shortName,
            type: this.type,
            typeValue: this.typeValue
        });
    };
    StationListPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: "page-station-list",template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\station-list\station-list.html"*/'<ion-header>\n    <div class="header">\n        <div class="top">\n            <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n            <div class="name">\n                <ion-select class="iselect" [(ngModel)]="districtId" okText="确认" cancelText="取消" [selectOptions]="selectOptions" interface="popover">\n                    <ion-option (ionSelect)="notificationSelect(item)" value="{{item.id}}" *ngFor="let item of cityList; let i = index">{{item.name}}</ion-option>\n                </ion-select>\n            </div>\n            <!-- <img src="assets/imgs/city/map.png" class="maplogo" (click)="showMap()" /> -->\n        </div>\n        <div class="segment">\n            <div class="item" *ngFor="let item of timeList" [ngClass]="{\'select\':item.timeType == timeType}" (click)="timeSearch(item.timeType)">{{item.timeTypeName}}</div>\n        </div>\n    </div>\n</ion-header>\n\n<ion-content>\n    <div class="table">\n        <div class="pix">\n            <span *ngIf="typeValue == \'tsp\'">数值单位: mg/m³</span>\n            <span *ngIf="typeValue != \'tsp\'">数值单位: μg/m³</span>\n            <span>{{mounts}}</span>\n        </div>\n        <table class="data">\n            <thead>\n                <tr>\n                    <th>排名</th>\n                    <th>监测点</th>\n                    <th>\n                        <ion-select class="iselect" [(ngModel)]="typeValue" interface="popover" (ionChange)=\'changeType()\'>\n                          <ion-option *ngFor="let item of sensorList" value="{{item.name}}">{{item.ename}}</ion-option>\n                        </ion-select>\n                    </th>\n                </tr>\n            </thead>\n            <tbody *ngIf="dataList.length">\n                <tr *ngFor="let item of dataList" (click)="detail(item)">\n                    <td class="rank">{{item.rank}}</td>\n                    <td class="shortName">{{item.shortName}}</td>\n                    <td class="value">\n                        <span [ngStyle]="{\'background\':item.levelColor }">{{item.value}}</span>\n                    </td>\n                </tr>\n\n            </tbody>\n            <tbody *ngIf="!dataList.length">\n                <tr>\n                    <td colspan="4">暂无数据！</td>\n                </tr>\n            </tbody>\n        </table>\n    </div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\station-list\station-list.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_6__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], StationListPage);
    return StationListPage;
}());

//# sourceMappingURL=station-list.js.map

/***/ }),

/***/ 135:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SinglespotDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__dateformat__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__angular_platform_browser__ = __webpack_require__(12);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var SinglespotDetailPage = (function () {
    function SinglespotDetailPage(platform, sanitizer, navCtrl, navParams, http, loadingCtrl, storage, alertCtrl) {
        this.platform = platform;
        this.sanitizer = sanitizer;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.loadingCtrl = loadingCtrl;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.monitorStationId = 1;
        this.timeType = 3;
        this.dataList = [
            {
                unit: "",
                sensor: "",
                pmStationName: ""
            }
        ];
        this.nameList = [];
        this.valueList = [];
        this.sensorList = [];
        this.pmStationValue = [];
        this.timeList = [];
        this.hasVideo = false;
        this.videoData = {};
        this.beginTime = "";
        this.endTime = "";
        this.typeValue = "tsp";
        this.type = "";
        this.isVideo = false;
        this.monitorStationId = navParams.get("monitorStationId");
        this.shortName = navParams.get("shortName");
        this.type = navParams.get("type");
        this.typeValue = navParams.get("typeValue");
        console.log(this.typeValue);
    }
    SinglespotDetailPage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    SinglespotDetailPage.prototype.isOrVideo = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    type: '视频'
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/sy/alertSupervise/button", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.isVideo = result.data.show;
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    // 获取视频id
    SinglespotDetailPage.prototype.getIsShowCamera = function () {
        var _this = this;
        // 网络请求
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/sampleMonitorAnalyze/videoButton", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.hasVideo = result.data.isButton;
                        _this.getCameraId();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    // 获取视频id
    SinglespotDetailPage.prototype.getCameraId = function () {
        var _this = this;
        // 网络请求
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/camerasList/" + _this.monitorStationId, options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        if (result.data) {
                            // this.hasVideo = true;
                            _this.videoData = result.data;
                        }
                        else {
                            // this.hasVideo = false;
                        }
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    // 播放视频
    SinglespotDetailPage.prototype.showVideo = function () {
        this.getData();
        this.getHalfData();
        cordova.plugins.HikvisionPlugin.coolMethod(this.videoData);
    };
    SinglespotDetailPage.prototype.ionViewDidLoad = function () {
        this.isOrVideo();
        this.initTime();
        this.getTime();
        this.getIsShowCamera();
    };
    SinglespotDetailPage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    SinglespotDetailPage.prototype.backIndex = function () {
        this.navCtrl.pop();
    };
    SinglespotDetailPage.prototype.initTime = function () {
        var beginTime = this.formatPastDay(0);
        var endTime = this.formatPastDay(0);
        this.beginTime = beginTime;
        this.endTime = endTime;
    };
    SinglespotDetailPage.prototype.formatPastDay = function (day) {
        var date = new Date(new Date(new Date().toLocaleDateString()).getTime() +
            60 * 60 * 24 * day * 1000);
        var to = {
            Y: date.getFullYear() < 9 ? "0" + date.getFullYear() : date.getFullYear(),
            M: date.getMonth() + 1 < 9
                ? "0" + (date.getMonth() + 1)
                : date.getMonth() + 1,
            D: date.getDate() < 9 ? "0" + date.getDate() : date.getDate()
        };
        var time = to["Y"] + "-" + to["M"] + "-" + to["D"];
        return time;
    };
    SinglespotDetailPage.prototype.getBeginTime = function () {
        var $ele = this;
        $("#beginTime")
            .mobiscroll()
            .date({
            theme: "android-ics light",
            lang: "zh",
            dateFormat: "yy-mm-dd",
            dateOrder: "yyyymmdd",
            onSelect: function () {
                $ele.getData();
                $ele.getHalfData();
            }
        });
    };
    SinglespotDetailPage.prototype.getEndTime = function () {
        $("#endTime")
            .mobiscroll()
            .date({
            theme: "android-ics light",
            lang: "zh",
            dateFormat: "yy-mm-dd",
            dateOrder: "yyyymmdd"
        });
    };
    SinglespotDetailPage.prototype.timeSpace = function (start, end) {
        var startstamp = new Date(start.substring(0, 19).replace(/-/g, "/")).getTime();
        var endstamp = new Date(end.substring(0, 19).replace(/-/g, "/")).getTime();
        var differ = (endstamp / 1000 - startstamp / 1000) / (60 * 60 * 24);
        return differ;
    };
    SinglespotDetailPage.prototype.setChart = function () {
        var ctx = document.getElementById("linechart");
        this.chart = echarts.init(ctx);
        this.chart.resize();
        this.chart.setOption({
            grid: {
                x: 20,
                y: 30,
                x2: 20,
                y2: 0,
                containLabel: true
            },
            legend: {
                show: false,
                data: [
                    {
                        name: "点位数值",
                        icon: "triangle",
                        textStyle: {
                            color: "#fff"
                        }
                    },
                    {
                        name: "全市均值",
                        icon: "diamond",
                        textStyle: {
                            color: "#fff"
                        }
                    }
                ]
            },
            tooltip: {
                show: false,
                trigger: "axis",
                position: function (point) {
                    return [point[0], "10%"];
                },
                axisPointer: {
                    type: "shadow"
                }
            },
            xAxis: [
                {
                    type: "category",
                    data: this.nameList,
                    boundaryGap: false,
                    show: false,
                    axisLabel: {
                        interval: 0
                    },
                    axisTick: {
                        show: false
                    },
                    axisLine: {
                        onZero: false,
                        lineStyle: {
                            color: "#fff"
                        }
                    },
                    splitLine: {
                        show: false
                    },
                    nameTextStyle: {
                        color: "#fff"
                    }
                }
            ],
            // dataZoom: [
            //     {
            //         type: 'inside',
            //         throttle:'0',
            //         minValueSpan:4,
            //         filterMode: 'none',
            //         start: 0,
            //         realtime : true,
            //         end: 100 / (this.valueList.length / 5)
            //     }
            // ],
            yAxis: [
                {
                    type: "value",
                    axisLabel: {
                        interval: 0
                    },
                    show: false,
                    axisTick: {
                        show: true
                    },
                    axisLine: {
                        onZero: true,
                        lineStyle: {
                            color: "#fff"
                        }
                    },
                    splitLine: {
                        show: true
                    },
                    nameTextStyle: {
                        color: "#fff"
                    }
                }
            ],
            series: [
                {
                    name: "点位数值",
                    type: "line",
                    color: "#0ad5f3",
                    itemStyle: {
                        shadowColor: "#61ff62",
                        shadowOffsetY: -3,
                        normal: {
                            label: {
                                show: true,
                                position: "top",
                                textStyle: {
                                    color: "#fff"
                                }
                            }
                        }
                    },
                    markPoint: {
                        show: true
                    },
                    data: this.valueList
                },
                {
                    name: "全市均值",
                    type: "line",
                    color: "#42abba",
                    itemStyle: {
                        shadowColor: "#85e217",
                        shadowOffsetY: -3,
                        normal: {
                            label: {
                                show: false,
                                position: "top",
                                textStyle: {
                                    color: "#fff"
                                }
                            }
                        }
                    },
                    markPoint: {
                        show: true
                    },
                    data: this.pmStationValue
                }
            ]
        });
    };
    SinglespotDetailPage.prototype.timeSearch = function (timeType) {
        this.timeType = timeType;
        this.getData();
        this.getHalfData();
    };
    SinglespotDetailPage.prototype.search = function () {
        this.getData();
        this.getHalfData();
    };
    SinglespotDetailPage.prototype.changeType = function () {
        this.getData();
        this.getHalfData();
    };
    SinglespotDetailPage.prototype.getInitType = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            // this.presentLoading();
            var params = {
                monitorAreaTypeIds: _this.type,
                monitorStationId: _this.monitorStationId
            };
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: params
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl +
                    "/v4/" +
                    _this.monitorStationId +
                    "/importantSensorsThreeSy", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        // this.loader.dismiss();
                        _this.sensorList = result.data;
                        _this.getData();
                        _this.getHalfData();
                    }
                    else {
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    SinglespotDetailPage.prototype.getHalfData = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    sensorType: _this.typeValue,
                    beginTime: $("#beginTime").val() + " 00:00:00",
                    // endTime: $("#endTime").val() + " 23:59:59",
                    monitorStationId: _this.monitorStationId,
                    timeType: _this.timeType,
                    half: 1
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl +
                    "/v4/sampleMonitorAnalyze/singleMonitorStationAndContrast", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.nameList = [];
                        _this.valueList = [];
                        _this.pmStationValue = [];
                        for (var i = 0; i < result.data.length; i++) {
                            result.data[i].time = Object(__WEBPACK_IMPORTED_MODULE_4__dateformat__["a" /* default */])(result.data[i].time, "yyyy-MM-dd hh:mm:ss");
                            _this.nameList.unshift(result.data[i].time);
                            _this.valueList.unshift(result.data[i].value);
                            _this.pmStationValue.unshift(result.data[i].pmStationValue);
                            if (i == result.data.length - 1) {
                                $("#linechart").css("width", result.data.length * 38 + "px");
                                $("#chartDiv").scrollLeft($("#chartDiv")[0].scrollWidth);
                                _this.setChart();
                            }
                        }
                    }
                    else {
                        var alert_2 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_2.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    SinglespotDetailPage.prototype.getData = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    sensorType: _this.typeValue,
                    beginTime: $("#beginTime").val() + " 00:00:00",
                    // endTime: $("#endTime").val() + " 23:59:59",
                    monitorStationId: _this.monitorStationId,
                    timeType: _this.timeType
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl +
                    "/v4/sampleMonitorAnalyze/singleMonitorStationAndContrast", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.loader.dismiss();
                        for (var i = 0; i < result.data.length; i++) {
                            result.data[i].time = Object(__WEBPACK_IMPORTED_MODULE_4__dateformat__["a" /* default */])(result.data[i].time, "yyyy-MM-dd hh:mm:ss");
                        }
                        _this.dataList = result.data;
                    }
                    else {
                        var alert_3 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_3.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    SinglespotDetailPage.prototype.getTime = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/extRealTime", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.timeList = result.data;
                        _this.timeType = result.data[0].timeType;
                        _this.getInitType();
                    }
                    else {
                        var alert_4 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_4.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])("linechart"),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* ElementRef */])
    ], SinglespotDetailPage.prototype, "container", void 0);
    SinglespotDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: "page-singlespot-detail",template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\singlespot-detail\singlespot-detail.html"*/'<ion-header>\n    <div class="header">\n        <div class="top">\n            <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n            <span class="name">{{shortName}}</span>\n            <div class="video" (click)="showVideo()" *ngIf="isVideo">视频</div>\n        </div>\n        <div class="segment">\n            <div class="item" *ngFor="let item of timeList" [ngClass]="{\'select\':item.timeType == timeType}" (click)="timeSearch(item.timeType)">{{item.timeTypeName}}</div>\n        </div>\n        <div class="time">\n            <div class="item">\n                <input id="beginTime" [(ngModel)]="beginTime" placeholder="开始时间" (focus)="getBeginTime()" readonly="readonly" />\n                <img src="assets/imgs/rili.png" class="rili" />\n                <!-- <img src="assets/imgs/search.png" class="btn" (click)="search()" /> -->\n            </div>\n            <!-- <div class="item">\n              <input id="endTime" [(ngModel)]="endTime" placeholder="结束时间" (focus)="getEndTime()" readonly="readonly" />\n              <img src="assets/imgs/rili.png" class="rili" />\n          </div> -->\n            <!-- <div class="item">\n            </div> -->\n        </div>\n    </div>\n</ion-header>\n\n<ion-content>\n    <div class="legend">\n        <span class="dot" style="background: #0ad5f3;"></span>\n        <span>点位数值</span>\n        <span class="dot" style="background: #42abba;margin-left: 2rem;"></span>\n        <span>全市均值</span>\n    </div>\n    <div class="chartDiv" id="chartDiv">\n        <div class="chart" id="linechart" #linechart></div>\n    </div>\n    <div class="table">\n        <div class="pix">\n            <span *ngIf="typeValue == \'tsp\'">数值单位: mg/m³</span>\n            <span *ngIf="typeValue != \'tsp\'">数值单位: μg/m³</span>\n        </div>\n        <table class="data">\n            <thead>\n                <tr>\n                    <th>排名</th>\n                    <th>时间</th>\n                    <th>\n                        <ion-select class="iselect" [(ngModel)]="typeValue" interface="popover" (ionChange)=\'changeType()\'>\n                          <ion-option *ngFor="let item of sensorList" value="{{item.name}}">{{item.ename}}</ion-option>\n                        </ion-select>\n                    </th>\n                </tr>\n            </thead>\n            <tbody *ngIf="dataList.length">\n                <tr *ngFor="let item of dataList">\n                    <td>{{item.rank}}</td>\n                    <td>{{item.time}}</td>\n                    <td>\n                        <span class="value" [ngStyle]="{\'background\':item.levelColor }">{{item.value}}</span>\n                    </td>\n                </tr>\n            </tbody>\n            <tbody *ngIf="!dataList.length">\n                <tr>\n                    <td colspan="4">暂无数据！</td>\n                </tr>\n            </tbody>\n        </table>\n    </div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\singlespot-detail\singlespot-detail.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_5__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], SinglespotDetailPage);
    return SinglespotDetailPage;
}());

//# sourceMappingURL=singlespot-detail.js.map

/***/ }),

/***/ 136:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AddToReportPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_file__ = __webpack_require__(106);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_transfer__ = __webpack_require__(108);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_file_path__ = __webpack_require__(109);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_camera__ = __webpack_require__(28);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};










var AddToReportPage = (function () {
    function AddToReportPage(navCtrl, camera, transfer, file, filePath, actionSheetCtrl, toastCtrl, platform, loadingCtrl, storage, http, alertCtrl, navParams) {
        this.navCtrl = navCtrl;
        this.camera = camera;
        this.transfer = transfer;
        this.file = file;
        this.filePath = filePath;
        this.actionSheetCtrl = actionSheetCtrl;
        this.toastCtrl = toastCtrl;
        this.platform = platform;
        this.loadingCtrl = loadingCtrl;
        this.storage = storage;
        this.http = http;
        this.alertCtrl = alertCtrl;
        this.navParams = navParams;
        this.lastImage = null;
        this.alertId = "";
        this.gaming = 0;
        this.departmentList = [];
        this.alertId = navParams.get('alertId');
        this.parentPage = navParams.get('alertId');
    }
    AddToReportPage.prototype.ionViewDidLoad = function () {
        this.initDepartments();
    };
    AddToReportPage.prototype.initDepartments = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.get(config.serverUrl + '/v4/sy/alertSupervise/departments', options).subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.departmentList = result.data;
                        if (_this.departmentList.length > 0) {
                            _this.gaming = _this.departmentList[0].id;
                        }
                        else {
                            var alert_1 = _this.alertCtrl.create({
                                subTitle: "未获取到推送对象",
                                buttons: ['OK']
                            });
                            alert_1.present();
                        }
                    }
                    else {
                        var alert_2 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_2.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    AddToReportPage.prototype.presentActionSheet = function () {
        var _this = this;
        var actionSheet = this.actionSheetCtrl.create({
            title: '选择图片',
            buttons: [
                {
                    text: '从相册中选择',
                    handler: function () {
                        _this.takePicture(_this.camera.PictureSourceType.PHOTOLIBRARY);
                    }
                },
                {
                    text: '拍照',
                    handler: function () {
                        _this.takePicture(_this.camera.PictureSourceType.CAMERA);
                    }
                },
                {
                    text: '取消',
                    role: 'cancel'
                }
            ]
        });
        actionSheet.present();
    };
    AddToReportPage.prototype.takePicture = function (sourceType) {
        var _this = this;
        // Create options for the Camera Dialog
        var options = {
            quality: 100,
            sourceType: sourceType,
            saveToPhotoAlbum: false,
            correctOrientation: true
        };
        // Get the data of an image
        this.camera.getPicture(options).then(function (imagePath) {
            // Special handling for Android library
            if (_this.platform.is('android') && sourceType === _this.camera.PictureSourceType.PHOTOLIBRARY) {
                _this.filePath.resolveNativePath(imagePath)
                    .then(function (filePath) {
                    var correctPath = filePath.substr(0, filePath.lastIndexOf('/') + 1);
                    var currentName = imagePath.substring(imagePath.lastIndexOf('/') + 1, imagePath.lastIndexOf('?'));
                    _this.copyFileToLocalDir(correctPath, currentName, _this.createFileName());
                });
            }
            else {
                var currentName = imagePath.substr(imagePath.lastIndexOf('/') + 1);
                var correctPath = imagePath.substr(0, imagePath.lastIndexOf('/') + 1);
                _this.copyFileToLocalDir(correctPath, currentName, _this.createFileName());
            }
        }, function (err) {
            _this.presentToast('选择照片发生错误');
        });
    };
    // Create a new name for the image
    AddToReportPage.prototype.createFileName = function () {
        var d = new Date(), n = d.getTime(), newFileName = n + ".jpg";
        return newFileName;
    };
    // Copy the image to a local folder
    AddToReportPage.prototype.copyFileToLocalDir = function (namePath, currentName, newFileName) {
        var _this = this;
        this.file.copyFile(namePath, currentName, cordova.file.dataDirectory, newFileName).then(function (success) {
            _this.lastImage = newFileName;
        }, function (error) {
            _this.presentToast('存储文件发生错误');
        });
    };
    AddToReportPage.prototype.presentToast = function (text) {
        var toast = this.toastCtrl.create({
            message: text,
            duration: 3000,
            position: 'top'
        });
        toast.present();
    };
    // Always get the accurate path to your apps folder
    AddToReportPage.prototype.pathForImage = function (img) {
        if (img === null) {
            return '';
        }
        else {
            return cordova.file.dataDirectory + img;
        }
    };
    AddToReportPage.prototype.uploadImage = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            // Destination URL
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                var url = config.serverUrl + "/v4/sy/alertSupervise/" + _this.alertId + "/alertsDaily";
                // File for Upload
                var targetPath = _this.pathForImage(_this.lastImage);
                // File name only
                var filename = _this.lastImage;
                var options = {
                    headers: headers,
                    fileKey: "file",
                    fileName: filename,
                    chunkedMode: false,
                    mimeType: "multipart/form-data",
                    params: { 'departmentId': _this.gaming }
                };
                var fileTransfer = _this.transfer.create();
                _this.loading = _this.loadingCtrl.create({
                    content: '上传中...',
                });
                _this.loading.present();
                // Use the FileTransfer to upload the image
                fileTransfer.upload(targetPath, url, options).then(function (data) {
                    _this.loading.dismissAll();
                    _this.presentToast('上传图片成功');
                }, function (err) {
                    _this.loading.dismissAll();
                    _this.presentToast('上传图片失败');
                });
            });
        });
    };
    AddToReportPage.prototype.backIndex = function () {
        this.navCtrl.pop();
    };
    AddToReportPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-add-to-report',template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\add-to-report\add-to-report.html"*/'<ion-header>\n\n  <div class="header">\n\n    <div class="top">\n\n      <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n\n      <span class="name">加入日报</span>\n\n    </div>\n\n  </div>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <div class="body">\n\n    <ion-list>\n\n      <ion-item>\n\n        <ion-label>推送给：</ion-label>\n\n        <ion-select [(ngModel)]="gaming" interface="popover">\n\n          <ion-option *ngFor="let item of departmentList" value="{{item.id}}">{{item.name}}</ion-option>\n\n        </ion-select>\n\n      </ion-item>\n\n    </ion-list>\n\n    <img src="{{pathForImage(lastImage)}}" style="width: 100%" [hidden]="lastImage === null">\n\n    <div class="select-photo">\n\n      <button class="photo-btn" ion-button icon-left (click)="presentActionSheet()">\n\n        <ion-icon name="camera"></ion-icon>选择照片\n\n      </button>\n\n    </div>\n\n  </div>\n\n</ion-content>\n\n\n\n<ion-footer>\n\n  <div class="footer">\n\n    <ion-toolbar color="primary">\n\n      <ion-buttons class="footer-btns">\n\n        <button class="footer-btn" ion-button icon-left (click)="uploadImage()" [disabled]="lastImage === null">\n\n          <ion-icon name="cloud-upload"></ion-icon>提交\n\n        </button>\n\n      </ion-buttons>\n\n    </ion-toolbar>\n\n  </div>\n\n</ion-footer>\n\n\n\n<!-- <ion-header>\n\n  <ion-navbar color="primary">\n\n    <ion-title>\n\n      Devdactic Image Upload\n\n    </ion-title>\n\n  </ion-navbar>\n\n</ion-header>\n\n \n\n<ion-content padding>\n\n  <img src="{{pathForImage(lastImage)}}" style="width: 100%" [hidden]="lastImage === null">\n\n  <h3 [hidden]="lastImage !== null">Please Select Image!</h3>\n\n</ion-content>\n\n \n\n<ion-footer>\n\n  <ion-toolbar color="primary">\n\n    <ion-buttons>\n\n      <button ion-button icon-left (click)="presentActionSheet()">\n\n        <ion-icon name="camera"></ion-icon>Select Image\n\n      </button>\n\n      <button ion-button icon-left (click)="uploadImage()" [disabled]="lastImage === null">\n\n        <ion-icon name="cloud-upload"></ion-icon>Upload\n\n      </button>\n\n    </ion-buttons>\n\n  </ion-toolbar>\n\n</ion-footer> -->'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\add-to-report\add-to-report.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_7__ionic_native_camera__["a" /* Camera */], __WEBPACK_IMPORTED_MODULE_5__ionic_native_transfer__["a" /* Transfer */], __WEBPACK_IMPORTED_MODULE_4__ionic_native_file__["a" /* File */], __WEBPACK_IMPORTED_MODULE_6__ionic_native_file_path__["a" /* FilePath */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* ActionSheetController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* ToastController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* Platform */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */], __WEBPACK_IMPORTED_MODULE_3__angular_http__["b" /* Http */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */]])
    ], AddToReportPage);
    return AddToReportPage;
}());

//# sourceMappingURL=add-to-report.js.map

/***/ }),

/***/ 137:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return IndexViewPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__district_list_district_list__ = __webpack_require__(133);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__spots_category_spots_category__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__manage_manage__ = __webpack_require__(69);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__dateformat__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__dots_view_dots_view__ = __webpack_require__(72);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};










var IndexViewPage = (function () {
    function IndexViewPage(platform, navCtrl, navParams, http, storage, alertCtrl) {
        this.platform = platform;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        // chart: any;
        this.dataList = [];
        this.objData = {
            updateTime: ""
        };
    }
    IndexViewPage.prototype.setChart1 = function () {
        var ctx = this.chart1.nativeElement;
        echarts.init(ctx).resize();
        echarts.init(ctx).setOption({
            series: [
                {
                    type: "pie",
                    radius: ["90%", "95%"],
                    avoidLabelOverlap: false,
                    label: {
                        normal: {
                            show: false,
                            position: "center"
                        },
                        emphasis: {
                            show: true,
                            textStyle: {
                                fontSize: "30",
                                fontWeight: "bold"
                            }
                        }
                    },
                    labelLine: {
                        normal: {
                            show: false
                        }
                    },
                    data: [
                        {
                            value: this.dataList[0].green,
                            itemStyle: {
                                color: "#38e506"
                            }
                        },
                        {
                            value: this.dataList[0].red,
                            itemStyle: {
                                color: "#fb4f3d"
                            }
                        },
                        {
                            value: this.dataList[0].yellow,
                            itemStyle: {
                                color: "#dcd00b"
                            }
                        }
                    ]
                }
            ]
        });
    };
    IndexViewPage.prototype.setChart2 = function () {
        var ctx = this.chart2.nativeElement;
        echarts.init(ctx).resize();
        echarts.init(ctx).setOption({
            series: [
                {
                    type: "pie",
                    radius: ["90%", "95%"],
                    avoidLabelOverlap: false,
                    label: {
                        normal: {
                            show: false,
                            position: "center"
                        },
                        emphasis: {
                            show: true,
                            textStyle: {
                                fontSize: "30",
                                fontWeight: "bold"
                            }
                        }
                    },
                    labelLine: {
                        normal: {
                            show: false
                        }
                    },
                    data: [
                        {
                            value: this.dataList[1].green,
                            itemStyle: {
                                color: "#38e506"
                            }
                        },
                        {
                            value: this.dataList[1].red,
                            itemStyle: {
                                color: "#fb4f3d"
                            }
                        },
                        {
                            value: this.dataList[1].yellow,
                            itemStyle: {
                                color: "#dcd00b"
                            }
                        }
                    ]
                }
            ]
        });
    };
    IndexViewPage.prototype.setChart3 = function () {
        var ctx = this.chart3.nativeElement;
        echarts.init(ctx).resize();
        echarts.init(ctx).setOption({
            series: [
                {
                    type: "pie",
                    radius: ["90%", "95%"],
                    avoidLabelOverlap: false,
                    label: {
                        normal: {
                            show: false,
                            position: "center"
                        },
                        emphasis: {
                            show: true,
                            textStyle: {
                                fontSize: "30",
                                fontWeight: "bold"
                            }
                        }
                    },
                    labelLine: {
                        normal: {
                            show: false
                        }
                    },
                    data: [
                        {
                            value: this.dataList[2].green,
                            itemStyle: {
                                color: "#38e506"
                            }
                        },
                        {
                            value: this.dataList[2].red,
                            itemStyle: {
                                color: "#fb4f3d"
                            }
                        },
                        {
                            value: this.dataList[2].yellow,
                            itemStyle: {
                                color: "#dcd00b"
                            }
                        }
                    ]
                }
            ]
        });
    };
    IndexViewPage.prototype.setChart4 = function () {
        var ctx = this.chart4.nativeElement;
        echarts.init(ctx).resize();
        echarts.init(ctx).setOption({
            series: [
                {
                    type: "pie",
                    radius: ["90%", "95%"],
                    avoidLabelOverlap: false,
                    label: {
                        normal: {
                            show: false,
                            position: "center"
                        },
                        emphasis: {
                            show: true,
                            textStyle: {
                                fontSize: "30",
                                fontWeight: "bold"
                            }
                        }
                    },
                    labelLine: {
                        normal: {
                            show: false
                        }
                    },
                    data: [
                        {
                            value: this.dataList[3].green,
                            itemStyle: {
                                color: "#38e506"
                            }
                        },
                        {
                            value: this.dataList[3].red,
                            itemStyle: {
                                color: "#fb4f3d"
                            }
                        },
                        {
                            value: this.dataList[3].yellow,
                            itemStyle: {
                                color: "#dcd00b"
                            }
                        }
                    ]
                }
            ]
        });
    };
    IndexViewPage.prototype.getVersion = function () {
        var _this = this;
        // 网络请求
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            _this.storage.get("configApp").then(function (val) {
                var plt = "ios";
                if (_this.platform.is("android")) {
                    plt = "android";
                }
                var config = JSON.parse(val);
                var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                    headers: headers,
                    params: {
                        currentVersion: config.latestVersion,
                        platform: plt
                    }
                });
                _this.http
                    .get(config.serverUrl + "/v4/appUpdateInfo", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        if (result.data.update) {
                            if (result.data.force) {
                                var alert_1 = _this.alertCtrl.create({
                                    subTitle: result.data.updateText,
                                    buttons: ["OK"]
                                });
                                alert_1.present();
                                _this.exit();
                            }
                            else {
                                var alert_2 = _this.alertCtrl.create({
                                    subTitle: result.data.updateText,
                                    buttons: ["OK"]
                                });
                                alert_2.present();
                            }
                        }
                    }
                    else {
                        var alert_3 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_3.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    IndexViewPage.prototype.getData = function () {
        var _this = this;
        // 网络请求
        this.storage.get("authentication").then(function (val) {
            var params = {
                versions: 1
            };
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({ headers: headers, params: params });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/pmStationDetail", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.objData = result.data;
                        _this.objData.updateTime = Object(__WEBPACK_IMPORTED_MODULE_7__dateformat__["a" /* default */])(_this.objData.updateTime, "yyyy-MM-dd hh:mm:ss");
                    }
                    else {
                        var alert_4 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_4.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    IndexViewPage.prototype.typeClick = function (arr, name) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__district_list_district_list__["a" /* DistrictListPage */], {
            type: arr,
            name: name
        });
    };
    IndexViewPage.prototype.stationList = function (item) {
        // window.sessionStorage.setItem('datas',this.selected);
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_8__dots_view_dots_view__["a" /* DotsViewPage */], {
            initIds: "0",
            districtId: item ? item.districtId : 0,
            districtName: item ? item.districtName : "",
            type: 1,
            keys: this.keys
        });
    };
    IndexViewPage.prototype.getMonitorAreaTypeLevel = function () {
        var _this = this;
        // 网络请求
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({ headers: headers });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl +
                    "/v4/sampleMonitorAnalyze/monitorAreaTypeLevel", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.dataList = result.data;
                        _this.setChart1();
                        _this.setChart2();
                        _this.setChart3();
                        _this.setChart4();
                    }
                    else {
                        var alert_5 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_5.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    IndexViewPage.prototype.ionViewDidEnter = function () {
        var _this = this;
        this.getData();
        this.getVersion();
        this.getMonitorAreaTypeLevel();
        if (this.platform.is("ios")) {
            this.storage.get("remmberPrivacy").then(function (val) {
                if (val != 1) {
                    var alert_6 = _this.alertCtrl.create({
                        title: "温馨提示",
                        message: "欢迎使用沈阳蓝天卫士APP！我们非常重视用户的隐私和个人信息保护，在使用APP之前请认真阅读<a href='http://shenyang.hbjk.com.cn:86/privacy.html'>隐私条款</a>，您同意并接受全部条款后可开始使用我们的服务。",
                        buttons: [
                            {
                                text: "知道了",
                                handler: function (data) {
                                    _this.storage.set("remmberPrivacy", 1);
                                }
                            }
                        ]
                    });
                    alert_6.present();
                }
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    title: "温馨提示",
                    message: "欢迎使用沈阳蓝天卫士APP！我们非常重视用户的隐私和个人信息保护，在使用APP之前请认真阅读<a href='http://shenyang.hbjk.com.cn:86/privacy.html'>隐私条款</a>，您同意并接受全部条款后可开始使用我们的服务。",
                    buttons: [
                        {
                            text: "知道了",
                            handler: function (data) {
                                _this.storage.set("remmberPrivacy", 1);
                            }
                        }
                    ]
                });
                alert.present();
            });
        }
    };
    IndexViewPage.prototype.nextPage = function (param) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__manage_manage__["a" /* ManagePage */], {
            type: param
        });
    };
    IndexViewPage.prototype.exit = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__spots_category_spots_category__["a" /* SpotsCategoryPage */]);
    };
    IndexViewPage.prototype.showNormal = function (item) {
        var _this = this;
        var con = "";
        item.forEach(function (its) {
            con += "<div  class='msgs f" + its.color + "' >" + its.msg + "</div>";
        });
        this.storage.get("configApp").then(function (val) {
            var alert = _this.alertCtrl.create({
                title: "",
                message: con,
                buttons: [
                    {
                        text: "确定",
                        handler: function (data) { }
                    }
                ]
            });
            alert.present();
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])("chart1"),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* ElementRef */])
    ], IndexViewPage.prototype, "chart1", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])("chart2"),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* ElementRef */])
    ], IndexViewPage.prototype, "chart2", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])("chart3"),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* ElementRef */])
    ], IndexViewPage.prototype, "chart3", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])("chart4"),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* ElementRef */])
    ], IndexViewPage.prototype, "chart4", void 0);
    IndexViewPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: "page-index-view",template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\index-view\index-view.html"*/'<ion-content>\n    <div class="content">\n        <img src="assets/imgs/index/menu.png" menuToggle class="menuIcon" />\n        <img src="assets/imgs/index/1.png" class="backImg" />\n        <ion-icon name="md-exit" class="exit" (click)="exit()"></ion-icon>\n        <div class="location">\n            <img src="assets/imgs/index/3.png" class="spot" />\n            <span class="cityName">{{objData.pointName}}</span>\n            <span class="updateTime">{{objData.updateTime}}</span>\n        </div>\n        <div class="stationName">\n          <ion-input placeholder="点位名或设备号查询" style="width: 100%;height: 70%" [(ngModel)]="keys"></ion-input>\n          <img src="assets/imgs/searchWhite.png" (click)="stationList()" />\n        </div>\n        <div class="typeList">\n            <div class="item" (click)="showNormal(objData.weatherApiDataMsgVos)">\n                <img src="assets/imgs/index/14.png" class="itembg" />\n                <div class="title">AQI</div>\n                <div class="logo">\n                    <span>{{objData.qlty}}</span>\n                </div>\n                <div class="value">{{objData.aqi}}</div>\n            </div>\n            <div class="item">\n                <img src="assets/imgs/index/14.png" class="itembg" />\n                <div class="title">湿度</div>\n                <div class="logo">\n                    <img src="assets/imgs/index/9.png" />\n                </div>\n                <div class="value">{{objData.hum}}</div>\n            </div>\n            <div class="item">\n                <img src="assets/imgs/index/14.png" class="itembg" />\n                <div class="title">风速风向</div>\n                <div class="logo">\n                    <img src="assets/imgs/index/winds.png" />\n                </div>\n                <div class="value">{{objData.windSc}}级</div>\n            </div>\n        </div>\n        <div class="stationList">\n            <div class="station">\n                <div class="item" (click)="typeClick([2,4],\'道路/沙场\')">\n                    <div class="chart" id="chart1" #chart1></div>\n                    <img src="assets/imgs/index/2.png" class="pic" />\n                    <div>道路/沙场</div>\n                </div>\n                <div class="item" (click)="typeClick([1],\'建筑工地\')">\n                    <div class="chart" id="chart2" #chart2></div>\n                    <img src="assets/imgs/index/6.png" class="pic" />\n                    <div>建筑工地</div>\n                </div>\n            </div>\n            <div class="station">\n                <div class="item" (click)="typeClick([6,7,8],\'堆场/企业/锅炉房\')">\n                    <div class="chart" id="chart3" #chart3></div>\n                    <img src="assets/imgs/index/8.png" class="pic" />\n                    <div>堆场/企业/锅炉房</div>\n                </div>\n                <div class="item" (click)="typeClick([5],\'企业搅拌站\')">\n                    <div class="chart" id="chart4" #chart4></div>\n                    <img src="assets/imgs/index/7.png" class="pic" />\n                    <div>企业搅拌站</div>\n                </div>\n            </div>\n            <div style="height: 7rem;"></div>\n        </div>\n\n        <div class="fixBtn">\n            <div class="legend">\n                <span class="circle" style=\'background: #41d914;\'></span>\n                <span>好</span>\n                <span class="circle" style=\'background: #f3fd55;margin-left: 20px;\'></span>\n                <span>中</span>\n                <span class="circle" style=\'background: #fc4141;margin-left: 20px;\'></span>\n                <span>差</span>\n            </div>\n            <div class="els">\n                <div class="el" style="border: 0px;" (click)="nextPage([2,4])">\n                    <img src="assets/imgs/logo/5.png" />\n                </div>\n                <div class="el" (click)="nextPage([1])">\n                    <img src="assets/imgs/logo/6.png" />\n                </div>\n                <div class="el" (click)="nextPage([6,7,8])">\n                    <img src="assets/imgs/logo/7.png" />\n                </div>\n                <div class="el" (click)="nextPage([5])">\n                    <img src="assets/imgs/logo/8.png" />\n                </div>\n            </div>\n        </div>\n    </div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\index-view\index-view.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], IndexViewPage);
    return IndexViewPage;
}());

//# sourceMappingURL=index-view.js.map

/***/ }),

/***/ 138:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SecondMapPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_in_app_browser__ = __webpack_require__(37);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_app_availability__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__second_detail_second_detail__ = __webpack_require__(70);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__slide_menu_slide_menu__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__second_dot_info_second_dot_info__ = __webpack_require__(71);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};











var SecondMapPage = (function () {
    function SecondMapPage(platform, iab, appAvailability, navCtrl, navParams, http, storage, alertCtrl, loadingCtrl, sanitizer) {
        this.platform = platform;
        this.iab = iab;
        this.appAvailability = appAvailability;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.loadingCtrl = loadingCtrl;
        this.sanitizer = sanitizer;
        this.map = null;
        this.stationList = [];
        this.pmstationList = [];
        this.timeType = 0;
        this.timeList = [];
        this.stationDetail = {
            monitorStationName: "",
            name: "",
            unit: "",
            value: "",
            time: "",
            monitorStationId: 0
        };
        this.monitorArea = "";
        this.districtId = -1;
        this.type = "";
        this.name = "点位地图";
        this.sensorValueColor = [];
        this.markers = [];
        this.pmmarkers = [];
        this.sensorList = [];
        this.keys = "";
        this.hasAmap = false;
        this.hasBmap = false;
        this.showMapChoose = false;
        this.monitorTypes = [];
        this.monitorName = "";
        this.destinationName = "";
        this.latBD9 = "";
        this.lonBD9 = "";
        this.latGCJ2 = "";
        this.lonGCJ2 = "";
        this.selectOptions = {
            title: "行业类型"
        };
        this.typeValue = "tsp";
        this.pmData = [];
        this.pmFirName = 1;
        this.pmStationId = -1;
        this.nameList = [];
        this.districtId = navParams.get("districtId");
        this.name = navParams.get("name");
        var navParamsData = navParams.get("data");
        if (navParamsData) {
            this.monitorArea = navParamsData.join(",");
        }
        else {
            this.monitorArea = navParams.data.join(",");
        }
        // this.initMap();
    }
    SecondMapPage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    SecondMapPage.prototype.backIndex = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_8__slide_menu_slide_menu__["a" /* SlideMenuPage */]);
    };
    SecondMapPage.prototype.timeSearch = function (timeType) {
        this.timeType = timeType;
        this.getData();
        this.getPMData();
    };
    SecondMapPage.prototype.getTime = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/extRealTime", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.timeList = result.data;
                        _this.timeType = result.data[0].timeType;
                        _this.getInitType();
                    }
                    else {
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    SecondMapPage.prototype.initMap = function () {
        this.map = new AMap.Map(this.mapContainer.nativeElement, {
            view: new AMap.View2D({
                zoom: 12,
                rotateEnable: true,
                showBuildingBlock: true
            })
        });
        this.map.setMapStyle("amap://styles/macaron");
        this.map.setCity("沈阳市");
        this.getTime();
        // this.getSensorValueColor();
    };
    SecondMapPage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    SecondMapPage.prototype.changeType = function () {
        this.getData();
        this.getPMData();
    };
    SecondMapPage.prototype.getInitType = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var params = {
                monitorAreaTypeIds: _this.monitorArea.split(",")
            };
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: params
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/importantSensorsThreeSy", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.sensorList = result.data;
                        for (var i = 0; i < result.data.length; i++) {
                            if (result.data[i].primary) {
                                if (result.data[i].name == "tsp") {
                                    _this.getData();
                                    _this.getPMData();
                                }
                                else {
                                    _this.typeValue = result.data[i].name;
                                }
                            }
                        }
                    }
                    else {
                        var alert_2 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_2.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    SecondMapPage.prototype.getData = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            // this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options;
            if (_this.keys) {
                options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                    headers: headers,
                    params: {
                        sensorType: _this.typeValue,
                        sort: "desc",
                        keyword: _this.keys,
                        monitorAreaTypeIds: _this.monitorArea.split(","),
                        districtId: -1,
                        timeType: _this.timeType
                    }
                });
            }
            else {
                options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                    headers: headers,
                    params: {
                        sensorType: _this.typeValue,
                        sort: "desc",
                        monitorAreaTypeIds: _this.monitorArea.split(","),
                        districtId: -1,
                        timeType: _this.timeType,
                        pmStationId: _this.pmStationId
                    }
                });
            }
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/mapMonitorStation", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        // this.loader.dismiss();
                        _this.stationList = result.data;
                        if (result.message) {
                            _this.nameList = result.message.split(",");
                        }
                        else {
                            _this.nameList = [];
                        }
                        _this.setMarker();
                    }
                    else {
                        var alert_3 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_3.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    SecondMapPage.prototype.getPMData = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            // this.presentLoading();
            // this.map.clearMap();
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {}
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/mapPmApiStation", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        // this.loader.dismiss();
                        _this.pmstationList = result.data;
                        _this.setPmMarker();
                    }
                    else {
                        var alert_4 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_4.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    SecondMapPage.prototype.getPMCsite = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            // this.presentLoading();
            _this.map.clearMap();
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {}
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/mapPmApiStation", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        // this.loader.dismiss();
                        _this.pmData = result.data;
                        _this.pmData.unshift({
                            pmStationId: -1,
                            position_name: "全部"
                        });
                        _this.pmFirName = _this.pmData[0].pmStationId;
                        // this.setPmMarker();
                    }
                    else {
                        var alert_5 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_5.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    SecondMapPage.prototype.setMarker = function () {
        var _this = this;
        this.markers.forEach(function (item) {
            _this.map.remove(item);
        });
        var stationList = this.stationList;
        for (var i = 0; i < stationList.length; i++) {
            var bgcolor = stationList[i].color;
            // bgcolor = bgcolor.split('#')[1]
            var content = "<div class='map_marker_circle' style='background: " +
                bgcolor +
                "'></div>";
            var marker = new AMap.Marker({
                map: this.map,
                position: [stationList[i].longitude, stationList[i].latitude],
                content: content
            });
            // 点位点击获取详情
            marker.extData = {
                potData: stationList[i]
            };
            marker.on("click", function (e) {
                var potData = e.target.extData.potData;
                _this.stationDetail = potData;
                _this.storage.set("monitorStationName", potData.monitorStation_Name);
                _this.storage.set("monitorStationId", potData.monitorStationId);
                setTimeout(function () {
                    // let content = document.getElementById('stationDetail').innerHTML;
                    var content = "<div class='dotDetaill'>" +
                        "<div class='title'>" +
                        "<span id='name'>" +
                        potData.monitorStation_Name +
                        "</span>" +
                        "</div>" +
                        "<div class='detail'>" +
                        "<div class='el'>" +
                        "<span>" +
                        potData.name +
                        "</span>" +
                        "<span>(</span>" +
                        "<span>" +
                        potData.unit +
                        "</span>" +
                        "<span>)</span>" +
                        "<span>: </span>" +
                        "<span>" +
                        potData.value +
                        "</span>" +
                        "</div>" +
                        "<div class='el'>" +
                        "<span>更新时间: </span>" +
                        "<span>" +
                        potData.time +
                        "</span>" +
                        "</div>" +
                        "<div class='el' style='text-align:center;'><button onclick=\"document.getElementById('detail').click()\">数据</button>" +
                        "<button onclick=\"document.getElementById('nav').click()\">导航</button>" +
                        "<button onclick=\"document.getElementById('views').click()\">查看</button></div>" +
                        "</div>" +
                        "</div>";
                    var infoWindow = new AMap.InfoWindow({
                        offset: new AMap.Pixel(-4, -10)
                    });
                    infoWindow.setContent(content);
                    infoWindow.open(_this.map, e.target.getPosition());
                    _this.getDestinationLonAndLat();
                }, 100);
                // this.getLatestDaySamples(potData.monitorStationId,e);
            });
            this.markers.push(marker);
        }
        this.map.setFitView();
    };
    SecondMapPage.prototype.setPmMarker = function () {
        var _this = this;
        var pmstationList = this.pmstationList;
        for (var i = 0; i < pmstationList.length; i++) {
            var bgcolor = pmstationList[i].aqiColor;
            // bgcolor = bgcolor.split('#')[1];
            var content = "<div class='map_marker_circle' style='background-image: url(assets/imgs/map/" +
                bgcolor +
                ".png)'>" +
                "</div>";
            var marker = new AMap.Marker({
                map: this.map,
                position: [pmstationList[i].longitude, pmstationList[i].latitude],
                content: content
            });
            // 点位点击获取详情
            marker.extData = {
                potData: pmstationList[i]
            };
            marker.on("click", function (e) {
                var potData = e.target.extData.potData;
                _this.stationDetail = potData;
                _this.storage.set("monitorStationName", potData.position_name);
                _this.storage.set("monitorStationId", potData.pmStationId);
                setTimeout(function () {
                    // let content = document.getElementById('stationDetail').innerHTML;
                    var content = "<div class='pmdotDetaill'>" +
                        "<div class='title'>" +
                        "<span id='name'>" +
                        potData.position_name +
                        "</span>" +
                        "</div>" +
                        "<div class='detail'>" +
                        "<div class='el'>" +
                        "<span>AQI：" +
                        potData.aqi +
                        "</span>" +
                        "</div>" +
                        "<div class='el'>" +
                        "<span>PM10：" +
                        potData.pm10 +
                        "(μg/m<sup>3</sup>)</span>" +
                        "</div>" +
                        "<div class='el'>" +
                        "<span>PM2.5：" +
                        potData.pm25 +
                        "(μg/m<sup>3</sup>)</span>" +
                        "</div>" +
                        "<div class='el'>" +
                        "<span>SO2：" +
                        potData.so2 +
                        "(μg/m<sup>3</sup>)</span>" +
                        "</div>" +
                        "<div class='el'>" +
                        "<span>CO：" +
                        potData.co +
                        "(mg/m<sup>3</sup>)</span>" +
                        "</div>" +
                        "<div class='el'>" +
                        "<span>NO2：" +
                        potData.no2 +
                        "(μg/m<sup>3</sup>)</span>" +
                        "</div>" +
                        "<div class='el'>" +
                        "<span>O3：" +
                        potData.o3 +
                        "(μg/m<sup>3</sup>)</span>" +
                        "</div>" +
                        "<div class='el'>" +
                        "<span>更新时间: </span>" +
                        "<span>" +
                        potData.timeString +
                        "</span>" +
                        "</div>" +
                        "</div>;";
                    var infoWindow = new AMap.InfoWindow({
                        offset: new AMap.Pixel(-4, -10)
                    });
                    infoWindow.setContent(content);
                    infoWindow.open(_this.map, e.target.getPosition());
                    // this.getDestinationLonAndLat();
                }, 100);
                // this.getLatestDaySamples(potData.monitorStationId,e);
            });
            this.pmmarkers.push(marker);
        }
        this.map.setFitView();
    };
    SecondMapPage.prototype.getLatestDaySamples = function (id, e) {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    timeType: _this.timeType
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/monitorStations/" + id + "/latestSample", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.stationDetail = result.data;
                        setTimeout(function () {
                            // let content = document.getElementById('stationDetail').innerHTML;
                            var content = "<div class='dotDetaill'>" +
                                "<div class='title'>" +
                                "<span id='name'>" +
                                result.data.monitorStationName +
                                "</span>" +
                                "</div>" +
                                "<div class='detail'>" +
                                "<div class='el'>" +
                                "<span>" +
                                result.data.name +
                                "</span>" +
                                "<span>(</span>" +
                                "<span>" +
                                result.data.unit +
                                "</span>" +
                                "<span>)</span>" +
                                "<span>: </span>" +
                                "<span>" +
                                result.data.value +
                                "</span>" +
                                "</div>" +
                                "<div class='el'>" +
                                "<span>更新时间: </span>" +
                                "<span>" +
                                result.data.time +
                                "</span>" +
                                "</div>" +
                                "<div class='el' style='text-align:center;'><button onclick=\"document.getElementById('detail').click()\">数据</button>" +
                                "<button onclick=\"document.getElementById('nav').click()\">导航</button>" +
                                "<button onclick=\"document.getElementById('views').click()\">查看</button></div>" +
                                "</div>" +
                                "</div>;";
                            var infoWindow = new AMap.InfoWindow({
                                offset: new AMap.Pixel(-10, -10)
                            });
                            infoWindow.setContent(content);
                            infoWindow.open(_this.map, e.target.getPosition());
                            _this.getDestinationLonAndLat();
                        }, 500);
                    }
                });
            });
        });
    };
    SecondMapPage.prototype.getSensorValueColor = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/sensorValueColor", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.sensorValueColor = result.data;
                    }
                });
            });
        });
    };
    SecondMapPage.prototype.getBgColorFromValue = function (curValue, curName, sensorValueColor) {
        var bgcolor = "";
        if (curValue * 1 > 0) {
            sensorValueColor.forEach(function (item) {
                if (item.sensor == curName) {
                    item.valueColors.forEach(function (el) {
                        if (bgcolor == "") {
                            if (el.max == "") {
                                if (curValue * 1 > el.min * 1 || curValue * 1 == el.min * 1) {
                                    bgcolor = el.color;
                                }
                            }
                            else {
                                if ((curValue * 1 > el.min * 1 || curValue * 1 == el.min * 1) &&
                                    curValue * 1 < el.max * 1) {
                                    bgcolor = el.color;
                                }
                            }
                        }
                    });
                }
            });
        }
        else {
            bgcolor = "#c4c4c4";
        }
        return bgcolor;
    };
    SecondMapPage.prototype.dotDetail = function () {
        var _this = this;
        var id = "";
        var name = "";
        this.storage.get("monitorStationName").then(function (valname) {
            name = valname;
            _this.storage.get("monitorStationId").then(function (valid) {
                id = valid;
                console.log("jumpid:", id);
                console.log("jumpname:", name);
                _this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_7__second_detail_second_detail__["a" /* SecondDetailPage */], {
                    monitorId: id,
                    monitorName: name,
                    navParamsData: _this.navParams.data
                });
            });
        });
    };
    SecondMapPage.prototype.dotInfo = function () {
        var _this = this;
        var id = "";
        var name = "";
        this.storage.get("monitorStationName").then(function (valname) {
            name = valname;
            _this.storage.get("monitorStationId").then(function (valid) {
                id = valid;
                _this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_9__second_dot_info_second_dot_info__["a" /* SecondDotInfoPage */], {
                    monitorId: id,
                    monitorName: name
                });
            });
        });
    };
    SecondMapPage.prototype.openMap = function () {
        var _this = this;
        var appAmap = "";
        var appBmap = "";
        if (this.platform.is("ios")) {
            appAmap = "iosamap://";
            appBmap = "baidumap://";
        }
        else if (this.platform.is("android")) {
            appAmap = "com.autonavi.minimap";
            appBmap = "com.baidu.BaiduMap";
        }
        this.appAvailability.check(appAmap).then(function (yes) {
            _this.hasAmap = true;
        }, function (no) {
            _this.hasAmap = false;
        });
        this.appAvailability.check(appBmap).then(function (yes) {
            _this.hasBmap = true;
        }, function (no) {
            _this.hasBmap = false;
        });
        this.showMapChoose = true;
        // this.appAvailability.check(appAmap)
        // .then(
        // 	(yes: boolean) => {
        // 		// this.iab.create(urlAmap, '_system',{});
        // 		hasAmap = true;
        // 	},
        // 	(no: boolean) => {
        // 		/* 未安装，请编写提示代码或跳转下载 */
        // 		// const alert = this.alertCtrl.create({
        // 		//   subTitle: "不存在高德地图，快去下载~",
        // 		//   buttons: ['OK']
        // 		// });
        // 		// alert.present();
        // 		this.appAvailability.check(appBmap)
        // 		.then(
        // 			(yes: boolean) => {
        // 				this.iab.create(urlBmap, '_system',{});
        // 			},
        // 			(no: boolean) => {
        // 				window.open(" http://api.map.baidu.com/direction?origin=latlng:34.264642646862,108.95108518068|name:当前位置&destination=latlng:39.9761,116.3282|name:钓点位置&mode=driving&region=西安&output=html&src=yourCompanyName|yourAppName");
        // 			}
        // 		);
        // 	}
        // );
    };
    SecondMapPage.prototype.openByBrowser = function () {
        window.open(" http://api.map.baidu.com/direction?origin=latlng:34.264642646862,108.95108518068|name:当前位置&destination=latlng:39.9761,116.3282|name:钓点位置&mode=driving&region=西安&output=html&src=yourCompanyName|yourAppName");
    };
    SecondMapPage.prototype.openByAmap = function () {
        if (this.platform.is("ios")) {
            var urlAmap = "iosamap://viewMap?sourceApplication=applicationName&poiname=" +
                this.destinationName +
                "&lat=" +
                this.latGCJ2 +
                "&lon=" +
                this.lonGCJ2 +
                "&dev=1";
            this.iab.create(urlAmap, "_system", {});
        }
        else if (this.platform.is("android")) {
            var urlAmap = "androidamap://viewMap?sourceApplication=appname&poiname=" +
                this.destinationName +
                "&lat=" +
                this.latGCJ2 +
                "&lon=" +
                this.lonGCJ2 +
                "&dev=0";
            this.iab.create(urlAmap, "_system", {});
        }
    };
    SecondMapPage.prototype.openByBmap = function () {
        if (this.platform.is("ios")) {
            var urlBmap = "baidumap://map/marker?location=" +
                this.latBD9 +
                "," +
                this.lonBD9 +
                "&title=" +
                this.destinationName +
                "&content=" +
                this.destinationName +
                "&src=ios.baidu.openAPIdemo";
            this.iab.create(urlBmap, "_system", {});
        }
        else if (this.platform.is("android")) {
            var urlBmap = "baidumap://map/marker?location=" +
                this.latBD9 +
                "," +
                this.lonBD9 +
                "&title=" +
                this.destinationName +
                "&traffic=on&src=andr.baidu.openAPIdemo";
            this.iab.create(urlBmap, "_system", {});
        }
    };
    SecondMapPage.prototype.getDestinationLonAndLat = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    monitorStationId: _this.stationDetail["monitorStationId"]
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/destinationLonAndLat", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        var data = result.data;
                        _this.destinationName = data.destinationName;
                        _this.latBD9 = data.latBD9;
                        _this.lonBD9 = data.lonBD9;
                        _this.latGCJ2 = data.latGCJ2;
                        _this.lonGCJ2 = data.lonGCJ2;
                    }
                });
            });
        });
    };
    SecondMapPage.prototype.hideMapChoose = function () {
        this.showMapChoose = false;
    };
    SecondMapPage.prototype.ionViewDidEnter = function () {
        this.getMonitorType();
        this.initMap();
        this.getPMCsite();
    };
    SecondMapPage.prototype.getMonitorType = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            //   this.presentLoading();
            _this.map.clearMap();
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {}
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/app/monitorAreaTypesList", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        // this.loader.dismiss();
                        result.data.forEach(function (item) {
                            item.id = item.id.join(",");
                        });
                        _this.monitorTypes = result.data;
                    }
                    else {
                        var alert_6 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_6.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    SecondMapPage.prototype.changeSelect = function () {
        this.keys = "";
        this.getData();
        this.getPMData();
    };
    SecondMapPage.prototype.changeCsite = function (events) {
        this.keys = "";
        this.map.clearMap();
        this.pmStationId = events;
        this.getData();
        this.pmstationList = [];
        for (var i = 0; i < this.pmData.length; i++) {
            if (this.pmData[i].pmStationId == events && events != -1) {
                this.pmstationList.push(this.pmData[i]);
                this.setPmMarker();
                return;
            }
            else if (events == -1) {
                this.getPMData();
                return;
            }
        }
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])("map"),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* ElementRef */])
    ], SecondMapPage.prototype, "mapContainer", void 0);
    SecondMapPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: "page-second-map",template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\second-map\second-map.html"*/'<ion-header>\n    <div class="header">\n        <div class="top">\n            <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n            <span class="name">{{name}}</span>\n        </div>\n        <div class="segment">\n            <div class="item" *ngFor="let item of timeList" [ngClass]="{\'select\':item.timeType == timeType}" (click)="timeSearch(item.timeType)">{{item.timeTypeName}}</div>\n        </div>\n    </div>\n</ion-header>\n\n<ion-content>\n    <div class="fixMask" *ngIf="showMapChoose">\n        <div class="maskbg" (click)="hideMapChoose()"></div>\n        <div class="items">\n            <div *ngIf="hasAmap" (click)="openByAmap()">高德地图</div>\n            <div *ngIf="!hasAmap">高德地图[未安装]</div>\n            <div *ngIf="hasBmap" (click)="openByBmap()">百度地图</div>\n            <div *ngIf="!hasBmap">百度地图[未安装]</div>\n        </div>\n    </div>\n\n    <div #map class="map"></div>\n    <div id="stationDetail" style="display: none;">\n        <div class="dotDetaill">\n            <div class="title">\n                <span id="name">{{stationDetail.monitorStationName}}</span>\n            </div>\n            <div class="detail">\n                <div class="el">\n                    <span [innerHTML]="assembleHTML(stationDetail.name)"></span>\n                    <span>(</span>\n                    <span [innerHTML]="assembleHTML(stationDetail.unit)"></span>\n                    <span>)</span>\n                    <span>: </span>\n                    <span>{{stationDetail.value}}</span>\n                </div>\n                <div class="el">\n                    <span>更新时间: </span>\n                    <span>{{stationDetail.time}}</span>\n                </div>\n                <div class="el" style="text-align:center;">\n                    <button onclick="document.getElementById(\'detail\').click()">数据</button>\n                    <button onclick="document.getElementById(\'nav\').click()">导航</button>\n                    <button onclick="document.getElementById(\'views\').click()">查看</button>\n                </div>\n            </div>\n        </div>\n    </div>\n    <div style="display: none">\n        <input id="detail" style="width: 0;height:0" type="text" (click)="dotDetail()">\n        <input id="nav" style="width: 0" type="text" (click)="openMap()">\n        <input id="views" style="width: 0" type="text" (click)="dotInfo()">\n    </div>\n    <div class="searchs">\n        <ion-input placeholder="工地名或设备号查询" style="width: 100%;" [(ngModel)]="keys"></ion-input>\n        <div class="searchBtn"  (click)="getData()" >\n          <img src="assets/imgs/search.png"/>\n        </div>\n    </div>\n    <div class="districtName"  *ngIf="this.nameList.length >0">\n      <span  *ngFor="let item of nameList">{{item}}</span>\n    </div>\n    <div class="typeArea" style="margin-top: 20px;">\n        <ion-select class="iselect" [(ngModel)]="typeValue" style="max-width: 100%;" interface="popover" (ionChange)=\'changeType()\'>\n          <ion-option *ngFor="let item of sensorList" value="{{item.name}}">{{item.ename}}</ion-option>\n        </ion-select>\n    </div>\n    <div class="areaName">\n        <ion-select [(ngModel)]="monitorArea" (ionChange)="changeSelect()" interface="popover" style="vertical-align: middle;max-width: none;" [selectOptions]="selectOptions">\n            <ng-container *ngFor="let item of monitorTypes">\n                <ion-option value="{{item.id}}">{{item.name}}</ion-option>\n            </ng-container>\n        </ion-select>\n    </div>\n    <div class="pmName">\n      <ion-select [(ngModel)]="pmFirName" (ionChange)="changeCsite($event)" interface="popover" style="vertical-align: middle;max-width: none;" [selectOptions]="selectOptions">\n        <ng-container *ngFor="let item of pmData">\n          <ion-option value="{{item.pmStationId}}">{{item.position_name}}</ion-option>\n        </ng-container>\n      </ion-select>\n    </div>\n    <div class="legendColor">\n        <div>\n            <span></span><span>扬尘监测点</span>\n            <img src="assets/imgs/map/gkd_green.png" /> <span>国控点</span>\n        </div>\n    </div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\second-map\second-map.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_in_app_browser__["a" /* InAppBrowser */],
            __WEBPACK_IMPORTED_MODULE_6__ionic_native_app_availability__["a" /* AppAvailability */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__["c" /* DomSanitizer */]])
    ], SecondMapPage);
    return SecondMapPage;
}());

//# sourceMappingURL=second-map.js.map

/***/ }),

/***/ 139:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SecondDotTypePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__map_view_map_view__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__dots_view_dots_view__ = __webpack_require__(72);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__angular_platform_browser__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__slide_menu_slide_menu__ = __webpack_require__(23);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};










var SecondDotTypePage = (function () {
    function SecondDotTypePage(platform, sanitizer, navCtrl, navParams, http, loadingCtrl, storage, alertCtrl) {
        this.platform = platform;
        this.sanitizer = sanitizer;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.loadingCtrl = loadingCtrl;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.type = 1;
        this.keys = '';
        this.initIds = [];
        this.sensors = [];
        this.sensorList = [];
        this.monitorId = 0;
        this.name = "沈阳";
        this.timeType = 0;
        this.hasbar = false;
        this.selected = '';
        this.selectOptions = {
            title: '行业类型'
        };
        this.dataList = [
            {
                sensor: '',
                unit: ''
            }
        ];
        this.mounts = '';
        this.nameList = [];
        this.valueList = [];
        this.timeList = [];
        this.typeValue = 'tsp';
        this.monitorId = navParams.get('monitorId');
        this.name = navParams.get('monitorName');
        this.initIds = navParams.data;
        if (this.initIds.length > 0) {
            this.selected = this.initIds.join(',');
        }
        else {
            this.selected = window.sessionStorage.getItem('datas');
        }
    }
    SecondDotTypePage.prototype.ionViewDidLoad = function () {
        this.getTime();
    };
    SecondDotTypePage.prototype.ionViewDidEnter = function () {
        this.getImportantMonitor();
    };
    SecondDotTypePage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    SecondDotTypePage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    SecondDotTypePage.prototype.changeSelect = function () {
        this.keys = '';
        this.getData();
    };
    SecondDotTypePage.prototype.backIndex = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_7__slide_menu_slide_menu__["a" /* SlideMenuPage */]);
    };
    SecondDotTypePage.prototype.showBar = function () {
        this.hasbar = true;
        setTimeout(function () {
        }, 100);
    };
    SecondDotTypePage.prototype.showMap = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__map_view_map_view__["a" /* MapViewPage */], {
            type: this.type,
            districtId: 0,
            name: this.name
        });
    };
    SecondDotTypePage.prototype.hideBar = function () {
        this.hasbar = false;
    };
    SecondDotTypePage.prototype.timeSearch = function (timeType) {
        this.timeType = timeType;
        this.getData();
    };
    SecondDotTypePage.prototype.changeType = function () {
        this.getData();
    };
    SecondDotTypePage.prototype.getInitType = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            var params = {
                monitorAreaTypeIds: _this.initIds.length ? _this.initIds : [1]
            };
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: params
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.get(config.serverUrl + '/v4/importantSensorsThreeSy', options).subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.sensorList = result.data;
                        for (var i = 0; i < result.data.length; i++) {
                            if (result.data[i].primary) {
                                if (result.data[i].name == 'tsp') {
                                    _this.getData();
                                }
                                else {
                                    _this.typeValue = result.data[i].name;
                                }
                            }
                        }
                    }
                    else {
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    SecondDotTypePage.prototype.getData = function () {
        var _this = this;
        // 网络请求
        this.storage.get('authentication').then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var options;
            if (_this.keys) {
                options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                    headers: headers,
                    params: {
                        sensorType: _this.typeValue,
                        sort: "desc",
                        keyword: _this.keys,
                        monitorAreaType: _this.selected,
                        timeType: _this.timeType
                    }
                });
            }
            else {
                options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                    headers: headers,
                    params: {
                        sensorType: _this.typeValue,
                        sort: "desc",
                        monitorAreaType: _this.selected,
                        timeType: _this.timeType,
                        versions: 1
                    }
                });
            }
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.get(config.serverUrl + '/v4/sampleMonitorAnalyze/districtsRank', options).subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.loader.dismiss();
                        _this.dataList = result.data.districtRankQueries ? result.data.districtRankQueries : result.data;
                        console.log(_this.dataList);
                        _this.mounts = result.data.amount;
                        _this.nameList = [];
                        _this.valueList = [];
                        for (var i = 0; i < result.data.length; i++) {
                            _this.nameList.push(result.data[i].districtName);
                            _this.valueList.push({
                                value: result.data[i].value,
                                itemStyle: {
                                    shadowColor: result.data[i].levelColor,
                                    shadowOffsetY: -3
                                },
                            });
                        }
                        if (_this.hasbar) {
                        }
                    }
                    else {
                        _this.loader.dismiss();
                        var alert_2 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_2.present();
                    }
                });
            }, function (err) {
                _this.loader.dismiss();
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            _this.loader.dismiss();
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    SecondDotTypePage.prototype.getTime = function () {
        var _this = this;
        // 网络请求
        this.storage.get('authentication').then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.get(config.serverUrl + '/v4/extRealTime', options).subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.timeList = result.data;
                        _this.timeType = result.data[0].timeType;
                        // this.getData();
                    }
                    else {
                        var alert_3 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_3.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    SecondDotTypePage.prototype.stationList = function (item) {
        window.sessionStorage.setItem('datas', this.selected);
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__dots_view_dots_view__["a" /* DotsViewPage */], {
            initIds: this.selected,
            districtId: item ? item.districtId : 0,
            districtName: item ? item.districtName : '',
            type: this.type,
            keys: this.keys
        });
    };
    SecondDotTypePage.prototype.getImportantMonitor = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.get(config.serverUrl + '/v4/app/monitorAreaTypesList', options).subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        result.data.forEach(function (item) {
                            item.id = item.id.join(',');
                        });
                        _this.sensors = result.data;
                        _this.getInitType();
                    }
                    else {
                        var alert_4 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_4.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])('barchart'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* ElementRef */])
    ], SecondDotTypePage.prototype, "container", void 0);
    SecondDotTypePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-second-dot-type',template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\second-dot-type\second-dot-type.html"*/'<ion-header>\n    <div class="header">\n        <div class="top">\n            <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n            <span class="name">{{name}}</span>\n            <!--<img src="assets/imgs/city/1.png" class="pic" *ngIf="!hasbar" (click)="showBar()" />-->\n            <!-- <img src="assets/imgs/city/map.png" class="maplogo" (click)="showMap()" /> -->\n            <!--<ion-icon name="md-grid" class="mdgrider" *ngIf="hasbar" (click)="hideBar()"></ion-icon>-->\n        </div>\n        <div class="segment">\n            <div class="item" *ngFor="let item of timeList" [ngClass]="{\'select\':item.timeType == timeType}" (click)="timeSearch(item.timeType)">{{item.timeTypeName}}</div>\n        </div>\n        <div class="subTitle">\n            <div class="typeList">\n                <!--<span >行业类型</span>-->\n                <ion-select [(ngModel)]="selected" (ionChange)="changeSelect()" style="vertical-align: middle;display: inline-block;max-width: none;" cancelText="取消" okText="确定" [selectOptions]="selectOptions">\n                    <!--<ion-option value=\'0\'>全部</ion-option>-->\n                    <ng-container *ngFor="let item of sensors">\n                        <ion-option value="{{item.id}}">{{item.name}}</ion-option>\n                    </ng-container>\n                </ion-select>\n            </div>\n            <div class="stationName">\n                <ion-input placeholder="点位名或设备号查询" style="width: 100%" [(ngModel)]="keys"></ion-input>\n            </div>\n            <div class="btn">\n                <img src="assets/imgs/searchWhite.png" (click)="stationList()" />\n            </div>\n        </div>\n    </div>\n</ion-header>\n\n<ion-content>\n\n    <div class="table">\n        <div class="pix">\n            <span *ngIf="typeValue == \'tsp\'">数值单位: mg/m³</span>\n            <span *ngIf="typeValue != \'tsp\'">数值单位: μg/m³</span>\n            <span>{{mounts}}</span>\n        </div>\n        <table class="data">\n            <thead>\n                <tr>\n                    <th>排名</th>\n                    <th>区名</th>\n                    <th>汇总数</th>\n                    <th>\n                        <ion-select class="iselect" [(ngModel)]="typeValue" interface="popover" (ionChange)=\'changeType()\'>\n                          <ion-option *ngFor="let item of sensorList" value="{{item.name}}">{{item.ename}}</ion-option>\n                        </ion-select>\n                    </th>\n                </tr>\n            </thead>\n            <tbody *ngIf="dataList.length > 0">\n                <tr *ngFor="let item of dataList" (click)="stationList(item)">\n                    <td>{{item.rank}}</td>\n                    <td>{{item.districtName}}</td>\n                    <td>{{item.count}}</td>\n                    <td>\n                        <span class="value" [ngStyle]="{\'background\':item.levelColor }">{{item.value}}</span>\n                    </td>\n                </tr>\n            </tbody>\n            <tbody *ngIf="dataList.length == 0">\n                <tr>\n                    <td colspan="4">暂无数据！</td>\n                </tr>\n            </tbody>\n        </table>\n    </div>\n\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\second-dot-type\second-dot-type.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* Platform */], __WEBPACK_IMPORTED_MODULE_6__angular_platform_browser__["c" /* DomSanitizer */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__angular_http__["b" /* Http */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */], __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], SecondDotTypePage);
    return SecondDotTypePage;
}());

//# sourceMappingURL=second-dot-type.js.map

/***/ }),

/***/ 140:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return WarningPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__slide_menu_slide_menu__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__single_station_warning_single_station_warning__ = __webpack_require__(141);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__case_product_case_product__ = __webpack_require__(73);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var WarningPage = (function () {
    function WarningPage(platform, navCtrl, navParams, http, loadingCtrl, storage, alertCtrl) {
        this.platform = platform;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.loadingCtrl = loadingCtrl;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.alertStatus = "全部";
        this.dataList = [];
        this.hasVideo = false;
        this.videoData = {};
        this.beginTime = "";
        this.endTime = "";
        this.departmentId = window.sessionStorage.getItem('departmentId');
    }
    WarningPage.prototype.ionViewDidLoad = function () {
        this.initTime();
        this.getData();
    };
    WarningPage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    WarningPage.prototype.backIndex = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__slide_menu_slide_menu__["a" /* SlideMenuPage */]);
    };
    WarningPage.prototype.directNow = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__case_product_case_product__["a" /* CaseProductPage */], {
            parentPage: this,
        });
    };
    WarningPage.prototype.initTime = function () {
        var beginTime = this.formatPastDay(0);
        var endTime = this.formatPastDay(0);
        this.beginTime = beginTime;
        this.endTime = endTime;
    };
    WarningPage.prototype.formatPastDay = function (day) {
        var date = new Date(new Date(new Date().toLocaleDateString()).getTime() + 60 * 60 * 24 * day * 1000);
        var to = {
            'Y': date.getFullYear() < 9 ? '0' + date.getFullYear() : date.getFullYear(),
            'M': date.getMonth() + 1 < 9 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1,
            'D': date.getDate() < 9 ? '0' + date.getDate() : date.getDate()
        };
        var time = to['Y'] + "-" + to['M'] + "-" + to['D'];
        return time;
    };
    ;
    WarningPage.prototype.getBeginTime = function () {
        $("#beginTime").mobiscroll().date({
            theme: "android-ics light",
            lang: 'zh',
            dateFormat: 'yy-mm-dd',
            dateOrder: 'yyyymmdd'
        });
    };
    WarningPage.prototype.getEndTime = function () {
        $("#endTime").mobiscroll().date({
            theme: "android-ics light",
            lang: 'zh',
            dateFormat: 'yy-mm-dd',
            dateOrder: 'yyyymmdd'
        });
    };
    WarningPage.prototype.timeSpace = function (start, end) {
        var startstamp = new Date(start.substring(0, 19).replace(/-/g, '/')).getTime();
        var endstamp = new Date(end.substring(0, 19).replace(/-/g, '/')).getTime();
        var differ = (endstamp / 1000 - startstamp / 1000) / (60 * 60 * 24);
        return differ;
    };
    WarningPage.prototype.search = function () {
        var beginTime = $("#beginTime").val() + " 00:00:00";
        var endTime = $("#endTime").val() + " 23:59:59";
        var subday = this.timeSpace(beginTime, endTime);
        if (subday < 0) {
            var alert_1 = this.alertCtrl.create({
                subTitle: "开始时间不能小于结束时间!",
                buttons: ['OK']
            });
            alert_1.present();
        }
        else {
            if (subday > 15) {
                var alert_2 = this.alertCtrl.create({
                    subTitle: "时间间隔不得长于15天!",
                    buttons: ['OK']
                });
                alert_2.present();
            }
            else {
                this.getData();
            }
        }
    };
    WarningPage.prototype.getData = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    beginTime: $("#beginTime").val() + " 00:00:00",
                    endTime: $("#endTime").val() + " 23:59:59",
                    // FIXME: 临时测试
                    // endTime: $("#endTime").val() + " 00:59:59",
                    state: _this.alertStatus
                }
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.get(config.serverUrl + '/v4/sy/alertSupervise/alerts', options).subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.loader.dismiss();
                        _this.dataList = result.data;
                    }
                    else {
                        var alert_3 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_3.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    WarningPage.prototype.detail = function (item) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__single_station_warning_single_station_warning__["a" /* SingleStationWarningPage */], {
            parentPage: this,
            monitorStationId: item.monitorStationId,
            monitorStationName: item.monitorStationName,
            beginTime: this.beginTime,
            endTime: this.endTime
        });
    };
    WarningPage.prototype.refresh = function () {
        this.getData();
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])('linechart'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* ElementRef */])
    ], WarningPage.prototype, "container", void 0);
    WarningPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-warning',template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\warning\warning.html"*/'<ion-header>\n    <div class="header">\n        <div class="top">\n            <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n            <span class="name">报警</span>\n            <button *ngIf="departmentId == 1 || departmentId == 7" class="directNow" (click)="directNow()">\n              直接生成事件\n            </button>\n        </div>\n        <div class="time">\n            <div class="item">\n                <input id="beginTime" [(ngModel)]="beginTime" placeholder="开始时间" (focus)="getBeginTime()" readonly="readonly" />\n            </div>\n            <div class="item">\n                <input id="endTime" [(ngModel)]="endTime" placeholder="结束时间" (focus)="getEndTime()" readonly="readonly" />\n            </div>\n            <div class="item">\n                <ion-icon class="search" name="search" (click)="search()"></ion-icon>\n            </div>\n        </div>\n    </div>\n</ion-header>\n\n<ion-content>\n    <div class="table">\n        <table class="data">\n            <thead>\n                <tr>\n                    <th>排名</th>\n                    <th>监测点</th>\n                    <th>报警次数</th>\n                </tr>\n            </thead>\n            <tbody *ngIf="dataList.length">\n                <tr *ngFor="let item of dataList; let i = index" (click)="detail(item)">\n                    <td>{{i + 1}}</td>\n                    <td>{{item.monitorStationName}}</td>\n                    <td>{{item.alertNumber}}</td>\n                </tr>\n            </tbody>\n            <tbody *ngIf="!dataList.length">\n                <tr>\n                    <td colspan="4">暂无数据！</td>\n                </tr>\n            </tbody>\n        </table>\n    </div>\n</ion-content>\n\n<!-- <ion-content>\n  <div class="body" *ngIf="dataList.length">\n  <ion-card *ngFor="let item of dataList" (click)="detail(item)">\n    <ion-item>\n      <ion-avatar item-start>\n        <span class="alertCount">{{item.count}}次</span>\n      </ion-avatar>\n      <h2>{{item.name}}</h2>\n      <p class="alertReason">TSP超标，离线</p>\n    </ion-item>\n\n    <img src="assets/imgs/index/11.png" />\n\n    <ion-card-content>\n      <p>Wait a minute. Wait a minute, Doc. Uhhh... Are you telling me that you built a time machine... out of a DeLorean?!\n        Whoa. This is heavy.</p>\n    </ion-card-content>\n\n    <ion-row>\n      <ion-col>\n        <button ion-button icon-start clear small>\n          <ion-icon name="thumbs-up"></ion-icon>\n          <div>12 Likes</div>\n        </button>\n      </ion-col>\n      <ion-col>\n        <button ion-button icon-start clear small>\n          <ion-icon name="text"></ion-icon>\n          <div>4 Comments</div>\n        </button>\n      </ion-col>\n      <ion-col center text-center>\n        <ion-note>\n          11h ago\n        </ion-note>\n      </ion-col>\n    </ion-row>\n  </ion-card>\n  </div>\n</ion-content> -->\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\warning\warning.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], WarningPage);
    return WarningPage;
}());

//# sourceMappingURL=warning.js.map

/***/ }),

/***/ 141:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SingleStationWarningPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__case_product_case_product__ = __webpack_require__(73);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__single_warning_single_warning__ = __webpack_require__(142);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var SingleStationWarningPage = (function () {
    function SingleStationWarningPage(platform, navCtrl, navParams, http, loadingCtrl, storage, alertCtrl) {
        this.platform = platform;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.loadingCtrl = loadingCtrl;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.monitorStationId = 0;
        this.monitorStationName = "";
        this.alertStatus = "全部";
        this.dataList = [];
        this.hasVideo = false;
        this.videoData = {};
        this.beginTime = "";
        this.endTime = "";
        this.departmentId = window.sessionStorage.getItem('departmentId');
        this.parentPage = navParams.get('parentPage');
        this.monitorStationId = navParams.get('monitorStationId');
        this.monitorStationName = navParams.get('monitorStationName');
        this.beginTime = navParams.get('beginTime');
    }
    SingleStationWarningPage.prototype.ionViewDidLoad = function () {
        // this.initTime();
        // this.initTime();
        this.getData();
    };
    SingleStationWarningPage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    SingleStationWarningPage.prototype.backIndex = function () {
        // this.navCtrl.push(TabViewPage);
        this.parentPage.refresh();
        this.navCtrl.pop();
    };
    SingleStationWarningPage.prototype.initTime = function () {
        var beginTime = this.formatPastDay(0);
        var endTime = this.formatPastDay(0);
        this.beginTime = beginTime;
        this.endTime = endTime;
    };
    SingleStationWarningPage.prototype.formatPastDay = function (day) {
        var date = new Date(new Date(new Date().toLocaleDateString()).getTime() + 60 * 60 * 24 * day * 1000);
        var to = {
            'Y': date.getFullYear() < 9 ? '0' + date.getFullYear() : date.getFullYear(),
            'M': date.getMonth() + 1 < 9 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1,
            'D': date.getDate() < 9 ? '0' + date.getDate() : date.getDate()
        };
        var time = to['Y'] + "-" + to['M'] + "-" + to['D'];
        return time;
    };
    ;
    SingleStationWarningPage.prototype.getBeginTime = function () {
        $("#beginTime").mobiscroll().date({
            theme: "android-ics light",
            lang: 'zh',
            dateFormat: 'yy-mm-dd',
            dateOrder: 'yyyymmdd'
        });
    };
    SingleStationWarningPage.prototype.getEndTime = function () {
        $("#endTime").mobiscroll().date({
            theme: "android-ics light",
            lang: 'zh',
            dateFormat: 'yy-mm-dd',
            dateOrder: 'yyyymmdd'
        });
    };
    SingleStationWarningPage.prototype.timeSpace = function (start, end) {
        var startstamp = new Date(start.substring(0, 19).replace(/-/g, '/')).getTime();
        var endstamp = new Date(end.substring(0, 19).replace(/-/g, '/')).getTime();
        var differ = (endstamp / 1000 - startstamp / 1000) / (60 * 60 * 24);
        return differ;
    };
    SingleStationWarningPage.prototype.alertStatusSearch = function (alertStatus) {
        this.alertStatus = alertStatus;
        this.getData();
    };
    SingleStationWarningPage.prototype.search = function () {
        var beginTime = $("#beginTime").val() + " 00:00:00";
        var endTime = $("#endTime").val() + " 23:59:59";
        var subday = this.timeSpace(beginTime, endTime);
        if (subday < 0) {
            var alert_1 = this.alertCtrl.create({
                subTitle: "开始时间不能小于结束时间!",
                buttons: ['OK']
            });
            alert_1.present();
        }
        else {
            if (subday > 15) {
                var alert_2 = this.alertCtrl.create({
                    subTitle: "时间间隔不得长于15天!",
                    buttons: ['OK']
                });
                alert_2.present();
            }
            else {
                this.getData();
            }
        }
    };
    SingleStationWarningPage.prototype.getData = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    beginTime: $("#beginTime").val() + " 00:00:00",
                    endTime: $("#endTime").val() + " 23:59:59",
                    state: _this.alertStatus
                }
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.get(config.serverUrl + '/v4/sy/alertSupervise/' + _this.monitorStationId + '/alerts', options).subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.loader.dismiss();
                        _this.dataList = result.data;
                    }
                    else {
                        var alert_3 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_3.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    SingleStationWarningPage.prototype.detail = function (item) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__case_product_case_product__["a" /* CaseProductPage */], {
            parentPage: this,
            alertId: item.alertId,
        });
    };
    SingleStationWarningPage.prototype.pageTodetail = function (item) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__single_warning_single_warning__["a" /* SingleWarningPage */], {
            parentPage: this,
            alertId: item.alertId,
            monitorStationId: this.monitorStationId,
            monitorStationName: this.monitorStationName,
            alertTypeName: item.alertTypeName,
            alertTime: item.alertTime,
            beginTime: this.beginTime,
            endTime: this.endTime,
        });
    };
    SingleStationWarningPage.prototype.refresh = function () {
        this.getData();
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])('linechart'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* ElementRef */])
    ], SingleStationWarningPage.prototype, "container", void 0);
    SingleStationWarningPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-single-station-warning',template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\single-station-warning\single-station-warning.html"*/'<ion-header>\n    <div class="header">\n        <div class="top">\n            <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n            <span class="name">{{monitorStationName}}</span>\n        </div>\n        <div class="time">\n            <div class="item">\n                <input id="beginTime" [(ngModel)]="beginTime" placeholder="开始时间" (focus)="getBeginTime()" readonly="readonly" />\n            </div>\n            <div class="item">\n                <input id="endTime" [(ngModel)]="endTime" placeholder="结束时间" (focus)="getEndTime()" readonly="readonly" />\n            </div>\n            <div class="item">\n                <ion-icon class="search" name="search" (click)="search()"></ion-icon>\n            </div>\n        </div>\n    </div>\n</ion-header>\n\n<ion-content>\n    <div class="table">\n        <table class="data">\n            <thead>\n                <tr>\n                    <th>序号</th>\n                    <th>时间</th>\n                    <th>报警类型</th>\n                </tr>\n            </thead>\n            <tbody *ngIf="dataList.length && (departmentId == 1 || departmentId == 7)" >\n                <tr *ngFor="let item of dataList; let i = index" (click)="detail(item)">\n                    <td>{{i + 1}}</td>\n                    <td>{{item.alertTime | date:\'yyyy-MM-dd HH:mm:ss\'}}</td>\n                    <td [ngStyle]="{color: item.color}">{{item.alertTypeName}}</td>\n                </tr>\n            </tbody>\n            <tbody *ngIf="dataList.length && (departmentId != 1 && departmentId != 7) ">\n                <tr *ngFor="let item of dataList; let i = index" (click)="pageTodetail(item)">\n                    <td>{{i + 1}}</td>\n                    <td>{{item.alertTime | date:\'yyyy-MM-dd HH:mm:ss\'}}</td>\n                    <td [ngStyle]="{color: item.color}">{{item.alertTypeName}}</td>\n                </tr>\n            </tbody>\n            <tbody *ngIf="!dataList.length">\n                <tr>\n                    <td colspan="4">暂无数据！</td>\n                </tr>\n            </tbody>\n        </table>\n    </div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\single-station-warning\single-station-warning.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], SingleStationWarningPage);
    return SingleStationWarningPage;
}());

//# sourceMappingURL=single-station-warning.js.map

/***/ }),

/***/ 142:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SingleWarningPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__add_to_report_add_to_report__ = __webpack_require__(136);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__improve_improve__ = __webpack_require__(143);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__improve_detail_improve_detail__ = __webpack_require__(144);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__supervise_supervise__ = __webpack_require__(74);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};










var SingleWarningPage = (function () {
    function SingleWarningPage(platform, navCtrl, navParams, http, loadingCtrl, storage, alertCtrl) {
        this.platform = platform;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.loadingCtrl = loadingCtrl;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.monitorStationId = 0;
        this.monitorStationName = "";
        this.alertTypeName = "";
        this.dataList = [];
        this.timeList = [];
        this.timeType = 3;
        this.alertId = 0;
        this.alertTime = 0;
        this.hasVideo = false;
        this.videoData = {};
        this.beginTime = "";
        this.endTime = "";
        this.readIsVisible = false;
        this.addToReportIsVisible = false;
        this.improveIsVisible = false;
        this.improveDetailIsVisible = false;
        this.superviseIsVisible = false;
        this.parentPage = navParams.get('parentPage');
        this.monitorStationId = navParams.get('monitorStationId');
        this.monitorStationName = navParams.get('monitorStationName');
        this.alertTypeName = navParams.get('alertTypeName');
        this.alertId = navParams.get('alertId');
        this.alertTime = navParams.get('alertTime');
        this.beginTime = navParams.get('beginTime');
        this.endTime = navParams.get('endTime');
    }
    SingleWarningPage.prototype.ionViewDidLoad = function () {
        // this.initTime();
        this.getTime();
        this.getBtnsByAuth();
    };
    SingleWarningPage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    SingleWarningPage.prototype.backIndex = function () {
        this.parentPage.refresh();
        this.navCtrl.pop();
    };
    SingleWarningPage.prototype.refresh = function () {
        this.getBtnsByAuth();
    };
    SingleWarningPage.prototype.initTime = function () {
        var beginTime = this.formatPastDay(0);
        var endTime = this.formatPastDay(0);
        this.beginTime = beginTime;
        this.endTime = endTime;
    };
    SingleWarningPage.prototype.timeSearch = function (timeType) {
        this.timeType = timeType;
        this.getData();
    };
    SingleWarningPage.prototype.formatPastDay = function (day) {
        var date = new Date(new Date(new Date().toLocaleDateString()).getTime() + 60 * 60 * 24 * day * 1000);
        var to = {
            'Y': date.getFullYear() < 9 ? '0' + date.getFullYear() : date.getFullYear(),
            'M': date.getMonth() + 1 < 9 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1,
            'D': date.getDate() < 9 ? '0' + date.getDate() : date.getDate()
        };
        var time = to['Y'] + "-" + to['M'] + "-" + to['D'];
        return time;
    };
    ;
    SingleWarningPage.prototype.getBeginTime = function () {
        $("#beginTime").mobiscroll().date({
            theme: "android-ics light",
            lang: 'zh',
            dateFormat: 'yy-mm-dd',
            dateOrder: 'yyyymmdd'
        });
    };
    SingleWarningPage.prototype.getEndTime = function () {
        $("#endTime").mobiscroll().date({
            theme: "android-ics light",
            lang: 'zh',
            dateFormat: 'yy-mm-dd',
            dateOrder: 'yyyymmdd'
        });
    };
    SingleWarningPage.prototype.timeSpace = function (start, end) {
        var startstamp = new Date(start.substring(0, 19).replace(/-/g, '/')).getTime();
        var endstamp = new Date(end.substring(0, 19).replace(/-/g, '/')).getTime();
        var differ = (endstamp / 1000 - startstamp / 1000) / (60 * 60 * 24);
        return differ;
    };
    SingleWarningPage.prototype.search = function () {
        var beginTime = $("#beginTime").val() + " 00:00:00";
        var endTime = $("#endTime").val() + " 23:59:59";
        var subday = this.timeSpace(beginTime, endTime);
        if (subday < 0) {
            var alert_1 = this.alertCtrl.create({
                subTitle: "开始时间不能小于结束时间!",
                buttons: ['OK']
            });
            alert_1.present();
        }
        else {
            if (subday > 15) {
                var alert_2 = this.alertCtrl.create({
                    subTitle: "时间间隔不得长于15天!",
                    buttons: ['OK']
                });
                alert_2.present();
            }
            else {
                this.getData();
            }
        }
    };
    SingleWarningPage.prototype.getData = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    beginTime: $("#beginTime").val() + " 00:00:00",
                    endTime: $("#endTime").val() + " 23:59:59",
                    monitorStationId: _this.monitorStationId,
                    timeType: _this.timeType
                }
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.get(config.serverUrl + '/v4/monitorStations/' + _this.monitorStationId + '/historySample', options).subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.loader.dismiss();
                        _this.dataList = result.data[0].content;
                    }
                    else {
                        var alert_3 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_3.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    SingleWarningPage.prototype.getTime = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.get(config.serverUrl + '/v4/extRealTime', options).subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.timeList = result.data;
                        _this.timeType = result.data[0].timeType;
                        _this.getData();
                    }
                    else {
                        var alert_4 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_4.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    SingleWarningPage.prototype.getBtnsByAuth = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    alertId: _this.alertId
                }
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.get(config.serverUrl + '/v4/sy/alertSupervise/buttons', options).subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.readIsVisible = result.data.indexOf('已读') !== -1;
                        _this.addToReportIsVisible = result.data.indexOf('加入日报') !== -1;
                        _this.improveIsVisible = result.data.indexOf('整改') !== -1;
                        _this.improveDetailIsVisible = result.data.indexOf('整改情况') !== -1;
                        _this.superviseIsVisible = result.data.indexOf('督办') !== -1;
                    }
                    else {
                        var alert_5 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_5.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    SingleWarningPage.prototype.read = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.post(config.serverUrl + '/v4/sy/alertSupervise/' + _this.alertId + '/alertsState', {}, options).subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.backIndex();
                    }
                    else {
                        var alert_6 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_6.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    SingleWarningPage.prototype.addToReport = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__add_to_report_add_to_report__["a" /* AddToReportPage */], {
            parentPage: this,
            alertId: this.alertId,
        });
    };
    SingleWarningPage.prototype.improve = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__improve_improve__["a" /* ImprovePage */], {
            parentPage: this,
            alertId: this.alertId,
        });
    };
    SingleWarningPage.prototype.improveDetail = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__improve_detail_improve_detail__["a" /* ImproveDetailPage */], {
            parentPage: this,
            alertId: this.alertId,
        });
    };
    SingleWarningPage.prototype.supervise = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_7__supervise_supervise__["a" /* SupervisePage */], {
            parentPage: this,
            alertId: this.alertId,
        });
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])('linechart'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* ElementRef */])
    ], SingleWarningPage.prototype, "container", void 0);
    SingleWarningPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-single-warning',template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\single-warning\single-warning.html"*/'<ion-header>\n    <div class="header">\n        <div class="top">\n            <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n            <span class="name">{{alertTypeName}}:{{monitorStationName}}</span>\n        </div>\n        <div class="time">\n            <div class="item">\n                <input id="beginTime" [(ngModel)]="beginTime" placeholder="开始时间" (focus)="getBeginTime()" readonly="readonly" />\n            </div>\n            <div class="item">\n                <input id="endTime" [(ngModel)]="endTime" placeholder="结束时间" (focus)="getEndTime()" readonly="readonly" />\n            </div>\n            <div class="item">\n                <ion-icon class="search" name="search" (click)="search()"></ion-icon>\n            </div>\n        </div>\n        <div class="segment">\n            <div class="item" *ngFor="let item of timeList" [ngClass]="{\'select\':item.timeType == timeType}" (click)="timeSearch(item.timeType)">{{item.timeTypeName}}</div>\n        </div>\n        <!--<div>-->\n          <!--<button class="operation-btn" ion-button color="secondary" [small]=true *ngIf="readIsVisible" (click)="read()">已读</button>-->\n          <!--<button class="operation-btn" ion-button color="secondary" [small]=true *ngIf="addToReportIsVisible" (click)="addToReport()">加入日报</button>-->\n          <!--<button class="operation-btn" ion-button color="secondary" [small]=true *ngIf="improveDetailIsVisible" (click)="improveDetail()">整改情况</button>-->\n          <!--<button class="operation-btn" ion-button color="secondary" [small]=true *ngIf="improveIsVisible" (click)="improve()">整改</button>-->\n          <!--<button class="operation-btn" ion-button color="secondary" [small]=true *ngIf="superviseIsVisible" (click)="supervise()">督办</button>-->\n        <!--</div>-->\n    </div>\n</ion-header>\n\n<ion-content>\n    <div class="table">\n        <table class="data">\n            <thead>\n                <tr>\n                    <th>序号</th>\n                    <th>时间</th>\n                    <th>TSP浓度<span>(mg/m³)</span></th>\n                </tr>\n            </thead>\n            <tbody *ngIf="dataList.length">\n                <tr *ngFor="let item of dataList; let i = index">\n                    <td>{{i + 1}}</td>\n                    <td>{{item.time | date:\'yyyy-MM-dd HH:mm:ss\'}}</td>\n                    <!-- FIXME: 需要改成动态的 -->\n                    <td>{{item.tsp}}</td>\n                </tr>\n            </tbody>\n            <tbody *ngIf="!dataList.length">\n                <tr>\n                    <td colspan="4">暂无数据！</td>\n                </tr>\n            </tbody>\n        </table>\n    </div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\single-warning\single-warning.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* Platform */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__angular_http__["b" /* Http */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */], __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], SingleWarningPage);
    return SingleWarningPage;
}());

//# sourceMappingURL=single-warning.js.map

/***/ }),

/***/ 143:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ImprovePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_file__ = __webpack_require__(106);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_transfer__ = __webpack_require__(108);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_file_path__ = __webpack_require__(109);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_camera__ = __webpack_require__(28);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};










var ImprovePage = (function () {
    function ImprovePage(navCtrl, camera, transfer, file, filePath, actionSheetCtrl, toastCtrl, platform, loadingCtrl, storage, alertCtrl, navParams) {
        this.navCtrl = navCtrl;
        this.camera = camera;
        this.transfer = transfer;
        this.file = file;
        this.filePath = filePath;
        this.actionSheetCtrl = actionSheetCtrl;
        this.toastCtrl = toastCtrl;
        this.platform = platform;
        this.loadingCtrl = loadingCtrl;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.navParams = navParams;
        this.lastImage = null;
        this.alertId = "";
        this.improveText = "";
        this.departmentList = [];
        this.parentPage = navParams.get('parentPage');
        this.alertId = navParams.get('alertId');
    }
    ImprovePage.prototype.ionViewDidLoad = function () {
    };
    ImprovePage.prototype.presentActionSheet = function () {
        var _this = this;
        var actionSheet = this.actionSheetCtrl.create({
            title: '选择照片',
            buttons: [
                {
                    text: '从相册选择',
                    handler: function () {
                        _this.takePicture(_this.camera.PictureSourceType.PHOTOLIBRARY);
                    }
                },
                {
                    text: '拍照',
                    handler: function () {
                        _this.takePicture(_this.camera.PictureSourceType.CAMERA);
                    }
                },
                {
                    text: '取消',
                    role: 'cancel'
                }
            ]
        });
        actionSheet.present();
    };
    ImprovePage.prototype.takePicture = function (sourceType) {
        var _this = this;
        // Create options for the Camera Dialog
        var options = {
            quality: 100,
            sourceType: sourceType,
            saveToPhotoAlbum: false,
            correctOrientation: true
        };
        // Get the data of an image
        this.camera.getPicture(options).then(function (imagePath) {
            // Special handling for Android library
            if (_this.platform.is('android') && sourceType === _this.camera.PictureSourceType.PHOTOLIBRARY) {
                _this.filePath.resolveNativePath(imagePath)
                    .then(function (filePath) {
                    var correctPath = filePath.substr(0, filePath.lastIndexOf('/') + 1);
                    var currentName = imagePath.substring(imagePath.lastIndexOf('/') + 1, imagePath.lastIndexOf('?'));
                    _this.copyFileToLocalDir(correctPath, currentName, _this.createFileName());
                });
            }
            else {
                var currentName = imagePath.substr(imagePath.lastIndexOf('/') + 1);
                var correctPath = imagePath.substr(0, imagePath.lastIndexOf('/') + 1);
                _this.copyFileToLocalDir(correctPath, currentName, _this.createFileName());
            }
        }, function (err) {
            _this.presentToast('选择照片发生错误');
        });
    };
    // Create a new name for the image
    ImprovePage.prototype.createFileName = function () {
        var d = new Date(), n = d.getTime(), newFileName = n + ".jpg";
        return newFileName;
    };
    // Copy the image to a local folder
    ImprovePage.prototype.copyFileToLocalDir = function (namePath, currentName, newFileName) {
        var _this = this;
        this.file.copyFile(namePath, currentName, cordova.file.dataDirectory, newFileName).then(function (success) {
            _this.lastImage = newFileName;
        }, function (error) {
            _this.presentToast('存储文件发生错误');
        });
    };
    ImprovePage.prototype.presentToast = function (text) {
        var toast = this.toastCtrl.create({
            message: text,
            duration: 3000,
            position: 'top'
        });
        toast.present();
    };
    // Always get the accurate path to your apps folder
    ImprovePage.prototype.pathForImage = function (img) {
        if (img === null) {
            return '';
        }
        else {
            return cordova.file.dataDirectory + img;
        }
    };
    ImprovePage.prototype.uploadImage = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            // Destination URL
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                var url = config.serverUrl + "/v4/sy/alertSupervise/" + _this.alertId + "/rectification";
                // File for Upload
                var targetPath = _this.pathForImage(_this.lastImage);
                // File name only
                var filename = _this.lastImage;
                var options = {
                    headers: headers,
                    fileKey: "file",
                    fileName: filename,
                    chunkedMode: false,
                    mimeType: "multipart/form-data",
                    params: { 'message': _this.improveText }
                };
                var fileTransfer = _this.transfer.create();
                _this.loading = _this.loadingCtrl.create({
                    content: '上传中...',
                });
                _this.loading.present();
                // Use the FileTransfer to upload the image
                fileTransfer.upload(targetPath, url, options).then(function (data) {
                    _this.loading.dismissAll();
                    _this.presentToast('上传图片成功');
                }, function (err) {
                    _this.loading.dismissAll();
                    _this.presentToast('上传图片失败');
                });
            });
        });
    };
    ImprovePage.prototype.backIndex = function () {
        this.parentPage.refresh();
        this.navCtrl.pop();
    };
    ImprovePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-improve',template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\improve\improve.html"*/'<ion-header>\n\n  <div class="header">\n\n    <div class="top">\n\n      <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n\n      <span class="name">整改</span>\n\n    </div>\n\n  </div>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <div class="body">\n\n    <img src="{{pathForImage(lastImage)}}" style="width: 100%" [hidden]="lastImage === null">\n\n    <div class="select-photo">\n\n      <button class="photo-btn" ion-button icon-left (click)="presentActionSheet()">\n\n        <ion-icon name="camera"></ion-icon>选择照片\n\n      </button>\n\n    </div>\n\n    <ion-item>\n\n      <ion-textarea rows="10" [(ngModel)]="improveText" placeholder="请输入整改记录"></ion-textarea>\n\n    </ion-item>\n\n  </div>\n\n</ion-content>\n\n\n\n<ion-footer>\n\n  <div class="footer">\n\n    <ion-toolbar color="primary">\n\n      <ion-buttons class="footer-btns">\n\n        <button class="footer-btn" ion-button icon-left (click)="uploadImage()" [disabled]="lastImage === null">\n\n          <ion-icon name="cloud-upload"></ion-icon>提交\n\n        </button>\n\n      </ion-buttons>\n\n    </ion-toolbar>\n\n  </div>\n\n</ion-footer>'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\improve\improve.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_7__ionic_native_camera__["a" /* Camera */], __WEBPACK_IMPORTED_MODULE_5__ionic_native_transfer__["a" /* Transfer */], __WEBPACK_IMPORTED_MODULE_4__ionic_native_file__["a" /* File */], __WEBPACK_IMPORTED_MODULE_6__ionic_native_file_path__["a" /* FilePath */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* ActionSheetController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* ToastController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* Platform */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */]])
    ], ImprovePage);
    return ImprovePage;
}());

//# sourceMappingURL=improve.js.map

/***/ }),

/***/ 144:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ImproveDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(5);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var ImproveDetailPage = (function () {
    function ImproveDetailPage(navCtrl, navParams, storage, http, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.storage = storage;
        this.http = http;
        this.alertCtrl = alertCtrl;
        this.lastImage = null;
        this.alertId = "";
        this.alertText = "";
        this.alertImageUrl = "";
        this.alertTime = 0;
        this.alertId = navParams.get('alertId');
    }
    ImproveDetailPage.prototype.ionViewDidLoad = function () {
        this.initImproveDetail();
    };
    ImproveDetailPage.prototype.initImproveDetail = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    alertId: _this.alertId
                }
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.get(config.serverUrl + '/v4/sy/alertSupervise/rectification', options).subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.alertText = result.data.rectificationMsg;
                        _this.alertImageUrl = result.data.rectificationPhotos;
                        _this.alertTime = result.data.rectificationTime;
                    }
                    else {
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    ImproveDetailPage.prototype.backIndex = function () {
        this.navCtrl.pop();
    };
    ImproveDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-improve-detail',template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\improve-detail\improve-detail.html"*/'<ion-header>\n\n  <div class="header">\n\n    <div class="top">\n\n      <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n\n      <span class="name">整改情况</span>\n\n    </div>\n\n  </div>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <div class="body">\n\n    <img src="{{alertImageUrl}}" style="width: 100%">\n\n    <ion-item>\n\n      <ion-textarea rows="10" ng-disabled="" [(ngModel)]="alertText"></ion-textarea>\n\n    </ion-item>\n\n    {{alertTime | date:\'yyyy-MM-dd HH:mm:ss\'}}\n\n  </div>\n\n</ion-content>'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\improve-detail\improve-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */], __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */], __WEBPACK_IMPORTED_MODULE_2__angular_http__["b" /* Http */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], ImproveDetailPage);
    return ImproveDetailPage;
}());

//# sourceMappingURL=improve-detail.js.map

/***/ }),

/***/ 145:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MinePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__supervise_supervise__ = __webpack_require__(74);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_photo_viewer__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__slide_menu_slide_menu__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__img_modal_img_modal__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__single_event_single_event__ = __webpack_require__(146);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};











var MinePage = (function () {
    function MinePage(navCtrl, navParams, http, loadingCtrl, storage, alertCtrl, photoViewer, modalCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.loadingCtrl = loadingCtrl;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.modalCtrl = modalCtrl;
        this.dataList = [];
        this.dateList = [];
        this.queryType = 0;
        this.departmentId = window.sessionStorage.getItem("departmentId");
        this.photoViewer = photoViewer;
    }
    MinePage.prototype.ionViewDidLoad = function () {
        switch (this.departmentId) {
            case "1":
                this.queryType = 0;
                break;
            case "5":
                this.queryType = 3;
                break;
            case "7":
                this.queryType = 0;
                break;
            default:
                this.queryType = 1;
                break;
        }
        this.getData();
    };
    MinePage.prototype.showPhoto = function (url) {
        if (url)
            this.photoViewer.show(url);
    };
    MinePage.prototype.formatPastDay = function (day) {
        var date = new Date(new Date(new Date().toLocaleDateString()).getTime() +
            60 * 60 * 24 * day * 1000);
        var to = {
            Y: date.getFullYear() < 9 ? "0" + date.getFullYear() : date.getFullYear(),
            M: date.getMonth() + 1 < 9
                ? "0" + (date.getMonth() + 1)
                : date.getMonth() + 1,
            D: date.getDate() < 9 ? "0" + date.getDate() : date.getDate()
        };
        var time = to["Y"] + "-" + to["M"] + "-" + to["D"];
        return time;
    };
    MinePage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    MinePage.prototype.query = function (str) {
        this.queryType = str;
        this.getData();
    };
    MinePage.prototype.getData = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    type: _this.queryType,
                    keyword: _this.keyword
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/sy/alertSupervise/incidentsForMe", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    _this.loader.dismiss();
                    if (result.code == 0) {
                        _this.dataList = result.data;
                    }
                    else {
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    MinePage.prototype.do = function (item) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__supervise_supervise__["a" /* SupervisePage */], {
            parentPage: this,
            alertId: item.alertId
        });
    };
    MinePage.prototype.refresh = function (alertId) {
        this.dataList.find(function (item) { return item.alertId === alertId; }).hidden = true;
    };
    MinePage.prototype.cancel = function (item) {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    type: 2
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .post(config.serverUrl +
                    "/v4/sy/alertSupervise/" +
                    item.alertId +
                    "/supervises", {}, options)
                    .subscribe(function (res) {
                    _this.loader.dismiss();
                    var result = res.json();
                    if (result.code == 0) {
                        item.hidden = true;
                    }
                    else {
                        var alert_2 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_2.present();
                    }
                });
            }, function (err) {
                _this.loader.dismiss();
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            _this.loader.dismiss();
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    MinePage.prototype.backIndex = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__slide_menu_slide_menu__["a" /* SlideMenuPage */]);
    };
    MinePage.prototype.getTime = function (str) {
        var date = new Date(str);
        var y = date.getFullYear();
        var m = date.getMonth() >= 10 ? date.getMonth() + 1 : "0" + (date.getMonth() + 1);
        var d = date.getDate() >= 10 ? date.getDate() : "0" + date.getDate();
        var h = date.getHours() >= 10 ? date.getHours() : "0" + date.getHours();
        var min = date.getMinutes() >= 10 ? date.getMinutes() : "0" + date.getMinutes();
        var sec = date.getSeconds() >= 10 ? date.getSeconds() : "0" + date.getSeconds();
        return y + "-" + m + "-" + d + " " + h + ":" + min + ":" + sec;
    };
    MinePage.prototype.openModal = function (url) {
        var modal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_7__img_modal_img_modal__["a" /* ImgModalPage */], { 'url': url });
        modal.onDidDismiss(function () {
        });
        modal.present();
    };
    MinePage.prototype.toDetail = function (id, name) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_8__single_event_single_event__["a" /* SingleEventPage */], {
            id: id,
            name: name
        });
    };
    MinePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: "page-mine",template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\mine\mine.html"*/'<ion-header>\n  <div class="header">\n    <div class="top">\n      <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n      <span class="name">我</span>\n    </div>\n    <div class="segment">\n      <div class="item" *ngIf="departmentId == 1 || departmentId == 7" [ngClass]="{ select: queryType === 0 }" (click)="query(0)">\n        我生成的事件\n      </div><div class="item" *ngIf="departmentId != 5 && departmentId != 7" [ngClass]="{ select: queryType === 1 }" (click)="query(1)">\n        待我处理的事件\n      </div><div class="item" *ngIf="departmentId != 5 && departmentId != 7" [ngClass]="{ select: queryType === 2 }" (click)="query(2)">\n        我已处理的事件\n      </div><div class="item" *ngIf="departmentId != 1" [ngClass]="{ select: queryType === 3 }" (click)="query(3)">\n        全部事件\n      </div>\n    </div>\n    <div class="searchs">\n      <ion-input placeholder="搜索" style="width: 100%;" [(ngModel)]="keyword"></ion-input>\n      <div class="searchBtn"  (click)="getData()" >\n        <img src="assets/imgs/search.png"/>\n      </div>\n    </div>\n  </div>\n</ion-header>\n\n<ion-content class="outer-content" style="background: #fff">\n  <div class="body">\n    <div *ngIf="dataList.length">\n      <div *ngFor="let item of dataList">\n        <div class="wrap">\n          <table class="table">\n            <tr (click)="toDetail(item.id,item.shortName)">\n              <td style="width: 80px;text-align: center">\n                <ion-icon class="iconF" name="ios-albums-outline"></ion-icon>\n              </td>\n              <td>\n                <div>\n                  <p><span>事件名称:</span>{{item.shortName }}</p>\n                  <p><span>事件类型:</span>{{item.monitorAreaTypeName }}</p>\n                  <p><span>发生时间:</span>{{getTime(item.createTime) }}</p>\n                </div>\n              </td>\n              <td>\n                {{item.stateName}}\n              </td>\n            </tr>\n          </table>\n        </div>\n      </div>\n    </div>\n    <div class="noData" *ngIf="!dataList.length">\n      暂无数据\n    </div>\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\mine\mine.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_3__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_photo_viewer__["a" /* PhotoViewer */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* ModalController */]])
    ], MinePage);
    return MinePage;
}());

//# sourceMappingURL=mine.js.map

/***/ }),

/***/ 146:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SingleEventPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__img_modal_img_modal__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_storage__ = __webpack_require__(5);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var SingleEventPage = (function () {
    function SingleEventPage(navCtrl, navParams, modalCtrl, http, loadingCtrl, storage, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.http = http;
        this.loadingCtrl = loadingCtrl;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.dataInfo = {};
        this.id = navParams.get("id");
        this.eventName = navParams.get("name");
    }
    SingleEventPage.prototype.ionViewDidLoad = function () {
        this.getData();
    };
    SingleEventPage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    SingleEventPage.prototype.getData = function () {
        var _this = this;
        // 网络请求
        this.storage.get("authentication").then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    id: _this.id
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl +
                    "/v4/sy/alertSupervise/incidentForOne", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.loader.dismiss();
                        _this.dataInfo = result.data;
                        console.log(_this.dataInfo);
                    }
                    else {
                        _this.loader.dismiss();
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                _this.loader.dismiss();
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            _this.loader.dismiss();
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    SingleEventPage.prototype.backIndex = function () {
        this.navCtrl.pop();
    };
    SingleEventPage.prototype.getTime = function (str) {
        var date = new Date(str);
        var y = date.getFullYear();
        var m = date.getMonth() >= 10 ? date.getMonth() + 1 : "0" + (date.getMonth() + 1);
        var d = date.getDate() >= 10 ? date.getDate() : "0" + date.getDate();
        var h = date.getHours() >= 10 ? date.getHours() : "0" + date.getHours();
        var min = date.getMinutes() >= 10 ? date.getMinutes() : "0" + date.getMinutes();
        var sec = date.getSeconds() >= 10 ? date.getSeconds() : "0" + date.getSeconds();
        return y + "-" + m + "-" + d + " " + h + ":" + min + ":" + sec;
    };
    SingleEventPage.prototype.openModal = function (url) {
        var modal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_2__img_modal_img_modal__["a" /* ImgModalPage */], { 'url': url });
        modal.onDidDismiss(function () {
        });
        modal.present();
    };
    SingleEventPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-single-event',template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\single-event\single-event.html"*/'<ion-header>\n  <div class="header">\n    <div class="top">\n      <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n      <span class="name">{{eventName}}</span>\n    </div>\n  </div>\n</ion-header>\n\n<ion-content style="background: #f0f0f0;">\n  <div class="body">\n    <div>\n      <div class="wrap">\n        <table class="supers">\n          <tr>\n            <td>点位名称：</td>\n            <td>{{ dataInfo.shortName }}</td>\n          </tr>\n          <tr>\n            <td>所在区域：</td>\n            <td>{{ dataInfo.districtName }}</td>\n          </tr>\n          <tr>\n            <td>行业类型：</td>\n            <td>{{ dataInfo.monitorAreaTypeName }}</td>\n          </tr>\n          <tr>\n            <td>事件信息：</td>\n            <td>\n              <h6 [ngStyle]="{ color: dataInfo.color }">\n                <span>描述：</span>{{ dataInfo.alertTypeName }}\n              </h6>\n              <p><span>时间：</span>{{ dataInfo.alertTime | date: "yyyy-MM-dd HH:mm:ss" }}</p>\n              <p><span>检查者：</span>{{ dataInfo.rummager }}</p>\n              <p\n                *ngIf="dataInfo.incidentPhotosUrl"\n              >\n                <span>图片：</span><img *ngFor="let urls of dataInfo.incidentPhotosUrl"\n                                     src="{{ urls }}"\n                                     (click)="openModal(urls)" />\n              </p>\n            </td>\n          </tr>\n          <tr>\n            <td>整改信息：</td>\n            <td>\n              <h6>\n                <span>描述：</span>{{ dataInfo.rectificationMsg }}\n              </h6>\n              <p *ngIf="!dataInfo.rectificationTime">\n                <span>时间：</span>{{ dataInfo.rectificationTime | date: "yyyy-MM-dd HH:mm:ss" }}\n              </p>\n              <p\n                *ngIf="dataInfo.rectificationPhotosUrl"\n              >\n                <span>图片：</span><img *ngFor="let urls of dataInfo.rectificationPhotosUrl"\n                                     src="{{ urls }}"\n                                     (click)="openModal(urls)"  />\n              </p>\n            </td>\n          </tr>\n          <tr *ngIf="dataInfo.superviseTime">\n            <td>督办信息：</td>\n            <td>\n              <p><span>督办状态：</span>{{ dataInfo.suggest }}</p>\n              <p><span>反馈信息：</span>{{ dataInfo.result }}</p>\n              <p><span>反馈时间：</span>{{ dataInfo.handlingTime | date: "yyyy-MM-dd HH:mm:ss" }}</p>\n            </td>\n          </tr>\n        </table>\n      </div>\n    </div>\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\single-event\single-event.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_3__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], SingleEventPage);
    return SingleEventPage;
}());

//# sourceMappingURL=single-event.js.map

/***/ }),

/***/ 147:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SuperviseTaskPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__slide_menu_slide_menu__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_photo_viewer__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__supervise_simple_supervise_simple__ = __webpack_require__(56);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var SuperviseTaskPage = (function () {
    function SuperviseTaskPage(navCtrl, navParams, http, loadingCtrl, storage, alertCtrl, photoViewer) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.loadingCtrl = loadingCtrl;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.gaming = "";
        this.dataList = [];
        this.date = "";
        this.queryType = "unhandled";
        this.activeSlide = 0;
        this.departmentList = [];
        this.photoViewer = photoViewer;
        this.roleId = Number(window.sessionStorage.getItem("roleId"));
    }
    SuperviseTaskPage.prototype.showPhoto = function (url) {
        if (url)
            this.photoViewer.show(url);
    };
    SuperviseTaskPage.prototype.ionViewDidLoad = function () {
        // this.initTime();
        this.initDepartments();
        this.getSupervises();
    };
    SuperviseTaskPage.prototype.initTime = function () {
        this.date = this.formatPastDay(0);
    };
    SuperviseTaskPage.prototype.initDepartments = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/sy/alertSupervise/departments", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.departmentList = result.data;
                        if (_this.departmentList.length > 0) {
                            _this.gaming = _this.departmentList[0].id;
                        }
                        else {
                            _this.gaming = "";
                        }
                    }
                    else {
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    SuperviseTaskPage.prototype.getDate = function () {
        $("#date")
            .mobiscroll()
            .date({
            theme: "android-ics light",
            lang: "zh",
            dateFormat: "yy-mm-dd",
            dateOrder: "yyyymmdd"
        });
    };
    SuperviseTaskPage.prototype.formatPastDay = function (day) {
        var date = new Date(new Date(new Date().toLocaleDateString()).getTime() +
            60 * 60 * 24 * day * 1000);
        var to = {
            Y: date.getFullYear() < 9 ? "0" + date.getFullYear() : date.getFullYear(),
            M: date.getMonth() + 1 < 9
                ? "0" + (date.getMonth() + 1)
                : date.getMonth() + 1,
            D: date.getDate() < 9 ? "0" + date.getDate() : date.getDate(),
        };
        var time = to["Y"] + "-" + to["M"] + "-" + to["D"];
        return time;
    };
    SuperviseTaskPage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    SuperviseTaskPage.prototype.getSupervises = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    day: $("#date").val()
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                var partOfUrl = _this.queryType === "unhandled"
                    ? "untreatedSupervises"
                    : "supervises";
                _this.http
                    .get(config.serverUrl + "/v4/sy/alertSupervise/" + partOfUrl, options)
                    .subscribe(function (res) {
                    var result = res.json();
                    _this.loader.dismiss();
                    if (result.code == 0) {
                        _this.dataList = result.data;
                    }
                    else {
                        var alert_2 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_2.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    SuperviseTaskPage.prototype.toDetail = function (id, name) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__supervise_simple_supervise_simple__["a" /* SuperviseSimplePage */], {
            id: id,
            name: name,
            queryType: this.queryType
        });
    };
    SuperviseTaskPage.prototype.refresh = function () {
        this.getSupervises();
    };
    SuperviseTaskPage.prototype.backIndex = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__slide_menu_slide_menu__["a" /* SlideMenuPage */]);
    };
    SuperviseTaskPage.prototype.dateChange = function () {
        // this.();
    };
    SuperviseTaskPage.prototype.query = function (queryType) {
        this.queryType = queryType;
        this.getSupervises();
    };
    SuperviseTaskPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: "page-supervise-task",template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\supervise-task\supervise-task.html"*/'<ion-header>\n  <div class="header">\n    <div class="top">\n      <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n      <span class="name">督办</span>\n    </div>\n    <div class="segment">\n      <div class="item" [ngClass]="{\'select\':queryType === \'unhandled\'}" (click)="query(\'unhandled\')">未处理</div\n      ><div class="item" [ngClass]="{\'select\':queryType === \'all\'}" (click)="query(\'all\')">全部</div>\n    </div>\n  </div>\n</ion-header>\n\n<ion-content class="outer-content" style="background: #fff">\n  <div class="body">\n    <div *ngIf="dataList.length">\n      <div *ngFor="let item of dataList">\n        <div class="wrap">\n          <table class="table">\n            <tr (click)="toDetail(item.id,item.shortName)">\n              <td style="width: 80px;text-align: center">\n                <ion-icon class="iconF" name="ios-albums-outline"></ion-icon>\n              </td>\n              <td>\n                <div>\n                  <p><span>事件名称:</span>{{item.shortName }}</p>\n                  <p><span>事件类型:</span>{{item.monitorAreaTypeName }}</p>\n                  <p><span>发生时间:</span>{{item.createTime |date:"yyyy-MM-dd HH:mm:ss" }}</p>\n                </div>\n              </td>\n              <td>\n                {{item.stateName}}\n              </td>\n            </tr>\n          </table>\n        </div>\n      </div>\n    </div>\n    <div class="noData" *ngIf="!dataList.length">\n      暂无数据\n    </div>\n  </div>\n</ion-content>\n\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\supervise-task\supervise-task.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_3__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_photo_viewer__["a" /* PhotoViewer */]])
    ], SuperviseTaskPage);
    return SuperviseTaskPage;
}());

//# sourceMappingURL=supervise-task.js.map

/***/ }),

/***/ 148:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SuperviseSolvePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_camera__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__supervise_hand_supervise_hand__ = __webpack_require__(44);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var SuperviseSolvePage = (function () {
    function SuperviseSolvePage(navCtrl, actionSheetCtrl, toastCtrl, platform, loadingCtrl, camera, storage, http, alertCtrl, navParams) {
        this.navCtrl = navCtrl;
        this.actionSheetCtrl = actionSheetCtrl;
        this.toastCtrl = toastCtrl;
        this.platform = platform;
        this.loadingCtrl = loadingCtrl;
        this.camera = camera;
        this.storage = storage;
        this.http = http;
        this.alertCtrl = alertCtrl;
        this.navParams = navParams;
        this.alertId = 0;
        this.solution = "";
        this.id = 0;
        this.type = 0;
        this.imgList = [];
        this.alertId = navParams.get('alertId');
        this.parentPage = navParams.get('parentPage');
        this.titleName = navParams.get('titleName');
        this.type = navParams.get('type');
        this.id = navParams.get('id');
    }
    SuperviseSolvePage.prototype.ionViewDidLoad = function () {
    };
    SuperviseSolvePage.prototype.backIndex = function () {
        this.navCtrl.pop();
    };
    SuperviseSolvePage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    SuperviseSolvePage.prototype.submit = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            var params = {
                'message': _this.solution,
                'type': _this.type,
                'id': _this.id,
                'photoBase64': '12444444'
            };
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.post(config.serverUrl + '/v4/sy/alertSupervise/' + _this.id + '/supervises', params, options).subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.loader.dismiss();
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_1.present();
                        // this.parentPage.refresh();
                        _this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__supervise_hand_supervise_hand__["a" /* SuperviseHandPage */]);
                    }
                    else {
                        var alert_2 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_2.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    SuperviseSolvePage.prototype.getCameras = function () {
        var _this = this;
        var options = {
            quality: 100,
            destinationType: this.camera.DestinationType.DATA_URL,
            encodingType: this.camera.EncodingType.JPEG,
            mediaType: this.camera.MediaType.PICTURE,
            sourceType: this.camera.PictureSourceType.CAMERA
        };
        this.camera.getPicture(options).then(function (imageData) {
            var image = new Image();
            image.src = 'data:image/jpeg;base64,' + imageData;
            var this_ = _this;
            image.onload = function () {
                var img64 = this_.compress(image, 800, 800, 0.7);
                this_.photoBase64 = img64.replace('data:image/jpeg;base64,', '');
                this_.uploadImg();
            };
        }, function (err) {
            // Handle error
        });
    };
    SuperviseSolvePage.prototype.compress = function (img, width, height, ratio) {
        var canvas, ctx, img64;
        canvas = document.createElement('canvas');
        canvas.width = width;
        canvas.height = height;
        ctx = canvas.getContext("2d");
        ctx.drawImage(img, 0, 0, width, height);
        img64 = canvas.toDataURL("image/jpeg", ratio);
        return img64;
    };
    SuperviseSolvePage.prototype.uploadImg = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var params = {
                'photoBase64': _this.photoBase64
            };
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.post(config.serverUrl + '/v4/sy/alertSupervise/photo', params, options).subscribe(function (res) {
                    var result = res.json();
                    _this.loader.dismiss();
                    if (result.code == 0) {
                        _this.imgList.push(result.data);
                    }
                    else {
                        var alert_3 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_3.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    SuperviseSolvePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-supervise-solve',template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\supervise-solve\supervise-solve.html"*/'<ion-header>\n  <div class="header">\n    <div class="top">\n      <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n      <span class="name">{{titleName}}</span>\n    </div>\n  </div>\n</ion-header>\n\n<ion-content>\n  <div class="body">\n    <ion-list>\n      <ion-textarea class="text" placeholder="请输入办结记录" [(ngModel)]="solution"></ion-textarea>\n    </ion-list>\n    <div class="uploads">\n      <span>上传图片：</span>\n      <button (click)="getCameras()">拍照</button>\n      <div class="imgs" *ngIf="imgList.length" >\n        <img *ngFor="let item of imgList" [src]="item" />\n      </div>\n    </div>\n  </div>\n</ion-content>\n\n<ion-footer>\n  <div class="footer">\n    <ion-toolbar color="primary">\n      <ion-buttons class="footer-btns">\n        <button class="footer-btn" ion-button icon-left (click)="submit()">\n          <ion-icon name="cloud-upload"></ion-icon>提交\n        </button>\n      </ion-buttons>\n    </ion-toolbar>\n  </div>\n</ion-footer>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\supervise-solve\supervise-solve.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* ActionSheetController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* ToastController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_native_camera__["a" /* Camera */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_3__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */]])
    ], SuperviseSolvePage);
    return SuperviseSolvePage;
}());

//# sourceMappingURL=supervise-solve.js.map

/***/ }),

/***/ 149:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SuperviseTablePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__slide_menu_slide_menu__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_photo_viewer__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__supervise_simple_supervise_simple__ = __webpack_require__(56);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var SuperviseTablePage = (function () {
    function SuperviseTablePage(navCtrl, navParams, http, loadingCtrl, storage, alertCtrl, photoViewer) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.loadingCtrl = loadingCtrl;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.keyword = "";
        this.dataList = [];
        this.date = "";
        this.queryType = "unhandled";
        this.activeSlide = 0;
        this.photoViewer = photoViewer;
    }
    SuperviseTablePage.prototype.showPhoto = function (url) {
        if (url)
            this.photoViewer.show(url);
    };
    SuperviseTablePage.prototype.ionViewDidLoad = function () {
        // this.initTime();
        this.getSupervises();
    };
    SuperviseTablePage.prototype.initTime = function () {
        this.date = this.formatPastDay(0);
    };
    SuperviseTablePage.prototype.getDate = function () {
        $("#date").mobiscroll().date({
            theme: "android-ics light",
            lang: 'zh',
            dateFormat: 'yy-mm-dd',
            dateOrder: 'yyyymmdd'
        });
    };
    SuperviseTablePage.prototype.formatPastDay = function (day) {
        var date = new Date(new Date(new Date().toLocaleDateString()).getTime() + 60 * 60 * 24 * day * 1000);
        var to = {
            'Y': date.getFullYear() < 9 ? '0' + date.getFullYear() : date.getFullYear(),
            'M': date.getMonth() + 1 < 9 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1,
            'D': date.getDate() < 9 ? '0' + date.getDate() : date.getDate()
        };
        var time = to['Y'] + "-" + to['M'] + "-" + to['D'];
        return time;
    };
    SuperviseTablePage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    SuperviseTablePage.prototype.getSupervises = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    keyword: _this.keyword
                }
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                var partOfUrl = _this.queryType === 'unhandled' ? 'untreatedSupervises' : 'supervises';
                _this.http.get(config.serverUrl + '/v4/sy/alertSupervise/' + partOfUrl, options).subscribe(function (res) {
                    var result = res.json();
                    _this.loader.dismiss();
                    if (result.code == 0) {
                        _this.dataList = result.data;
                    }
                    else {
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    SuperviseTablePage.prototype.refresh = function () {
        this.getSupervises();
    };
    SuperviseTablePage.prototype.backIndex = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__slide_menu_slide_menu__["a" /* SlideMenuPage */]);
    };
    SuperviseTablePage.prototype.dateChange = function () {
        // this.();
    };
    SuperviseTablePage.prototype.query = function (queryType) {
        this.queryType = queryType;
        this.getSupervises();
    };
    SuperviseTablePage.prototype.toDetail = function (id, name) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__supervise_simple_supervise_simple__["a" /* SuperviseSimplePage */], {
            id: id,
            name: name,
            queryType: this.queryType
        });
    };
    SuperviseTablePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-supervise-table',template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\supervise-table\supervise-table.html"*/'<ion-header>\n  <div class="header">\n    <div class="top">\n      <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n      <span class="name">督办</span>\n    </div>\n    <div class="segment">\n      <div class="item" [ngClass]="{\'select\':queryType === \'unhandled\'}" (click)="query(\'unhandled\')">未处理</div\n      ><div class="item" [ngClass]="{\'select\':queryType === \'all\'}" (click)="query(\'all\')">全部</div>\n    </div>\n    <div class="searchs">\n      <ion-input placeholder="搜索" style="width: 100%;" [(ngModel)]="keyword"></ion-input>\n      <div class="searchBtn"  (click)="getSupervises()" >\n        <img src="assets/imgs/search.png"/>\n      </div>\n    </div>\n  </div>\n</ion-header>\n\n<ion-content class="outer-content" style="background: #fff">\n  <div class="body">\n    <div *ngIf="dataList.length">\n      <div *ngFor="let item of dataList">\n        <div class="wrap">\n          <table class="table">\n            <tr (click)="toDetail(item.id,item.shortName)">\n              <td style="width: 80px;text-align: center">\n                <ion-icon class="iconF" name="ios-albums-outline"></ion-icon>\n              </td>\n              <td>\n                <div>\n                  <p><span>事件名称:</span>{{item.shortName }}</p>\n                  <p><span>事件类型:</span>{{item.monitorAreaTypeName }}</p>\n                  <p><span>发生时间:</span>{{item.createTime| date: "yyyy-MM-dd HH:mm:ss" }}</p>\n                </div>\n              </td>\n              <td>\n                {{item.stateName}}\n              </td>\n            </tr>\n          </table>\n        </div>\n      </div>\n    </div>\n    <div class="noData" *ngIf="!dataList.length">\n      暂无数据\n    </div>\n  </div>\n</ion-content>\n\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\supervise-table\supervise-table.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_3__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_photo_viewer__["a" /* PhotoViewer */]])
    ], SuperviseTablePage);
    return SuperviseTablePage;
}());

//# sourceMappingURL=supervise-table.js.map

/***/ }),

/***/ 150:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ReferenceStandardPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__ = __webpack_require__(12);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var ReferenceStandardPage = (function () {
    function ReferenceStandardPage(platform, navCtrl, navParams, http, loadingCtrl, storage, alertCtrl, sanitizer) {
        this.platform = platform;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.loadingCtrl = loadingCtrl;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.sanitizer = sanitizer;
        this.dataList = [];
    }
    ReferenceStandardPage.prototype.ionViewDidLoad = function () {
        this.getData();
    };
    ReferenceStandardPage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    ReferenceStandardPage.prototype.backIndex = function () {
        // this.navCtrl.push(IndexViewPage);
        this.navCtrl.pop();
    };
    ReferenceStandardPage.prototype.getData = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/referenceStandard", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        var result_1 = res.json();
                        _this.dataList = result_1.data;
                    }
                    else {
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    ReferenceStandardPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: "page-reference-standard",template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\reference-standard\reference-standard.html"*/'<ion-header>\n    <div class="header">\n        <div class="top">\n            <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n            <span class="name">参考标准</span>\n        </div>\n    </div>\n</ion-header>\n<ion-content>\n    <div class="stand">\n\n        <div class="item" *ngFor="let data of dataList">\n            <div>{{data.sensorTypeName}}</div>\n            <div class="sitem" *ngFor="let item of data.references[0]">\n                <div>{{item.monitorAreaTypeName}}</div>\n                <div class="elitem" *ngFor="let el of item.references" [ngStyle]="{\'color\':el.color }">\n                    <div>{{el.judgement}}</div>\n                    <div [innerHTML]="assembleHTML(el.description)"></div>\n                </div>\n            </div>\n        </div>\n    </div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\reference-standard\reference-standard.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__["c" /* DomSanitizer */]])
    ], ReferenceStandardPage);
    return ReferenceStandardPage;
}());

//# sourceMappingURL=reference-standard.js.map

/***/ }),

/***/ 151:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return StationMapPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__spots_category_spots_category__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_in_app_browser__ = __webpack_require__(37);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_app_availability__ = __webpack_require__(38);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var StationMapPage = (function () {
    function StationMapPage(platform, navCtrl, navParams, http, storage, alertCtrl, loadingCtrl, sanitizer, iab, appAvailability) {
        this.platform = platform;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.loadingCtrl = loadingCtrl;
        this.sanitizer = sanitizer;
        this.iab = iab;
        this.appAvailability = appAvailability;
        this.map = null;
        this.stationList = [];
        this.pmstationList = [];
        this.timeType = 0;
        this.timeList = [];
        this.stationDetail = {
            monitorStationName: "",
            name: "",
            unit: "",
            value: "",
            time: "",
            monitorStationId: 0
        };
        this.monitorArea = "";
        this.districtId = -1;
        this.type = "";
        this.name = "点位地图";
        this.sensorValueColor = [];
        this.markers = [];
        this.pmmarkers = [];
        this.sensorList = [];
        this.keys = "";
        this.showAppChoose = false;
        this.monitorTypes = [];
        this.monitorName = "";
        this.destinationName = "";
        this.latBD9 = "";
        this.lonBD9 = "";
        this.latGCJ2 = "";
        this.lonGCJ2 = "";
        this.selectOptions = {
            title: "行业类型"
        };
        this.typeValue = "tsp";
        this.pmData = [];
        this.pmFirName = 1;
        this.pmStationId = -1;
        this.nameList = [];
        this.hascnemc = false;
    }
    StationMapPage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    StationMapPage.prototype.backIndex = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__spots_category_spots_category__["a" /* SpotsCategoryPage */]);
    };
    StationMapPage.prototype.initMap = function () {
        this.map = new AMap.Map(this.mapContainer.nativeElement, {
            view: new AMap.View2D({
                zoom: 12,
                rotateEnable: true,
                showBuildingBlock: true
            })
        });
        this.map.setMapStyle("amap://styles/macaron");
        this.map.setCity("沈阳市");
        this.getPMData();
    };
    StationMapPage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    StationMapPage.prototype.getPMData = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            // this.presentLoading();
            // this.map.clearMap();
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {}
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/mapPmApiStation", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        // this.loader.dismiss();
                        _this.pmstationList = result.data;
                        _this.setPmMarker();
                    }
                    else {
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    StationMapPage.prototype.getPMCsite = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            // this.presentLoading();
            _this.map.clearMap();
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {}
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/mapPmApiStation", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        // this.loader.dismiss();
                        _this.pmData = result.data;
                        _this.pmData.unshift({
                            pmStationId: -1,
                            position_name: "全部"
                        });
                        _this.pmFirName = _this.pmData[0].pmStationId;
                        // this.setPmMarker();
                    }
                    else {
                        var alert_2 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_2.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    StationMapPage.prototype.setPmMarker = function () {
        var _this = this;
        var pmstationList = this.pmstationList;
        for (var i = 0; i < pmstationList.length; i++) {
            var bgcolor = pmstationList[i].aqiColor;
            // bgcolor = bgcolor.split('#')[1];
            var content = "<div class='map_marker_circle' style='background-image: url(assets/imgs/map/" +
                bgcolor +
                ".png)'>" +
                "</div>";
            var marker = new AMap.Marker({
                map: this.map,
                position: [pmstationList[i].longitude, pmstationList[i].latitude],
                content: content
            });
            // 点位点击获取详情
            marker.extData = {
                potData: pmstationList[i]
            };
            marker.on("click", function (e) {
                var potData = e.target.extData.potData;
                _this.stationDetail = potData;
                _this.storage.set("monitorStationName", potData.position_name);
                _this.storage.set("monitorStationId", potData.pmStationId);
                setTimeout(function () {
                    // let contents = document.getElementById('details').innerHTML;
                    var contents = "<div class='pmdotDetaill'>" +
                        "<div class='title'>" +
                        "<span id='name'>" +
                        potData.position_name +
                        "</span>" +
                        "</div>" +
                        "<div class='detail'>" +
                        "<div class='el'>" +
                        "<span>AQI：" +
                        potData.aqi +
                        "</span>" +
                        "</div>" +
                        "<div class='el'>" +
                        "<span>PM10：" +
                        potData.pm10 +
                        "(μg/m<sup>3</sup>)</span>" +
                        "</div>" +
                        "<div class='el'>" +
                        "<span>PM2.5：" +
                        potData.pm25 +
                        "(μg/m<sup>3</sup>)</span>" +
                        "</div>" +
                        "<div class='el'>" +
                        "<span>SO2：" +
                        potData.so2 +
                        "(μg/m<sup>3</sup>)</span>" +
                        "</div>" +
                        "<div class='el'>" +
                        "<span>CO：" +
                        potData.co +
                        "(mg/m<sup>3</sup>)</span>" +
                        "</div>" +
                        "<div class='el'>" +
                        "<span>NO2：" +
                        potData.no2 +
                        "(μg/m<sup>3</sup>)</span>" +
                        "</div>" +
                        "<div class='el'>" +
                        "<span>O3：" +
                        potData.o3 +
                        "(μg/m<sup>3</sup>)</span>" +
                        "</div>" +
                        "<div class='el'>" +
                        "<span>更新时间: </span>" +
                        "<span>" +
                        potData.timeString +
                        "</span>" +
                        "</div>" +
                        "</div>";
                    var infoWindow = new AMap.InfoWindow({
                        offset: new AMap.Pixel(-4, -25)
                    });
                    infoWindow.setContent(contents);
                    infoWindow.open(_this.map, e.target.getPosition());
                }, 100);
            });
            this.pmmarkers.push(marker);
        }
        this.map.setFitView();
    };
    StationMapPage.prototype.ledToOtherApp = function () {
        var _this = this;
        var app = '';
        if (this.platform.is('ios')) {
            app = 'cnemc://'; /* Scheme URL */
        }
        else if (this.platform.is('android')) {
            app = 'com.cnemc.aqi'; /*安卓包名 */
        }
        this.appAvailability.check(app) /* 检测app是否已安装 */
            .then(function (yes) {
            _this.hascnemc = true;
        }, function (no) {
            _this.hascnemc = false;
        });
        this.showAppChoose = true;
    };
    StationMapPage.prototype.openByApp = function () {
        if (this.platform.is("ios")) {
            var urlAmap = "cnemc://";
            this.iab.create(urlAmap, "_system", {});
        }
        else if (this.platform.is("android")) {
            var urlAmap = "androidcnemc://";
            this.iab.create(urlAmap, "_system", {});
        }
    };
    StationMapPage.prototype.hideAppChoose = function () {
        this.showAppChoose = false;
    };
    StationMapPage.prototype.getBgColorFromValue = function (curValue, curName, sensorValueColor) {
        var bgcolor = "";
        if (curValue * 1 > 0) {
            sensorValueColor.forEach(function (item) {
                if (item.sensor == curName) {
                    item.valueColors.forEach(function (el) {
                        if (bgcolor == "") {
                            if (el.max == "") {
                                if (curValue * 1 > el.min * 1 || curValue * 1 == el.min * 1) {
                                    bgcolor = el.color;
                                }
                            }
                            else {
                                if ((curValue * 1 > el.min * 1 || curValue * 1 == el.min * 1) &&
                                    curValue * 1 < el.max * 1) {
                                    bgcolor = el.color;
                                }
                            }
                        }
                    });
                }
            });
        }
        else {
            bgcolor = "#c4c4c4";
        }
        return bgcolor;
    };
    StationMapPage.prototype.dotDetail = function () {
        var _this = this;
        var id = "";
        var name = "";
        this.storage.get("monitorStationName").then(function (valname) {
            name = valname;
            _this.storage.get("monitorStationId").then(function (valid) {
                id = valid;
                console.log("jumpid:", id);
                console.log("jumpname:", name);
                // this.navCtrl.push(SecondDetailPage, {
                //   monitorId: id,
                //   monitorName: name,
                //   navParamsData: this.navParams.data
                // });
            });
        });
    };
    StationMapPage.prototype.dotInfo = function () {
        var _this = this;
        var id = "";
        var name = "";
        this.storage.get("monitorStationName").then(function (valname) {
            name = valname;
            _this.storage.get("monitorStationId").then(function (valid) {
                id = valid;
                // this.navCtrl.push(SecondDotInfoPage, {
                //   monitorId: id,
                //   monitorName: name
                // });
            });
        });
    };
    StationMapPage.prototype.ionViewDidEnter = function () {
        this.initMap();
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])("map"),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* ElementRef */])
    ], StationMapPage.prototype, "mapContainer", void 0);
    StationMapPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: "page-station-map",template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\stationSpots\station-map\station-map.html"*/'<ion-header>\n  <div class="header">\n    <div class="top">\n      <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n      <span class="name">国控点</span>\n<!--      <span class="btn" (click)="ledToOtherApp()">空气质量</span>-->\n    </div>\n  </div>\n</ion-header>\n\n<ion-content>\n  <div class="fixMask" *ngIf="showAppChoose">\n    <div class="maskbg" (click)="hideAppChoose()"></div>\n    <div class="items">\n      <div *ngIf="hascnemc" (click)="openByApp()">空气质量发布</div>\n      <div *ngIf="!hascnemc">空气质量发布[未安装]</div>\n    </div>\n  </div>\n\n  <div #map class="map"></div>\n  <div id="details" style="display: none;">\n    <div class="dotDetaill">\n      <div class="title">\n        <span id="name">{{ stationDetail.monitorStationName }}</span>\n      </div>\n      <div class="detail">\n        <div class="el">\n          <span [innerHTML]="assembleHTML(stationDetail.name)"></span>\n          <span>(</span>\n          <span [innerHTML]="assembleHTML(stationDetail.unit)"></span>\n          <span>)</span>\n          <span>: </span>\n          <span>{{ stationDetail.value }}</span>\n        </div>\n        <div class="el">\n          <span>更新时间: </span>\n          <span>{{ stationDetail.time }}</span>\n        </div>\n        <div class="el" style="text-align:center;">\n          <button onclick="document.getElementById(\'detail\').click()" >\n            数据\n          </button>\n          <button onclick="document.getElementById(\'nav\').click()">导航</button>\n        </div>\n      </div>\n    </div>\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\stationSpots\station-map\station-map.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_6__ionic_native_in_app_browser__["a" /* InAppBrowser */],
            __WEBPACK_IMPORTED_MODULE_7__ionic_native_app_availability__["a" /* AppAvailability */]])
    ], StationMapPage);
    return StationMapPage;
}());

//# sourceMappingURL=station-map.js.map

/***/ }),

/***/ 152:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OtherspotsManagePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__otherspots_map_otherspots_map__ = __webpack_require__(153);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__otherspots_dottype_otherspots_dottype__ = __webpack_require__(156);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__otherspots_mine_otherspots_mine__ = __webpack_require__(157);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__otherspots_case_product_otherspots_case_product__ = __webpack_require__(158);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__otherspots_supervise_task_otherspots_supervise_task__ = __webpack_require__(159);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__otherspots_supervise_table_otherspots_supervise_table__ = __webpack_require__(162);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__otherspots_supervise_hand_otherspots_supervise_hand__ = __webpack_require__(58);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__intellige_analysis_intellige_analysis__ = __webpack_require__(163);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};










var OtherspotsManagePage = (function () {
    function OtherspotsManagePage(navCtrl, navParams) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.showTask = "false";
        this.showTable = "false";
        this.showHand = "false";
        this.IntelligeAnalysisPage = __WEBPACK_IMPORTED_MODULE_9__intellige_analysis_intellige_analysis__["a" /* IntelligeAnalysisPage */];
        this.OtherspotsMapPage = __WEBPACK_IMPORTED_MODULE_2__otherspots_map_otherspots_map__["a" /* OtherspotsMapPage */];
        this.OtherspotsDottypePage = __WEBPACK_IMPORTED_MODULE_3__otherspots_dottype_otherspots_dottype__["a" /* OtherspotsDottypePage */];
        this.minePage = __WEBPACK_IMPORTED_MODULE_4__otherspots_mine_otherspots_mine__["a" /* OtherspotsMinePage */];
        this.casePage = __WEBPACK_IMPORTED_MODULE_5__otherspots_case_product_otherspots_case_product__["a" /* OtherspotsCaseProductPage */];
        this.superviseTaskPage = __WEBPACK_IMPORTED_MODULE_6__otherspots_supervise_task_otherspots_supervise_task__["a" /* OtherspotsSuperviseTaskPage */];
        this.superviseTablePage = __WEBPACK_IMPORTED_MODULE_7__otherspots_supervise_table_otherspots_supervise_table__["a" /* OtherspotsSuperviseTablePage */];
        this.superviseHandPage = __WEBPACK_IMPORTED_MODULE_8__otherspots_supervise_hand_otherspots_supervise_hand__["a" /* OtherspotsSuperviseHandPage */];
        this.typeParam = "";
        var type = navParams.get("type");
        this.typeParam = type;
    }
    OtherspotsManagePage.prototype.ionViewDidLoad = function () {
        this.departmentId = Number(window.sessionStorage.getItem("departmentId"));
        switch (this.departmentId) {
            case 1:
                this.showTask = "false";
                this.showTable = "true";
                this.showHand = "false";
                break;
            case 7:
                this.showTask = "false";
                this.showTable = "false";
                this.showHand = "true";
                break;
            case 5:
                this.showTask = "false";
                this.showTable = "false";
                this.showHand = "true";
                break;
            default:
                this.showTask = "true";
                this.showTable = "false";
                this.showHand = "false";
                break;
        }
    };
    OtherspotsManagePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: "page-otherspots-manage",template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-manage\otherspots-manage.html"*/'<ion-tabs>\n<!--  <ion-tab-->\n<!--    [root]="OtherspotsMapPage"-->\n<!--    [rootParams]="typeParam"-->\n<!--    tabTitle="地图"-->\n<!--    tabIcon="mapImg"-->\n<!--  ></ion-tab>-->\n  <ion-tab\n    [root]="casePage"\n    [rootParams]="typeParam"\n    tabTitle="事件"\n    tabIcon="warnImg"\n  ></ion-tab>\n  <ion-tab\n    [root]="IntelligeAnalysisPage"\n    [rootParams]="typeParam"\n    tabTitle="智能分析"\n    tabIcon="stationImg"\n  ></ion-tab>\n<!--    <ion-tab-->\n<!--    [root]="OtherspotsDottypePage"-->\n<!--    [rootParams]="typeParam"-->\n<!--    tabTitle="点位"-->\n<!--    tabIcon="stationImg"-->\n<!--    ></ion-tab>-->\n  <ion-tab\n    [root]="superviseTaskPage"\n    [show]="showTask"\n    tabTitle="督办"\n    tabIcon="monitorImg"\n  ></ion-tab>\n  <ion-tab\n    [root]="superviseTablePage"\n    [show]="showTable"\n    tabTitle="督办"\n    tabIcon="monitorImg"\n  ></ion-tab>\n  <ion-tab\n    [root]="superviseHandPage"\n    [show]="showHand"\n    tabTitle="整改"\n    tabIcon="monitorImg"\n  ></ion-tab>\n  <ion-tab [root]="minePage" tabTitle="我" tabIcon="reportImg"></ion-tab>\n</ion-tabs>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-manage\otherspots-manage.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */]])
    ], OtherspotsManagePage);
    return OtherspotsManagePage;
}());

//# sourceMappingURL=otherspots-manage.js.map

/***/ }),

/***/ 153:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OtherspotsMapPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_in_app_browser__ = __webpack_require__(37);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_app_availability__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__otherspots_index_otherspots_index__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__otherspots_dotinfo_otherspots_dotinfo__ = __webpack_require__(154);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__otherspots_casedetail_otherspots_casedetail__ = __webpack_require__(155);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};











var OtherspotsMapPage = (function () {
    function OtherspotsMapPage(platform, iab, appAvailability, navCtrl, navParams, http, storage, alertCtrl, loadingCtrl, sanitizer) {
        this.platform = platform;
        this.iab = iab;
        this.appAvailability = appAvailability;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.loadingCtrl = loadingCtrl;
        this.sanitizer = sanitizer;
        this.map = null;
        this.stationList = [];
        this.pmstationList = [];
        this.timeType = 0;
        this.timeList = [];
        this.stationDetail = {
            monitorStationName: "",
            name: "",
            unit: "",
            value: "",
            time: "",
            monitorStationId: 0
        };
        this.monitorArea = "";
        this.districtId = -1;
        this.districtList = [];
        this.type = "";
        this.sensorValueColor = [];
        this.markers = [];
        this.pmmarkers = [];
        this.sensorList = [];
        this.hasAmap = false;
        this.hasBmap = false;
        this.showMapChoose = false;
        this.monitorTypes = [];
        this.monitorName = "";
        this.destinationName = "";
        this.latBD9 = "";
        this.lonBD9 = "";
        this.latGCJ2 = "";
        this.lonGCJ2 = "";
        this.selectOptions = {
            title: "行业类型"
        };
        this.typeValue = "tsp";
        this.pmData = [];
        this.pmFirName = 1;
        this.nameList = [];
        this.pmStationId = -1;
        var navParamsData = navParams.get("data");
        if (navParamsData) {
            this.monitorArea = navParamsData.join(",");
        }
        else {
            this.monitorArea = navParams.data.join(",");
        }
        // this.initMap();
    }
    OtherspotsMapPage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    OtherspotsMapPage.prototype.backIndex = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_7__otherspots_index_otherspots_index__["a" /* OtherspotsIndexPage */]);
    };
    OtherspotsMapPage.prototype.initMap = function () {
        this.map = new AMap.Map(this.mapContainer.nativeElement, {
            view: new AMap.View2D({
                zoom: 7,
                rotateEnable: true,
                showBuildingBlock: true
            })
        });
        this.map.setMapStyle("amap://styles/macaron");
        // this.map.setCity("沈阳市");
        this.map.setFitView();
        this.getData();
    };
    OtherspotsMapPage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    OtherspotsMapPage.prototype.getData = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            // this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    monitorAreaTypeIds: _this.monitorArea.split(","),
                    pmStationId: _this.pmStationId,
                    districtId: _this.districtId,
                    type: "other"
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/mapMonitorStation", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        // this.loader.dismiss();
                        _this.stationList = result.data;
                        if (result.message) {
                            _this.nameList = result.message.split(",");
                        }
                        else {
                            _this.nameList = [];
                        }
                        _this.setMarker();
                    }
                    else {
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    OtherspotsMapPage.prototype.setMarker = function () {
        var _this = this;
        this.markers.forEach(function (item) {
            _this.map.remove(item);
        });
        var stationList = this.stationList;
        for (var i = 0; i < stationList.length; i++) {
            var bgcolor = stationList[i].color;
            var content = "<div class='map_marker_circle' style='background: " +
                bgcolor +
                "'></div>";
            var marker = new AMap.Marker({
                map: this.map,
                position: [stationList[i].longitude, stationList[i].latitude],
                content: content
            });
            // 点位点击获取详情
            marker.extData = {
                potData: stationList[i]
            };
            marker.on("click", function (e) {
                var potData = e.target.extData.potData;
                _this.stationDetail = potData;
                _this.storage.set("monitorStationName", potData.monitorStation_Name);
                _this.storage.set("monitorStationId", potData.monitorStationId);
                setTimeout(function () {
                    // let content = document.getElementById('stationDetail').innerHTML;
                    var content = "<div class='dotDetaill'>" +
                        "<div class='title'>" +
                        "<span id='name'>" +
                        potData.monitorStation_Name +
                        "</span>" +
                        "</div>" +
                        "<div class='detail'>" +
                        "<div class='el'>" +
                        "<span>更新时间: </span>" +
                        "<span>" +
                        potData.time +
                        "</span>" +
                        "</div>" +
                        "<div class='el' style='text-align:center;'><button onclick=\"document.getElementById('detail').click()\">事件</button>" +
                        "<button onclick=\"document.getElementById('nav').click()\">导航</button>" +
                        "</div>" +
                        "</div>";
                    var infoWindow = new AMap.InfoWindow({
                        offset: new AMap.Pixel(-4, -10)
                    });
                    infoWindow.setContent(content);
                    infoWindow.open(_this.map, e.target.getPosition());
                    _this.getDestinationLonAndLat();
                }, 100);
            });
            this.markers.push(marker);
        }
        this.map.setFitView();
    };
    OtherspotsMapPage.prototype.dotDetail = function () {
        var _this = this;
        var id = "";
        var name = "";
        this.storage.get("monitorStationName").then(function (valname) {
            name = valname;
            _this.storage.get("monitorStationId").then(function (valid) {
                id = valid;
                _this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_9__otherspots_casedetail_otherspots_casedetail__["a" /* OtherspotsCasedetailPage */], {
                    monitorId: id,
                    monitorName: name
                });
            });
        });
    };
    OtherspotsMapPage.prototype.dotInfo = function () {
        var _this = this;
        var id = "";
        var name = "";
        this.storage.get("monitorStationName").then(function (valname) {
            name = valname;
            _this.storage.get("monitorStationId").then(function (valid) {
                id = valid;
                console.log("jumpid:", id);
                console.log("jumpname:", name);
                _this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_8__otherspots_dotinfo_otherspots_dotinfo__["a" /* OtherspotsDotinfoPage */], {
                    monitorId: id,
                    monitorName: name
                });
            });
        });
    };
    OtherspotsMapPage.prototype.openMap = function () {
        var _this = this;
        var appAmap = "";
        var appBmap = "";
        if (this.platform.is("ios")) {
            appAmap = "iosamap://";
            appBmap = "baidumap://";
        }
        else if (this.platform.is("android")) {
            appAmap = "com.autonavi.minimap";
            appBmap = "com.baidu.BaiduMap";
        }
        this.appAvailability.check(appAmap).then(function (yes) {
            _this.hasAmap = true;
        }, function (no) {
            _this.hasAmap = false;
        });
        this.appAvailability.check(appBmap).then(function (yes) {
            _this.hasBmap = true;
        }, function (no) {
            _this.hasBmap = false;
        });
        this.showMapChoose = true;
        // this.appAvailability.check(appAmap)
        // .then(
        // 	(yes: boolean) => {
        // 		// this.iab.create(urlAmap, '_system',{});
        // 		hasAmap = true;
        // 	},
        // 	(no: boolean) => {
        // 		/* 未安装，请编写提示代码或跳转下载 */
        // 		// const alert = this.alertCtrl.create({
        // 		//   subTitle: "不存在高德地图，快去下载~",
        // 		//   buttons: ['OK']
        // 		// });
        // 		// alert.present();
        // 		this.appAvailability.check(appBmap)
        // 		.then(
        // 			(yes: boolean) => {
        // 				this.iab.create(urlBmap, '_system',{});
        // 			},
        // 			(no: boolean) => {
        // 				window.open(" http://api.map.baidu.com/direction?origin=latlng:34.264642646862,108.95108518068|name:当前位置&destination=latlng:39.9761,116.3282|name:钓点位置&mode=driving&region=西安&output=html&src=yourCompanyName|yourAppName");
        // 			}
        // 		);
        // 	}
        // );
    };
    OtherspotsMapPage.prototype.openByBrowser = function () {
        window.open(" http://api.map.baidu.com/direction?origin=latlng:34.264642646862,108.95108518068|name:当前位置&destination=latlng:39.9761,116.3282|name:钓点位置&mode=driving&region=西安&output=html&src=yourCompanyName|yourAppName");
    };
    OtherspotsMapPage.prototype.openByAmap = function () {
        if (this.platform.is("ios")) {
            var urlAmap = "iosamap://viewMap?sourceApplication=applicationName&poiname=" +
                this.destinationName +
                "&lat=" +
                this.latGCJ2 +
                "&lon=" +
                this.lonGCJ2 +
                "&dev=1";
            this.iab.create(urlAmap, "_system", {});
        }
        else if (this.platform.is("android")) {
            var urlAmap = "androidamap://viewMap?sourceApplication=appname&poiname=" +
                this.destinationName +
                "&lat=" +
                this.latGCJ2 +
                "&lon=" +
                this.lonGCJ2 +
                "&dev=0";
            this.iab.create(urlAmap, "_system", {});
        }
    };
    OtherspotsMapPage.prototype.openByBmap = function () {
        if (this.platform.is("ios")) {
            var urlBmap = "baidumap://map/marker?location=" +
                this.latBD9 +
                "," +
                this.lonBD9 +
                "&title=" +
                this.destinationName +
                "&content=" +
                this.destinationName +
                "&src=ios.baidu.openAPIdemo";
            this.iab.create(urlBmap, "_system", {});
        }
        else if (this.platform.is("android")) {
            var urlBmap = "baidumap://map/marker?location=" +
                this.latBD9 +
                "," +
                this.lonBD9 +
                "&title=" +
                this.destinationName +
                "&traffic=on&src=andr.baidu.openAPIdemo";
            this.iab.create(urlBmap, "_system", {});
        }
    };
    OtherspotsMapPage.prototype.getDestinationLonAndLat = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    monitorStationId: _this.stationDetail["monitorStationId"]
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/destinationLonAndLat", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        var data = result.data;
                        _this.destinationName = data.destinationName;
                        _this.latBD9 = data.latBD9;
                        _this.lonBD9 = data.lonBD9;
                        _this.latGCJ2 = data.latGCJ2;
                        _this.lonGCJ2 = data.lonGCJ2;
                    }
                });
            });
        });
    };
    OtherspotsMapPage.prototype.hideMapChoose = function () {
        this.showMapChoose = false;
    };
    OtherspotsMapPage.prototype.ionViewDidEnter = function () {
        this.getPMCsite();
        this.getDistricts();
        this.initMap();
    };
    OtherspotsMapPage.prototype.getPMCsite = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            // this.presentLoading();
            _this.map.clearMap();
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {}
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/mapPmApiStation", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        // this.loader.dismiss();
                        _this.pmData = result.data;
                        _this.pmData.unshift({
                            pmStationId: -1,
                            position_name: "全部"
                        });
                        _this.pmFirName = _this.pmData[0].pmStationId;
                        // this.setPmMarker();
                    }
                    else {
                        var alert_2 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_2.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    OtherspotsMapPage.prototype.getDistricts = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            // this.presentLoading();
            _this.map.clearMap();
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {}
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/districts", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        // this.loader.dismiss();
                        _this.districtList = result.data;
                        _this.districtList.unshift({
                            id: -1,
                            name: "全部"
                        });
                        _this.districtId = _this.districtList[0].id;
                    }
                    else {
                        var alert_3 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_3.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    OtherspotsMapPage.prototype.changeCsite = function (events) {
        this.map.clearMap();
        this.pmStationId = events;
        this.getData();
        this.pmstationList = [];
        for (var i = 0; i < this.pmData.length; i++) {
            if (this.pmData[i].pmStationId == events && events != -1) {
                this.pmstationList.push(this.pmData[i]);
                // this.setPmMarker();
                return;
            }
            else if (events == -1) {
                // this.getPMData();
                return;
            }
        }
    };
    OtherspotsMapPage.prototype.changeDIstrict = function (events) {
        this.getData();
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])("map"),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* ElementRef */])
    ], OtherspotsMapPage.prototype, "mapContainer", void 0);
    OtherspotsMapPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: "page-otherspots-map",template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-map\otherspots-map.html"*/'<ion-header>\n  <div class="header">\n    <div class="top">\n      <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n      <span class="name">其他点位</span>\n    </div>\n  </div>\n</ion-header>\n\n<ion-content>\n  <div class="fixMask" *ngIf="showMapChoose">\n    <div class="maskbg" (click)="hideMapChoose()"></div>\n    <div class="items">\n      <div *ngIf="hasAmap" (click)="openByAmap()">高德地图</div>\n      <div *ngIf="!hasAmap">高德地图[未安装]</div>\n      <div *ngIf="hasBmap" (click)="openByBmap()">百度地图</div>\n      <div *ngIf="!hasBmap">百度地图[未安装]</div>\n    </div>\n  </div>\n\n  <div #map class="map"></div>\n  <div id="stationDetail" style="display: none;">\n    <div class="dotDetaill">\n      <div class="title">\n        <span id="name">{{ stationDetail.monitorStationName }}</span>\n      </div>\n      <div class="detail">\n        <div class="el">\n          <span>发现时间: </span>\n          <span>{{ stationDetail.time }}</span>\n        </div>\n        <div class="el" style="text-align:center;">\n          <button onclick="document.getElementById(\'detail\').click()">\n            事件\n          </button>\n          <button onclick="document.getElementById(\'nav\').click()">导航</button>\n          <button onclick="document.getElementById(\'views\').click()">\n            查看\n          </button>\n        </div>\n      </div>\n    </div>\n  </div>\n\n  <div class="districtName">\n    <ion-select [(ngModel)]="districtId" (ionChange)="changeDIstrict($event)" interface="popover" style="vertical-align: middle;max-width: none;" [selectOptions]="selectOptions">\n      <ng-container *ngFor="let item of districtList">\n        <ion-option value="{{item.id}}">{{item.name}}</ion-option>\n      </ng-container>\n    </ion-select>\n  </div>\n  <div class="pmName">\n    <ion-select [(ngModel)]="pmFirName" (ionChange)="changeCsite($event)" interface="popover" style="vertical-align: middle;max-width: none;" [selectOptions]="selectOptions">\n      <ng-container *ngFor="let item of pmData">\n        <ion-option value="{{item.pmStationId}}">{{item.position_name}}</ion-option>\n      </ng-container>\n    </ion-select>\n  </div>\n  <div style="display: none">\n    <input\n      id="detail"\n      style="width: 0;height:0"\n      type="text"\n      (click)="dotDetail()"\n    />\n    <input id="nav" style="width: 0" type="text" (click)="openMap()" />\n    <input id="views" style="width: 0" type="text" (click)="dotInfo()" />\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-map\otherspots-map.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_in_app_browser__["a" /* InAppBrowser */],
            __WEBPACK_IMPORTED_MODULE_6__ionic_native_app_availability__["a" /* AppAvailability */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__["c" /* DomSanitizer */]])
    ], OtherspotsMapPage);
    return OtherspotsMapPage;
}());

//# sourceMappingURL=otherspots-map.js.map

/***/ }),

/***/ 154:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OtherspotsDotinfoPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_http__ = __webpack_require__(4);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var OtherspotsDotinfoPage = (function () {
    function OtherspotsDotinfoPage(navCtrl, alertCtrl, navParams, storage, http) {
        this.navCtrl = navCtrl;
        this.alertCtrl = alertCtrl;
        this.navParams = navParams;
        this.storage = storage;
        this.http = http;
        this.page = 0;
        this.datas = {};
        this.monitorId = navParams.get("monitorId");
        this.monitorName = navParams.get("monitorName");
        this.getDetail();
    }
    OtherspotsDotinfoPage.prototype.getDetail = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl +
                    "/v4//monitorStationDetail/" +
                    _this.monitorId, options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.datas = result.data;
                        _this.monitorName = result.data.name;
                    }
                    else {
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    OtherspotsDotinfoPage.prototype.backList = function () {
        this.navCtrl.pop();
    };
    OtherspotsDotinfoPage.prototype.getStationHistory = function () { };
    OtherspotsDotinfoPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        setTimeout(function () {
            _this.page = _this.page + 1;
            _this.getStationHistory();
            infiniteScroll.complete();
        }, 500);
    };
    OtherspotsDotinfoPage.prototype.ionViewDidLoad = function () {
        console.log("ionViewDidLoad SecondDotInfoPage");
    };
    OtherspotsDotinfoPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: "page-otherspots-dotinfo",template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-dotinfo\otherspots-dotinfo.html"*/'<ion-header>\n  <div class="header">\n    <div class="back" (click)="backList()">返回</div>\n    <div class="nav">{{ monitorName }}</div>\n  </div>\n</ion-header>\n\n<ion-content padding>\n  <div class="content">\n    <div class="dataTable">\n      <table>\n        <tbody>\n          <tr>\n            <td>所在区：</td>\n            <td>{{ datas.districtName }}</td>\n          </tr>\n          <tr>\n            <td>所在行业：</td>\n            <td>{{ datas.monitorAreaTypeName }}</td>\n          </tr>\n          <tr>\n            <td>地址：</td>\n            <td>{{ datas.address }}</td>\n          </tr>\n          <tr>\n            <td>联系人：</td>\n            <td>{{ datas.contact }}</td>\n          </tr>\n          <tr>\n            <td>电话：</td>\n            <td>{{ datas.contactNumber }}</td>\n          </tr>\n        </tbody>\n      </table>\n      <div *ngIf="datas == \'{}\'">暂无数据！</div>\n      <ion-infinite-scroll (ionInfinite)="doInfinite($event)">\n        <ion-infinite-scroll-content loadingText="正在加载数据...">\n        </ion-infinite-scroll-content>\n      </ion-infinite-scroll>\n    </div>\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-dotinfo\otherspots-dotinfo.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_3__angular_http__["b" /* Http */]])
    ], OtherspotsDotinfoPage);
    return OtherspotsDotinfoPage;
}());

//# sourceMappingURL=otherspots-dotinfo.js.map

/***/ }),

/***/ 155:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OtherspotsCasedetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__otherspots_index_otherspots_index__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_photo_viewer__ = __webpack_require__(16);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var OtherspotsCasedetailPage = (function () {
    function OtherspotsCasedetailPage(navCtrl, alertCtrl, navParams, storage, http, photoViewer) {
        this.navCtrl = navCtrl;
        this.alertCtrl = alertCtrl;
        this.navParams = navParams;
        this.storage = storage;
        this.http = http;
        this.dataList = [];
        this.photoViewer = photoViewer;
        this.monitorId = navParams.get("monitorId");
        this.monitorName = navParams.get("monitorName");
        this.getData();
    }
    OtherspotsCasedetailPage.prototype.showPhoto = function (url) {
        if (url)
            this.photoViewer.show(url);
    };
    OtherspotsCasedetailPage.prototype.showDuban = function (item) {
        item.isShowDuban = !item.isShowDuban;
    };
    OtherspotsCasedetailPage.prototype.getData = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    monitorStationId: _this.monitorId
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/sy/alertSupervise/incident", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        var data = result.data;
                        for (var i = 0; i < data.length; i++) {
                            data[i].isShowDuban = 0;
                        }
                        _this.dataList = data;
                    }
                    else {
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    OtherspotsCasedetailPage.prototype.backIndex = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__otherspots_index_otherspots_index__["a" /* OtherspotsIndexPage */]);
    };
    OtherspotsCasedetailPage.prototype.ionViewDidLoad = function () { };
    OtherspotsCasedetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: "page-otherspots-casedetail",template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-casedetail\otherspots-casedetail.html"*/'<ion-header>\n  <div class="header">\n    <div class="top">\n      <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n      <span class="name">点位事件</span>\n    </div>\n  </div>\n</ion-header>\n\n<ion-content>\n  <div *ngFor="let item of dataList" class="singleItem">\n    <table class="supers">\n      <tr>\n        <td>事件类别：</td>\n        <td>{{ item.monitorAreaTypeName }}</td>\n      </tr>\n      <tr>\n        <td>企业名称：</td>\n        <td>{{ item.shortName }}</td>\n      </tr>\n      <tr>\n        <td>地址：</td>\n        <td>{{ item.addr }}</td>\n      </tr>\n      <tr>\n        <td>所在区：</td>\n        <td>{{ item.districtName }}</td>\n      </tr>\n<!--      <tr>-->\n<!--        <td>报警信息描述：</td>-->\n<!--        <td>{{ item.alertDescl }}</td>-->\n<!--      </tr>-->\n<!--      <tr>-->\n<!--        <td>事件内容：</td>-->\n<!--        <td>{{ item.content }}</td>-->\n<!--      </tr>-->\n      <tr>\n        <td>简单描述：</td>\n        <td>{{ item.sketch }}</td>\n      </tr>\n      <tr>\n        <td>经度：</td>\n        <td>{{ item.longitude }}</td>\n      </tr>\n      <tr>\n        <td>纬度：</td>\n        <td>{{ item.latitude }}</td>\n      </tr>\n      <tr>\n        <td>姓名：</td>\n        <td>{{ item.rummager }}</td>\n      </tr>\n<!--        <tr>-->\n<!--          <td colspan="2" (click)="showDuban(item)" style="background: #333;color: #fff;" *ngIf="item.isShowDuban == 0">展开督办进展</td>-->\n<!--          <td colspan="2" (click)="showDuban(item)" style="background: #333;color: #fff;" *ngIf="item.isShowDuban == 1">收起督办进展</td>-->\n<!--        </tr>-->\n<!--      <tr *ngIf="item.isShowDuban == 1">-->\n      <tr>\n        <td>事件信息：</td>\n        <td>\n          <h6 [ngStyle]="{ color: item.color }">{{ item.sketch }}</h6>\n          <p>{{ item.alertTime | date: "yyyy-MM-dd HH:mm:ss" }}</p>\n          <p\n            *ngIf="item.incidentPhotos"\n            (click)="showPhoto(item.incidentPhotos)"\n          >\n            <img src="{{ item.incidentPhotos }}" />\n          </p>\n        </td>\n      </tr>\n      <tr *ngIf="item.isShowDuban == 1">\n        <td>整改信息：</td>\n        <td>\n          <h6>\n            {{ item.rectificationMsg }}\n          </h6>\n          <p *ngIf="!item.rectificationTime">\n            {{ item.rectificationTime | date: "yyyy-MM-dd HH:mm:ss" }}\n          </p>\n          <p\n            *ngIf="item.rectificationPhotos"\n            (click)="showPhoto(item.rectificationPhotos)"\n          >\n            <img src="{{ item.rectificationPhotos }}" />\n          </p>\n        </td>\n      </tr>\n      <tr *ngIf="item.superviseTime && item.isShowDuban == 1">\n        <td>督办信息：</td>\n        <td>\n          <h6>{{ item.supervisePeople }}</h6>\n          <p>{{ item.suggest }}</p>\n          <p>\n            {{ item.superviseTime | date: "yyyy-MM-dd HH:mm:ss" }}\n          </p>\n        </td>\n      </tr>\n      <tr *ngIf="item.handlingTime && item.isShowDuban == 1">\n        <td>处理信息：</td>\n        <td>\n          <h6>{{ item.handler }}</h6>\n          <p>{{ item.result }}</p>\n          <p>\n            {{ item.handlerTime | date: "yyyy-MM-dd HH:mm:ss" }}\n          </p>\n        </td>\n      </tr>\n    </table>\n  </div>\n  <!-- <ul class="item-list" *ngFor="let item of datalist; let i = index">\n    <li class="items">\n      <span>事件类别：</span>\n      <span>{{ item.monitorAreaTypeName}}</span>\n    </li>\n    <li class="items">\n      <span>企业名称：</span>\n      <span>{{ monitorStationName }}</span>\n    </li>\n    <li class="items">\n      <span>地址：</span>\n      <span>{{ addr }}</span>\n    </li>\n    <li class="items">\n      <span>所在区：</span>\n      <span>{{ districtName }}</span>\n    </li>\n    <li class="items">\n      <span>报警信息描述：</span>\n      <span>{{ alertDesc }}</span>\n    </li>\n    <li class="items">\n      <span>事件内容：</span>\n      <span>{{ content }}</span>\n    </li>\n    <li class="items">\n      <span>简单描述：</span>\n      <span>{{ sketch }}</span>\n    </li>\n    <li class="items">\n      <span>图片：</span>\n      <img [src]="imgUrl" />\n    </li>\n    <li class="items">\n      <span>经度：</span>\n      <span>{{ longitude }}</span>\n    </li>\n    <li class="items">\n      <span>纬度：</span>\n      <span>{{ latitude }}</span>\n    </li>\n    <li class="items">\n      <span>姓名：</span>\n      <span>{{ rummager }}</span>\n    </li>\n  </ul> -->\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-casedetail\otherspots-casedetail.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_3__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_photo_viewer__["a" /* PhotoViewer */]])
    ], OtherspotsCasedetailPage);
    return OtherspotsCasedetailPage;
}());

//# sourceMappingURL=otherspots-casedetail.js.map

/***/ }),

/***/ 156:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OtherspotsDottypePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__otherspots_index_otherspots_index__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__otherspots_dotdetail_otherspots_dotdetail__ = __webpack_require__(76);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var OtherspotsDottypePage = (function () {
    function OtherspotsDottypePage(platform, sanitizer, navCtrl, navParams, http, loadingCtrl, storage, alertCtrl) {
        this.platform = platform;
        this.sanitizer = sanitizer;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.loadingCtrl = loadingCtrl;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.type = 1;
        this.dataList = [];
    }
    OtherspotsDottypePage.prototype.changeSelect = function () {
        this.getData();
    };
    OtherspotsDottypePage.prototype.ionViewDidLoad = function () {
        this.getData();
    };
    OtherspotsDottypePage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    OtherspotsDottypePage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    OtherspotsDottypePage.prototype.backIndex = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__otherspots_index_otherspots_index__["a" /* OtherspotsIndexPage */]);
    };
    OtherspotsDottypePage.prototype.getData = function () {
        var _this = this;
        // 网络请求
        this.storage.get("authentication").then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl +
                    "/v4/sy/alertSupervise/incidents/districtsRank", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.loader.dismiss();
                        _this.dataList = result.data;
                    }
                    else {
                        _this.loader.dismiss();
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                _this.loader.dismiss();
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            _this.loader.dismiss();
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    OtherspotsDottypePage.prototype.sendTo = function (districtId, districtName) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__otherspots_dotdetail_otherspots_dotdetail__["a" /* OtherspotsDotdetailPage */], {
            districtId: districtId,
            districtName: districtName,
        });
    };
    OtherspotsDottypePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: "page-otherspots-dottype",template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-dottype\otherspots-dottype.html"*/'<ion-header>\n  <div class="header">\n    <div class="top">\n      <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n      <span>点位分布</span>\n    </div>\n  </div>\n</ion-header>\n\n<ion-content style="padding-top: 3rem">\n  <div class="table">\n    <table class="data">\n      <thead>\n        <tr>\n          <th>排名</th>\n          <th>区名</th>\n          <th>事件数量</th>\n          <th>处理中</th>\n          <th>办结率</th>\n        </tr>\n      </thead>\n      <tbody *ngIf="dataList.length > 0">\n        <tr *ngFor="let item of dataList" (click)="sendTo(item.districtId,item.districtName)">\n          <td>{{ item.rank }}</td>\n          <td>{{ item.districtName }}</td>\n          <td>{{ item.count }}</td>\n          <td>{{ item.processing }}</td>\n          <td>{{ item.processed }}</td>\n        </tr>\n      </tbody>\n      <tbody *ngIf="dataList.length == 0">\n        <tr>\n          <td colspan="4">暂无数据！</td>\n        </tr>\n      </tbody>\n    </table>\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-dottype\otherspots-dottype.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__["c" /* DomSanitizer */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], OtherspotsDottypePage);
    return OtherspotsDottypePage;
}());

//# sourceMappingURL=otherspots-dottype.js.map

/***/ }),

/***/ 157:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OtherspotsMinePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_photo_viewer__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__otherspots_img_modal_otherspots_img_modal__ = __webpack_require__(39);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__otherspots_index_otherspots_index__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__otherspots_dotsingle_otherspots_dotsingle__ = __webpack_require__(77);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};










var OtherspotsMinePage = (function () {
    function OtherspotsMinePage(navCtrl, navParams, http, loadingCtrl, storage, alertCtrl, photoViewer, modalCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.loadingCtrl = loadingCtrl;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.modalCtrl = modalCtrl;
        this.dataList = [];
        this.dateList = [];
        this.queryType = 0;
        this.departmentId = window.sessionStorage.getItem("departmentId");
        this.photoViewer = photoViewer;
    }
    OtherspotsMinePage.prototype.ionViewDidLoad = function () {
        switch (this.departmentId) {
            case "1":
                this.queryType = 0;
                break;
            case "5":
                this.queryType = 3;
                break;
            case "7":
                this.queryType = 0;
                break;
            default:
                this.queryType = 1;
                break;
        }
        this.getData();
    };
    OtherspotsMinePage.prototype.showPhoto = function (url) {
        if (url)
            this.photoViewer.show(url);
    };
    OtherspotsMinePage.prototype.formatPastDay = function (day) {
        var date = new Date(new Date(new Date().toLocaleDateString()).getTime() +
            60 * 60 * 24 * day * 1000);
        var to = {
            Y: date.getFullYear() < 9 ? "0" + date.getFullYear() : date.getFullYear(),
            M: date.getMonth() + 1 < 9
                ? "0" + (date.getMonth() + 1)
                : date.getMonth() + 1,
            D: date.getDate() < 9 ? "0" + date.getDate() : date.getDate()
        };
        var time = to["Y"] + "-" + to["M"] + "-" + to["D"];
        return time;
    };
    OtherspotsMinePage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    OtherspotsMinePage.prototype.query = function (str) {
        this.queryType = str;
        this.getData();
    };
    OtherspotsMinePage.prototype.getData = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    type: _this.queryType,
                    keyword: _this.keyword
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/sy/alertSupervise/incidentsForMe", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    _this.loader.dismiss();
                    if (result.code == 0) {
                        _this.dataList = result.data;
                    }
                    else {
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    OtherspotsMinePage.prototype.refresh = function (alertId) {
        this.dataList.find(function (item) { return item.alertId === alertId; }).hidden = true;
    };
    OtherspotsMinePage.prototype.cancel = function (item) {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    type: 2
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .post(config.serverUrl +
                    "/v4/sy/alertSupervise/" +
                    item.alertId +
                    "/supervises", {}, options)
                    .subscribe(function (res) {
                    _this.loader.dismiss();
                    var result = res.json();
                    if (result.code == 0) {
                        item.hidden = true;
                    }
                    else {
                        var alert_2 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_2.present();
                    }
                });
            }, function (err) {
                _this.loader.dismiss();
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            _this.loader.dismiss();
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    OtherspotsMinePage.prototype.backIndex = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__otherspots_index_otherspots_index__["a" /* OtherspotsIndexPage */]);
    };
    OtherspotsMinePage.prototype.getTime = function (str) {
        var date = new Date(str);
        var y = date.getFullYear();
        var m = date.getMonth() >= 10 ? date.getMonth() + 1 : "0" + (date.getMonth() + 1);
        var d = date.getDate() >= 10 ? date.getDate() : "0" + date.getDate();
        var h = date.getHours() >= 10 ? date.getHours() : "0" + date.getHours();
        var min = date.getMinutes() >= 10 ? date.getMinutes() : "0" + date.getMinutes();
        var sec = date.getSeconds() >= 10 ? date.getSeconds() : "0" + date.getSeconds();
        return y + "-" + m + "-" + d + " " + h + ":" + min + ":" + sec;
    };
    OtherspotsMinePage.prototype.openModal = function (url) {
        var modal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_5__otherspots_img_modal_otherspots_img_modal__["a" /* OtherspotsImgModalPage */], { 'url': url });
        modal.onDidDismiss(function () {
        });
        modal.present();
    };
    OtherspotsMinePage.prototype.toPage = function (id, name) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_7__otherspots_dotsingle_otherspots_dotsingle__["a" /* OtherspotsDotsinglePage */], {
            id: id,
            name: name
        });
    };
    OtherspotsMinePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: "page-otherspots-mine",template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-mine\otherspots-mine.html"*/'<ion-header>\n    <div class="header">\n        <div class="top">\n            <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n            <span class="name">我</span>\n        </div>\n        <div class="segment">\n            <div class="item" *ngIf="departmentId == 1 || departmentId == 7" [ngClass]="{ select: queryType === 0 }" (click)="query(0)">\n                我生成的事件\n            </div><div class="item" *ngIf="departmentId != 5 && departmentId != 7" [ngClass]="{ select: queryType === 1 }" (click)="query(1)">\n              待我处理的事件\n            </div><div class="item" *ngIf="departmentId != 5 && departmentId != 7" [ngClass]="{ select: queryType === 2 }" (click)="query(2)">\n              我已处理的事件\n            </div><div class="item" *ngIf="departmentId != 1" [ngClass]="{ select: queryType === 3 }" (click)="query(3)">\n                全部事件\n            </div>\n        </div>\n        <div class="searchs">\n          <ion-input placeholder="搜索" style="width: 100%;" [(ngModel)]="keyword"></ion-input>\n          <div class="searchBtn"  (click)="getData()" >\n            <img src="assets/imgs/search.png"/>\n          </div>\n        </div>\n    </div>\n</ion-header>\n\n<ion-content class="outer-content" style="background: #fff">\n    <div class="body">\n        <div *ngIf="dataList.length">\n            <div *ngFor="let item of dataList">\n                <div class="wrap">\n                    <table class="table">\n                            <tr (click)="toPage(item.id,item.shortName)">\n                                <td style="width: 80px;text-align: center">\n                                  <ion-icon class="iconF" name="ios-albums-outline"></ion-icon>\n                                </td>\n                                <td>\n                                  <div>\n                                    <p><span>事件名称:</span>{{item.shortName }}</p>\n                                    <p><span>事件类型:</span>{{item.monitorAreaTypeName }}</p>\n                                    <p><span>发生时间:</span>{{item.createTime | date: "yyyy-MM-dd HH:mm:ss" }}</p>\n                                  </div>\n                                </td>\n                                <td>\n                                  {{item.stateName}}\n                                </td>\n                            </tr>\n                        </table>\n                </div>\n            </div>\n        </div>\n        <div class="noData" *ngIf="!dataList.length">\n            暂无数据\n        </div>\n    </div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-mine\otherspots-mine.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_3__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_native_photo_viewer__["a" /* PhotoViewer */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* ModalController */]])
    ], OtherspotsMinePage);
    return OtherspotsMinePage;
}());

//# sourceMappingURL=otherspots-mine.js.map

/***/ }),

/***/ 158:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OtherspotsCaseProductPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_camera__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_geolocation__ = __webpack_require__(111);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_image_picker__ = __webpack_require__(110);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__otherspots_img_modal_otherspots_img_modal__ = __webpack_require__(39);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__otherspots_index_otherspots_index__ = __webpack_require__(18);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var OtherspotsCaseProductPage = (function () {
    function OtherspotsCaseProductPage(navCtrl, navParams, camera, storage, loadingCtrl, http, alertCtrl, geolocation, modalCtrl, imagePicker) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.camera = camera;
        this.storage = storage;
        this.loadingCtrl = loadingCtrl;
        this.http = http;
        this.alertCtrl = alertCtrl;
        this.geolocation = geolocation;
        this.modalCtrl = modalCtrl;
        this.imagePicker = imagePicker;
        this.imgList = [];
        this.parentPage = navParams.get("parentPage");
        this.alertId = navParams.get("alertId") ? navParams.get("alertId") : null;
        this.incidentType = navParams.data;
        console.log(this.incidentType);
    }
    OtherspotsCaseProductPage.prototype.ionViewDidLoad = function () {
        // this.getDistrictList();
        this.getSupervises();
        this.getDetail();
        this.departmentId = window.sessionStorage.getItem('departmentId');
    };
    OtherspotsCaseProductPage.prototype.backIndex = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_8__otherspots_index_otherspots_index__["a" /* OtherspotsIndexPage */]);
        // this.parentPage.refresh();
        // this.navCtrl.pop();
    };
    OtherspotsCaseProductPage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    OtherspotsCaseProductPage.prototype.getTime = function (str) {
        var date = new Date(str);
        var y = date.getFullYear();
        var m = date.getMonth() >= 10 ? date.getMonth() + 1 : "0" + (date.getMonth() + 1);
        var d = date.getDate() >= 10 ? date.getDate() : "0" + date.getDate();
        var h = date.getHours() >= 10 ? date.getHours() : "0" + date.getHours();
        var min = date.getMinutes() >= 10 ? date.getMinutes() : "0" + date.getMinutes();
        var sec = date.getSeconds() >= 10 ? date.getSeconds() : "0" + date.getSeconds();
        return y + "-" + m + "-" + d + " " + h + ":" + min + ":" + sec;
    };
    OtherspotsCaseProductPage.prototype.getSupervises = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/sy/alertSupervise/monitorAreaTypes", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.typeList = result.data;
                        // this.incidentType = result.data[0].id;
                    }
                    else {
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    OtherspotsCaseProductPage.prototype.getDistrictList = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/districts", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.districtList = result.data;
                        _this.districtId = result.data[0].id;
                    }
                    else {
                        var alert_2 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_2.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    OtherspotsCaseProductPage.prototype.getContentList = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.get(config.serverUrl + '/v4/sy/alertSupervise/contents', options).subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.contentList = result.data;
                        _this.contentS = result.data[0].name;
                    }
                    else {
                        var alert_3 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_3.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    OtherspotsCaseProductPage.prototype.getDetail = function () {
        var _this = this;
        if (!this.alertId) {
            this.getLnglat();
            return;
        }
        this.storage.get("authentication").then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    alertId: _this.alertId
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/sy/alertSupervise/alertInfo", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    _this.loader.dismiss();
                    if (result.code == 0) {
                        var datas = result.data;
                        for (var k in datas) {
                            _this[k] = datas[k];
                        }
                    }
                    else {
                        var alert_4 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_4.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    OtherspotsCaseProductPage.prototype.submitInfo = function () {
        var _this = this;
        this.photoBase64 = this.imgList.join(',');
        if (!this.monitorStationName ||
            !this.districtId ||
            !this.sketch ||
            !this.longitude ||
            !this.latitude ||
            !this.phone ||
            !this.rummager ||
            !this.photoBase64) {
            this.warmAlert("请将输入框填写完整！");
            return;
        }
        this.storage.get("authentication").then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var params = {
                monitorStationName: _this.monitorStationName,
                incidentType: _this.incidentType,
                addr: _this.addr,
                phone: _this.phone,
                districtId: _this.districtId,
                content: _this.content,
                sketch: _this.sketch,
                longitude: _this.longitude,
                latitude: _this.latitude,
                rummager: _this.rummager,
                alertId: _this.alertId,
                photoBase64: _this.photoBase64
            };
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .post(config.serverUrl + "/v4/sy/alertSupervise/incident", params, options)
                    .subscribe(function (res) {
                    var result = res.json();
                    _this.loader.dismiss();
                    if (result.code == 0) {
                        var alert_5 = _this.alertCtrl.create({
                            subTitle: "事件生成成功",
                            buttons: [
                                {
                                    text: "确定",
                                    handler: function (data) {
                                        _this.backIndex();
                                    }
                                }
                            ]
                        });
                        alert_5.present();
                    }
                    else {
                        var alert_6 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_6.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    OtherspotsCaseProductPage.prototype.getCamera = function () {
        var _this = this;
        var options = {
            quality: 100,
            destinationType: this.camera.DestinationType.DATA_URL,
            encodingType: this.camera.EncodingType.JPEG,
            mediaType: this.camera.MediaType.PICTURE,
            sourceType: this.camera.PictureSourceType.CAMERA
        };
        this.camera.getPicture(options).then(function (imageData) {
            var image = new Image();
            image.src = 'data:image/jpeg;base64,' + imageData;
            var this_ = _this;
            image.onload = function () {
                var img64 = this_.compress(image, 800, 900, 0.7);
                this_.photoBase64 = img64.replace('data:image/jpeg;base64,', '');
                this_.uploadImg();
            };
        }, function (err) {
            // Handle error
        });
    };
    OtherspotsCaseProductPage.prototype.compress = function (img, width, height, ratio) {
        var canvas, ctx, img64;
        canvas = document.createElement('canvas');
        canvas.width = width;
        canvas.height = height;
        ctx = canvas.getContext("2d");
        ctx.drawImage(img, 0, 0, width, height);
        img64 = canvas.toDataURL("image/jpeg", ratio);
        return img64;
    };
    OtherspotsCaseProductPage.prototype.openImg = function () {
        var _this = this;
        var options = {
            maximumImagesCount: 4,
            quality: 100
        };
        this.imagePicker.getPictures(options).then(function (results) {
            results.forEach(function (item) {
                console.log(item);
                var image = new Image();
                image.src = item;
                var this_ = _this;
                image.onload = function () {
                    var img64 = this_.compress(image, 800, 900, 0.7);
                    this_.photoBase64 = img64.replace('data:image/jpeg;base64,', '');
                    this_.uploadImg();
                };
            });
        }, function (err) { });
    };
    OtherspotsCaseProductPage.prototype.uploadImg = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            // this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var params = {
                'photoBase64': _this.photoBase64
            };
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.post(config.serverUrl + '/v4/sy/alertSupervise/photo', params, options).subscribe(function (res) {
                    var result = res.json();
                    // this.loader.dismiss();
                    if (result.code == 0) {
                        _this.imgList.push(result.data);
                    }
                    else {
                        var alert_7 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_7.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    OtherspotsCaseProductPage.prototype.getLnglat = function () {
        var _this = this;
        this.geolocation
            .getCurrentPosition()
            .then(function (resp) {
            console.log(resp.coords.latitude);
            _this.longitude = resp.coords.longitude;
            _this.latitude = resp.coords.latitude;
            var this_ = _this;
            AMap.service('AMap.Geocoder', function () {
                var geocoder = new AMap.Geocoder({
                    // city 指定进行编码查询的城市，支持传入城市名、adcode 和 citycode
                    city: '沈阳'
                });
                var lnglat = [resp.coords.longitude, resp.coords.latitude];
                geocoder.getAddress(lnglat, function (status, result) {
                    if (status === 'complete' && result.info === 'OK') {
                        this_.addr = result.regeocode.formattedAddress;
                        var starts = this_.addr.indexOf('市') + 1;
                        var ends = this_.addr.indexOf('区') + 1;
                        this_.districtId = this_.addr.slice(starts, ends);
                        console.log(this_.addr);
                    }
                });
            });
        })
            .catch(function (error) {
            console.log("Error getting location", error);
        });
    };
    OtherspotsCaseProductPage.prototype.alarmNum = function () {
        if (!(/^1(3|4|5|6|7|8|9)\d{9}$/.test(this.phone))) {
            this.warmAlert("手机号码有误，请重填");
            this.phone = '';
            return false;
        }
    };
    OtherspotsCaseProductPage.prototype.warmAlert = function (str) {
        var alert = this.alertCtrl.create({
            subTitle: str,
            buttons: ["确定"]
        });
        alert.present();
    };
    OtherspotsCaseProductPage.prototype.openModal = function (imgUrl) {
        var modal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_7__otherspots_img_modal_otherspots_img_modal__["a" /* OtherspotsImgModalPage */], {
            url: imgUrl
        });
        modal.onDidDismiss(function () { });
        modal.present();
    };
    OtherspotsCaseProductPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: "page-otherspots-case-product",template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-case-product\otherspots-case-product.html"*/'<ion-header>\n  <div class="header">\n    <div class="top">\n      <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n      <span class="name">事件生成</span>\n    </div>\n  </div>\n\n</ion-header>\n\n\n<ion-content>\n  <ul class="item-list">\n    <li class="items">\n      <span>事件类别：</span>\n      <ion-select class="iselect" [(ngModel)]="incidentType" style="max-width: 60%;padding: 5px;" interface="popover" >\n        <ion-option *ngFor="let item of typeList" value="{{item.id}}">{{item.name}}</ion-option>\n      </ion-select>\n    </li>\n    <li class="items">\n      <span>企业名称：</span>\n      <ion-input class="inword" placeholder="请填写企业名称" [(ngModel)]="monitorStationName"></ion-input>\n    </li>\n    <li class="items">\n      <span>所在区：</span>\n      <ion-input placeholder="请填区" class="inword" [(ngModel)]="districtId"></ion-input>\n    </li>\n    <li class="items">\n      <span>地址：</span>\n      <textarea class="inword texts" placeholder="请填写地址" [(ngModel)]="addr"></textarea>\n    </li>\n    <li class="items">\n      <span>经度：</span>\n      <ion-input placeholder="请填写经度" class="inword" [(ngModel)]="longitude"></ion-input>\n    </li>\n    <li class="items">\n      <span>纬度：</span>\n      <ion-input placeholder="请填写纬度" class="inword" [(ngModel)]="latitude"></ion-input>\n    </li>\n    <li class="items">\n      <span>事件描述：</span>\n      <ion-textarea placeholder="请描述事件信息" class="inword texts" [(ngModel)]="sketch"></ion-textarea>\n    </li>\n    <li class="items">\n      <span>上传图片：</span>\n      <div class="btns">\n        <button (click)="getCamera()">拍照</button>\n        <button (click)="openImg()" *ngIf="departmentId == 1">相册</button>\n        <br/>\n        <div *ngIf="imgList.length">\n          <img *ngFor="let item of imgList" [src]="item" (click)="openModal(item)"/>\n        </div>\n      </div>\n    </li>\n    <li class="items">\n      <span>姓名：</span>\n      <ion-input placeholder="请填写姓名" class="inword" [(ngModel)]="rummager"></ion-input>\n    </li>\n    <li class="items">\n      <span>联系电话：</span>\n      <ion-input class="inword" placeholder="请填写电话号码" [(ngModel)]="phone" (blur)="alarmNum()"></ion-input>\n    </li>\n<!--    <li class="items">-->\n<!--      <span>事件内容：</span>-->\n<!--      <ion-select class="iselect" [(ngModel)]="contentS" style="max-width: 60%;" interface="popover" >-->\n<!--        <ion-option *ngFor="let item of contentList" value="{{item.name}}">{{item.name}}</ion-option>-->\n<!--      </ion-select>-->\n<!--      <span></span>-->\n<!--      <ion-textarea placeholder="请填写事件内容" class="inword" [(ngModel)]="contentI"></ion-textarea>-->\n<!--    </li>-->\n    <li class="items">\n      <button class="btn" (click)="submitInfo()">提交</button>\n    </li>\n  </ul>\n\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-case-product\otherspots-case-product.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_native_camera__["a" /* Camera */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_geolocation__["a" /* Geolocation */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_6__ionic_native_image_picker__["a" /* ImagePicker */]])
    ], OtherspotsCaseProductPage);
    return OtherspotsCaseProductPage;
}());

//# sourceMappingURL=otherspots-case-product.js.map

/***/ }),

/***/ 159:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OtherspotsSuperviseTaskPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__otherspots_index_otherspots_index__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_photo_viewer__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__other_spots_supervise_simple_other_spots_supervise_simple__ = __webpack_require__(57);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var OtherspotsSuperviseTaskPage = (function () {
    function OtherspotsSuperviseTaskPage(navCtrl, navParams, http, loadingCtrl, storage, alertCtrl, photoViewer) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.loadingCtrl = loadingCtrl;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.gaming = "";
        this.dataList = [];
        this.date = "";
        this.keyword = "";
        this.queryType = "unhandled";
        this.activeSlide = 0;
        this.departmentList = [];
        this.photoViewer = photoViewer;
        this.roleId = Number(window.sessionStorage.getItem("roleId"));
    }
    OtherspotsSuperviseTaskPage.prototype.showPhoto = function (url) {
        if (url)
            this.photoViewer.show(url);
    };
    OtherspotsSuperviseTaskPage.prototype.ionViewDidLoad = function () {
        this.initTime();
        this.initDepartments();
        this.getSupervises();
    };
    OtherspotsSuperviseTaskPage.prototype.initTime = function () {
        this.date = this.formatPastDay(0);
    };
    OtherspotsSuperviseTaskPage.prototype.initDepartments = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/sy/alertSupervise/departments", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.departmentList = result.data;
                        if (_this.departmentList.length > 0) {
                            _this.gaming = _this.departmentList[0].id;
                        }
                        else {
                            _this.gaming = "";
                        }
                    }
                    else {
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    OtherspotsSuperviseTaskPage.prototype.getDate = function () {
        $("#date")
            .mobiscroll()
            .date({
            theme: "android-ics light",
            lang: "zh",
            dateFormat: "yy-mm-dd",
            dateOrder: "yyyymmdd"
        });
    };
    OtherspotsSuperviseTaskPage.prototype.formatPastDay = function (day) {
        var date = new Date(new Date(new Date().toLocaleDateString()).getTime() +
            60 * 60 * 24 * day * 1000);
        var to = {
            Y: date.getFullYear() < 9 ? "0" + date.getFullYear() : date.getFullYear(),
            M: date.getMonth() + 1 < 9
                ? "0" + (date.getMonth() + 1)
                : date.getMonth() + 1,
            D: date.getDate() < 9 ? "0" + date.getDate() : date.getDate()
        };
        var time = to["Y"] + "-" + to["M"] + "-" + to["D"];
        return time;
    };
    OtherspotsSuperviseTaskPage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    OtherspotsSuperviseTaskPage.prototype.getSupervises = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    keyword: _this.keyword
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                var partOfUrl = _this.queryType === "unhandled"
                    ? "untreatedSupervises"
                    : "supervises";
                _this.http
                    .get(config.serverUrl + "/v4/sy/alertSupervise/" + partOfUrl, options)
                    .subscribe(function (res) {
                    var result = res.json();
                    _this.loader.dismiss();
                    if (result.code == 0) {
                        _this.dataList = result.data;
                    }
                    else {
                        var alert_2 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_2.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    OtherspotsSuperviseTaskPage.prototype.toPage = function (id, name) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__other_spots_supervise_simple_other_spots_supervise_simple__["a" /* OtherSpotsSuperviseSimplePage */], {
            id: id,
            name: name,
            queryType: this.queryType
        });
    };
    OtherspotsSuperviseTaskPage.prototype.refresh = function () {
        this.getSupervises();
    };
    OtherspotsSuperviseTaskPage.prototype.backIndex = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__otherspots_index_otherspots_index__["a" /* OtherspotsIndexPage */]);
    };
    OtherspotsSuperviseTaskPage.prototype.query = function (queryType) {
        this.queryType = queryType;
        this.getSupervises();
    };
    OtherspotsSuperviseTaskPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: "page-otherspots-supervise-task",template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-supervise-task\otherspots-supervise-task.html"*/'<ion-header>\n  <div class="header">\n    <div class="top">\n      <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n      <span class="name">督办</span>\n    </div>\n    <div class="segment">\n      <div\n        class="item"\n        [ngClass]="{ \'select\': queryType === \'unhandled\' }"\n        (click)="query(\'unhandled\')"\n      >\n        未处理\n      </div\n      ><div\n        class="item"\n        [ngClass]="{ \'select\': queryType === \'all\' }"\n        (click)="query(\'all\')"\n      >\n        全部\n      </div>\n    </div>\n    <div class="searchs">\n      <ion-input placeholder="搜索" style="width: 100%;" [(ngModel)]="keyword"></ion-input>\n      <div class="searchBtn"  (click)="getSupervises()" >\n        <img src="assets/imgs/search.png"/>\n      </div>\n    </div>\n  </div>\n</ion-header>\n\n<ion-content class="outer-content" style="background: #fff">\n  <div class="body">\n    <div *ngIf="dataList.length">\n      <div *ngFor="let item of dataList">\n        <div class="wrap">\n          <table class="table">\n            <tr (click)="toPage(item.id,item.shortName)">\n              <td style="width: 80px;text-align: center">\n                <ion-icon class="iconF" name="ios-albums-outline"></ion-icon>\n              </td>\n              <td>\n                <div>\n                  <p><span>事件名称:</span>{{item.shortName }}</p>\n                  <p><span>事件类型:</span>{{item.monitorAreaTypeName }}</p>\n                  <p><span>发生时间:</span>{{item.createTime | date: "yyyy-MM-dd HH:mm:ss" }}</p>\n                </div>\n              </td>\n              <td>\n                {{item.stateName}}\n              </td>\n            </tr>\n          </table>\n        </div>\n      </div>\n    </div>\n  </div>\n</ion-content>\n\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-supervise-task\otherspots-supervise-task.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_3__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_photo_viewer__["a" /* PhotoViewer */]])
    ], OtherspotsSuperviseTaskPage);
    return OtherspotsSuperviseTaskPage;
}());

//# sourceMappingURL=otherspots-supervise-task.js.map

/***/ }),

/***/ 160:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OtherspotsHandDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_camera__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__otherspots_img_modal_otherspots_img_modal__ = __webpack_require__(39);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var OtherspotsHandDetailPage = (function () {
    function OtherspotsHandDetailPage(navCtrl, navParams, camera, storage, loadingCtrl, http, modalCtrl, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.camera = camera;
        this.storage = storage;
        this.loadingCtrl = loadingCtrl;
        this.http = http;
        this.modalCtrl = modalCtrl;
        this.alertCtrl = alertCtrl;
        this.parentPage = navParams.get("parentPage");
        this.id = navParams.get("id");
    }
    OtherspotsHandDetailPage.prototype.ionViewDidLoad = function () { };
    OtherspotsHandDetailPage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    OtherspotsHandDetailPage.prototype.backIndex = function () {
        // this.navCtrl.push(TabViewPage);
        this.parentPage.refresh();
        this.navCtrl.pop();
    };
    OtherspotsHandDetailPage.prototype.submits = function () {
        var _this = this;
        if (!this.message || !this.name || !this.number || !this.photoBase64) {
            this.warmAlert();
            return;
        }
        this.storage.get("authentication").then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var params = {
                id: _this.id,
                message: _this.message,
                name: _this.name,
                number: _this.number,
                photoBase64: _this.photoBase64
            };
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .post(config.serverUrl +
                    "/v4/sy/alertSupervise/" +
                    _this.id +
                    "/rectification", params, options)
                    .subscribe(function (res) {
                    var result = res.json();
                    _this.loader.dismiss();
                    if (result.code == 0) {
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: "提交成功",
                            buttons: [
                                {
                                    text: "确定",
                                    handler: function (data) {
                                        _this.backIndex();
                                    }
                                }
                            ]
                        });
                        alert_1.present();
                    }
                    else {
                        var alert_2 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_2.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    OtherspotsHandDetailPage.prototype.warmAlert = function () {
        var alert = this.alertCtrl.create({
            subTitle: "请将输入框填写完整！",
            buttons: ["确定"]
        });
        alert.present();
    };
    OtherspotsHandDetailPage.prototype.getCamera = function () {
        var _this = this;
        var options = {
            quality: 100,
            destinationType: this.camera.DestinationType.DATA_URL,
            encodingType: this.camera.EncodingType.JPEG,
            mediaType: this.camera.MediaType.PICTURE,
            saveToPhotoAlbum: true,
            sourceType: this.camera.PictureSourceType.CAMERA
        };
        this.camera.getPicture(options).then(function (imageData) {
            _this.imgUrl = "data:image/jpeg;base64," + imageData;
            _this.photoBase64 = imageData;
        }, function (err) {
            // Handle error
        });
    };
    OtherspotsHandDetailPage.prototype.showLarge = function () {
        var modalhand = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_5__otherspots_img_modal_otherspots_img_modal__["a" /* OtherspotsImgModalPage */], {
            url: this.imgUrl
        });
        modalhand.onDidDismiss(function () { });
        modalhand.present();
    };
    OtherspotsHandDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: "page-otherspots-hand-detail",template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-hand-detail\otherspots-hand-detail.html"*/'<ion-header>\n  <div class="header">\n    <div class="top">\n      <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n      <span class="name">事件整改</span>\n    </div>\n  </div>\n</ion-header>\n\n<ion-content>\n  <ul class="item-list">\n    <li class="items">\n      <span>整改描述：</span>\n      <ion-textarea\n        placeholder="请填写整改描述"\n        class="inword"\n        [(ngModel)]="message"\n      ></ion-textarea>\n    </li>\n    <li class="items">\n      <span>上传图片：</span>\n      <div class="btns">\n        <button (click)="getCamera()">拍照</button>\n        <img *ngIf="imgUrl" [src]="imgUrl" (click)="showLarge()" />\n      </div>\n    </li>\n    <li class="items">\n      <span>整改责任人：</span>\n      <ion-input\n        placeholder="请填写姓名"\n        class="inword"\n        [(ngModel)]="name"\n      ></ion-input>\n    </li>\n    <li class="items">\n      <span>联系方式：</span>\n      <ion-input\n        placeholder="请填写电话号码"\n        class="inword"\n        [(ngModel)]="number"\n      ></ion-input>\n    </li>\n    <li class="items">\n      <button class="btn" (click)="submits()">提交</button>\n    </li>\n  </ul>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-hand-detail\otherspots-hand-detail.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_native_camera__["a" /* Camera */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], OtherspotsHandDetailPage);
    return OtherspotsHandDetailPage;
}());

//# sourceMappingURL=otherspots-hand-detail.js.map

/***/ }),

/***/ 161:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OtherspotsSuperviseSolvePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_camera__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__otherspots_supervise_hand_otherspots_supervise_hand__ = __webpack_require__(58);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var OtherspotsSuperviseSolvePage = (function () {
    function OtherspotsSuperviseSolvePage(navCtrl, actionSheetCtrl, toastCtrl, platform, loadingCtrl, storage, http, alertCtrl, navParams, camera) {
        this.navCtrl = navCtrl;
        this.actionSheetCtrl = actionSheetCtrl;
        this.toastCtrl = toastCtrl;
        this.platform = platform;
        this.loadingCtrl = loadingCtrl;
        this.storage = storage;
        this.http = http;
        this.alertCtrl = alertCtrl;
        this.navParams = navParams;
        this.camera = camera;
        this.alertId = 0;
        this.solution = "";
        this.id = 0;
        this.type = 0;
        this.imgList = [];
        this.alertId = navParams.get("alertId");
        this.parentPage = navParams.get("parentPage");
        this.titleName = navParams.get("titleName");
        this.type = navParams.get("type");
        this.id = navParams.get("id");
    }
    OtherspotsSuperviseSolvePage.prototype.ionViewDidLoad = function () { };
    OtherspotsSuperviseSolvePage.prototype.backIndex = function () {
        this.navCtrl.pop();
    };
    OtherspotsSuperviseSolvePage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    OtherspotsSuperviseSolvePage.prototype.submit = function () {
        var _this = this;
        this.photoBase64 = this.imgList.join(',');
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            var params = {
                message: _this.solution,
                type: _this.type,
                id: _this.id,
                photoBase64: '123456'
            };
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .post(config.serverUrl +
                    "/v4/sy/alertSupervise/" +
                    _this.id +
                    "/supervises", params, options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_1.present();
                        // this.parentPage.refresh();
                        _this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__otherspots_supervise_hand_otherspots_supervise_hand__["a" /* OtherspotsSuperviseHandPage */]);
                    }
                    else {
                        var alert_2 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_2.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    OtherspotsSuperviseSolvePage.prototype.openCameras = function () {
        var _this = this;
        var options = {
            quality: 100,
            destinationType: this.camera.DestinationType.DATA_URL,
            encodingType: this.camera.EncodingType.JPEG,
            mediaType: this.camera.MediaType.PICTURE,
            sourceType: this.camera.PictureSourceType.CAMERA
        };
        this.camera.getPicture(options).then(function (imageData) {
            var image = new Image();
            image.src = 'data:image/jpeg;base64,' + imageData;
            var this_ = _this;
            image.onload = function () {
                var img64 = this_.compress(image, 800, 800, 0.7);
                this_.photoBase64 = img64.replace('data:image/jpeg;base64,', '');
                this_.uploadImg();
            };
        }, function (err) {
            // Handle error
        });
    };
    OtherspotsSuperviseSolvePage.prototype.compress = function (img, width, height, ratio) {
        var canvas, ctx, img64;
        canvas = document.createElement('canvas');
        canvas.width = width;
        canvas.height = height;
        ctx = canvas.getContext("2d");
        ctx.drawImage(img, 0, 0, width, height);
        img64 = canvas.toDataURL("image/jpeg", ratio);
        return img64;
    };
    OtherspotsSuperviseSolvePage.prototype.uploadImg = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var params = {
                'photoBase64': _this.photoBase64
            };
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.post(config.serverUrl + '/v4/sy/alertSupervise/photo', params, options).subscribe(function (res) {
                    var result = res.json();
                    _this.loader.dismiss();
                    if (result.code == 0) {
                        _this.imgList.push(result.data);
                    }
                    else {
                        var alert_3 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_3.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    OtherspotsSuperviseSolvePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: "page-otherspots-supervise-solve",template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-supervise-solve\otherspots-supervise-solve.html"*/'<ion-header>\n  <div class="header">\n    <div class="top">\n      <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n      <span class="name">{{ titleName }}</span>\n    </div>\n  </div>\n</ion-header>\n\n<ion-content>\n  <div class="body">\n    <ion-list>\n      <ion-textarea\n        rows="10"\n        placeholder="请输入办结记录"\n        [(ngModel)]="solution"\n      ></ion-textarea>\n    </ion-list>\n\n    <div class="uploads">\n      <span>上传图片：</span>\n      <div class="btns">\n        <button (click)="openCameras()">拍照</button>\n        <img *ngFor="let item of imgList" [src]="item" />\n      </div>\n    </div>\n  </div>\n</ion-content>\n\n<ion-footer>\n  <div class="footer">\n    <ion-toolbar color="primary">\n      <ion-buttons class="footer-btns">\n        <button class="footer-btn" ion-button icon-left (click)="submit()">\n          <ion-icon name="cloud-upload"></ion-icon>提交\n        </button>\n      </ion-buttons>\n    </ion-toolbar>\n  </div>\n</ion-footer>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-supervise-solve\otherspots-supervise-solve.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* ActionSheetController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* ToastController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_3__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_native_camera__["a" /* Camera */]])
    ], OtherspotsSuperviseSolvePage);
    return OtherspotsSuperviseSolvePage;
}());

//# sourceMappingURL=otherspots-supervise-solve.js.map

/***/ }),

/***/ 162:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OtherspotsSuperviseTablePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__otherspots_index_otherspots_index__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_photo_viewer__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__other_spots_supervise_simple_other_spots_supervise_simple__ = __webpack_require__(57);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var OtherspotsSuperviseTablePage = (function () {
    function OtherspotsSuperviseTablePage(navCtrl, navParams, http, loadingCtrl, storage, alertCtrl, photoViewer) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.loadingCtrl = loadingCtrl;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.gaming = "";
        this.dataList = [];
        this.departmentList = [];
        this.date = "";
        this.keyword = "";
        this.queryType = "unhandled";
        this.activeSlide = 0;
        this.photoViewer = photoViewer;
    }
    OtherspotsSuperviseTablePage.prototype.showPhoto = function (url) {
        if (url)
            this.photoViewer.show(url);
    };
    OtherspotsSuperviseTablePage.prototype.ionViewDidLoad = function () {
        this.initTime();
        this.initDepartments();
        this.getSupervises();
    };
    OtherspotsSuperviseTablePage.prototype.initTime = function () {
        this.date = this.formatPastDay(0);
    };
    OtherspotsSuperviseTablePage.prototype.initDepartments = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/sy/alertSupervise/departments", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.departmentList = result.data;
                        if (_this.departmentList.length > 0) {
                            _this.gaming = _this.departmentList[0].id;
                        }
                        else {
                            _this.gaming = "";
                        }
                    }
                    else {
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    OtherspotsSuperviseTablePage.prototype.getDate = function () {
        $("#date")
            .mobiscroll()
            .date({
            theme: "android-ics light",
            lang: "zh",
            dateFormat: "yy-mm-dd",
            dateOrder: "yyyymmdd"
        });
    };
    OtherspotsSuperviseTablePage.prototype.formatPastDay = function (day) {
        var date = new Date(new Date(new Date().toLocaleDateString()).getTime() +
            60 * 60 * 24 * day * 1000);
        var to = {
            Y: date.getFullYear() < 9 ? "0" + date.getFullYear() : date.getFullYear(),
            M: date.getMonth() + 1 < 9
                ? "0" + (date.getMonth() + 1)
                : date.getMonth() + 1,
            D: date.getDate() < 9 ? "0" + date.getDate() : date.getDate()
        };
        var time = to["Y"] + "-" + to["M"] + "-" + to["D"];
        return time;
    };
    OtherspotsSuperviseTablePage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    OtherspotsSuperviseTablePage.prototype.toPage = function (id, name) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__other_spots_supervise_simple_other_spots_supervise_simple__["a" /* OtherSpotsSuperviseSimplePage */], {
            id: id,
            name: name,
            queryType: this.queryType
        });
    };
    OtherspotsSuperviseTablePage.prototype.getSupervises = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    keyword: _this.keyword
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                var partOfUrl = _this.queryType === "unhandled"
                    ? "untreatedSupervises"
                    : "supervises";
                _this.http
                    .get(config.serverUrl + "/v4/sy/alertSupervise/" + partOfUrl, options)
                    .subscribe(function (res) {
                    var result = res.json();
                    _this.loader.dismiss();
                    if (result.code == 0) {
                        _this.dataList = result.data;
                    }
                    else {
                        var alert_2 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_2.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    OtherspotsSuperviseTablePage.prototype.refresh = function () {
        this.getSupervises();
    };
    OtherspotsSuperviseTablePage.prototype.backIndex = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__otherspots_index_otherspots_index__["a" /* OtherspotsIndexPage */]);
    };
    OtherspotsSuperviseTablePage.prototype.query = function (queryType) {
        this.queryType = queryType;
        this.getSupervises();
    };
    OtherspotsSuperviseTablePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: "page-otherspots-supervise-table",template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-supervise-table\otherspots-supervise-table.html"*/'<ion-header>\n  <div class="header">\n    <div class="top">\n      <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n      <span class="name">督办</span>\n    </div>\n    <div class="segment">\n      <div class="item" [ngClass]="{\'select\':queryType === \'unhandled\'}" (click)="query(\'unhandled\')">未处理</div\n      ><div class="item" [ngClass]="{\'select\':queryType === \'all\'}" (click)="query(\'all\')">全部</div>\n    </div>\n    <div class="searchs">\n      <ion-input placeholder="搜索" style="width: 100%;" [(ngModel)]="keyword"></ion-input>\n      <div class="searchBtn"  (click)="getSupervises()" >\n        <img src="assets/imgs/search.png"/>\n      </div>\n    </div>\n  </div>\n</ion-header>\n\n<ion-content class="outer-content" style="background: #fff">\n  <div class="body">\n    <div *ngIf="dataList.length">\n      <div *ngFor="let item of dataList">\n        <div class="wrap">\n          <table class="table">\n            <tr (click)="toPage(item.id,item.shortName)">\n              <td style="width: 80px;text-align: center">\n                <ion-icon class="iconF" name="ios-albums-outline"></ion-icon>\n              </td>\n              <td>\n                <div>\n                  <p><span>事件名称:</span>{{item.shortName }}</p>\n                  <p><span>事件类型:</span>{{item.monitorAreaTypeName }}</p>\n                  <p><span>发生时间:</span>{{item.createTime | date: "yyyy-MM-dd HH:mm:ss"  }}</p>\n                </div>\n              </td>\n              <td>\n                {{item.stateName}}\n              </td>\n            </tr>\n          </table>\n        </div>\n      </div>\n    </div>\n    <div class="noData" *ngIf="!dataList.length">\n      暂无数据\n    </div>\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-supervise-table\otherspots-supervise-table.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_3__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_photo_viewer__["a" /* PhotoViewer */]])
    ], OtherspotsSuperviseTablePage);
    return OtherspotsSuperviseTablePage;
}());

//# sourceMappingURL=otherspots-supervise-table.js.map

/***/ }),

/***/ 163:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return IntelligeAnalysisPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__otherspots_index_otherspots_index__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__otherspots_dotdetail_otherspots_dotdetail__ = __webpack_require__(76);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_in_app_browser__ = __webpack_require__(37);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_app_availability__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_photo_viewer__ = __webpack_require__(16);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var IntelligeAnalysisPage = (function () {
    function IntelligeAnalysisPage(navCtrl, navParams, http, loadingCtrl, storage, alertCtrl, iab, appAvailability, photoViewer) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.loadingCtrl = loadingCtrl;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.iab = iab;
        this.appAvailability = appAvailability;
        this.type = '2';
        this.beginTime = '';
        this.endTime = '';
        this.districtNameList = [];
        this.processedList = [];
        this.processTooList = [];
        this.dataList = [];
        this.hasChart = true;
        this.chartTime = '';
        this.isShowAorB = true;
        this.publishList = [];
        this.photoViewer = photoViewer;
    }
    IntelligeAnalysisPage.prototype.ionViewDidLoad = function () {
        this.initTime();
    };
    IntelligeAnalysisPage.prototype.initTime = function () {
        var beginTime = this.formatPastDay(0);
        var endTime = this.formatPastDay(0);
        this.beginTime = beginTime;
        this.endTime = endTime;
        this.getData();
    };
    IntelligeAnalysisPage.prototype.formatPastDay = function (day) {
        var date = new Date(new Date(new Date().toLocaleDateString()).getTime() + 60 * 60 * 24 * day * 1000);
        var to = {
            'Y': date.getFullYear() < 9 ? '0' + date.getFullYear() : date.getFullYear(),
            'M': date.getMonth() + 1 < 9 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1,
            'D': date.getDate() < 9 ? '0' + date.getDate() : date.getDate()
        };
        var time = to['Y'] + "-" + to['M'] + "-" + to['D'];
        return time;
    };
    ;
    IntelligeAnalysisPage.prototype.getBeginTime = function () {
        $("#beginTime").mobiscroll().date({
            theme: "android-ics light",
            lang: 'zh',
            dateFormat: 'yy-mm-dd',
            dateOrder: 'yyyymmdd'
        });
    };
    IntelligeAnalysisPage.prototype.getEndTime = function () {
        $("#endTime").mobiscroll().date({
            theme: "android-ics light",
            lang: 'zh',
            dateFormat: 'yy-mm-dd',
            dateOrder: 'yyyymmdd'
        });
    };
    IntelligeAnalysisPage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    IntelligeAnalysisPage.prototype.getPublish = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/sy/alertSupervise/release", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    _this.loader.dismiss();
                    _this.publishList = [];
                    if (result.code == 0) {
                        _this.publishList = result.data;
                    }
                    else {
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    IntelligeAnalysisPage.prototype.getData = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    type: _this.type,
                    beginTime: _this.type == '0' ? $('#beginTime').val() : '',
                    endTime: _this.type == '0' ? $('#endTime').val() : ''
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/sy/alertSupervise/incidents/districtsRank", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    _this.loader.dismiss();
                    _this.districtNameList = [];
                    _this.processedList = [];
                    _this.processTooList = [];
                    _this.dataList = [];
                    if (result.code == 0) {
                        _this.chartTime = result.data[0] ? result.data[0].time : '';
                        result.data.forEach(function (item) {
                            _this.dataList.push(item);
                            _this.districtNameList.push(item.districtName);
                            _this.processedList.push({
                                value: item.processed,
                                itemStyle: {
                                    color: '#8fd59f'
                                }
                            });
                            _this.processTooList.push({
                                value: 100 - item.processed,
                                itemStyle: {
                                    color: 'rgba(255,255,255,0)'
                                }
                            });
                        });
                        if (_this.hasChart) {
                            _this.setChart();
                        }
                    }
                    else {
                        var alert_2 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_2.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    IntelligeAnalysisPage.prototype.setChart = function () {
        var ctx = this.container.nativeElement;
        if (this.type == '0') {
            ctx.style.height = '480px';
        }
        else {
            ctx.style.height = '520px';
        }
        this.chart = echarts.init(ctx);
        this.chart.resize();
        this.chart.setOption({
            backgroundColor: "#4ebc63",
            title: {
                text: this.chartTime,
                textStyle: {
                    color: '#fff'
                },
                left: 'center'
            },
            grid: {
                left: '3%',
                right: '4%',
                bottom: '10%',
                top: '10%',
                containLabel: true
            },
            color: ["#8fd59f"],
            tooltip: {
                trigger: "axis",
                axisPointer: {
                    type: "shadow"
                },
                formatter: "{b0}<br />办结率: {c0}%"
            },
            xAxis: [
                {
                    type: "category",
                    data: this.districtNameList,
                    axisTick: {
                        show: true
                    },
                    axisLine: {
                        lineStyle: {
                            color: "#fff"
                        }
                    },
                    axisLabel: {
                        textStyle: {
                            color: '#fff',
                        }
                    }
                }
            ],
            yAxis: [
                {
                    type: "value",
                    axisTick: {
                        show: true
                    },
                    axisLine: {
                        lineStyle: {
                            color: "#fff"
                        }
                    },
                    axisLabel: {
                        show: true,
                        textStyle: {
                            color: '#fff',
                        },
                        formatter: function (index) {
                            return index + "%";
                        }
                    }
                }
            ],
            series: [
                {
                    type: "bar",
                    stack: '总量',
                    barWidth: "15",
                    label: {
                        normal: {
                            show: true,
                            color: "#fff",
                            position: "top",
                            formatter: "{c}%"
                        }
                    },
                    data: this.processedList
                }, {
                    type: "bar",
                    stack: '总量',
                    barWidth: "15",
                    label: {
                        normal: {
                            show: false,
                            color: "#fff",
                            position: "top",
                            formatter: "{c}"
                        }
                    },
                    data: this.processTooList
                }
            ]
        });
    };
    // search(){
    //   this.beginTime = $("#beginTime").val() + ' 00:00:00';
    //   this.endTime = $("#endTime").val() + " 00:00:00";
    //   this.getData();
    // }
    IntelligeAnalysisPage.prototype.backIndex = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__otherspots_index_otherspots_index__["a" /* OtherspotsIndexPage */]);
    };
    IntelligeAnalysisPage.prototype.query = function (str) {
        this.type = str;
        this.getData();
    };
    IntelligeAnalysisPage.prototype.changeShow = function () {
        var _this = this;
        this.hasChart = !this.hasChart;
        if (this.hasChart) {
            setTimeout(function () {
                _this.getData();
            }, 0);
        }
    };
    IntelligeAnalysisPage.prototype.sendTo = function (districtId, districtName) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__otherspots_dotdetail_otherspots_dotdetail__["a" /* OtherspotsDotdetailPage */], {
            districtId: districtId,
            districtName: districtName,
            type: this.type,
            beginTime: $("#beginTime").val(),
            endTime: $("#endTime").val()
        });
    };
    IntelligeAnalysisPage.prototype.showAB = function () {
        this.isShowAorB = !this.isShowAorB;
        if (this.isShowAorB) {
            this.getData();
        }
        else {
            this.getPublish();
        }
    };
    IntelligeAnalysisPage.prototype.downLoad = function (url) {
        this.iab.create(url, '_system', {});
    };
    IntelligeAnalysisPage.prototype.openImg = function (url) {
        if (url)
            this.photoViewer.show(url);
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])("charts"),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* ElementRef */])
    ], IntelligeAnalysisPage.prototype, "container", void 0);
    IntelligeAnalysisPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-intellige-analysis',template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\intellige-analysis\intellige-analysis.html"*/'<ion-header>\n  <div class="header">\n    <div class="top">\n      <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n      <p class="nameSelect">\n        <span class="name" [ngClass]="{selected :isShowAorB }" (click)="showAB()">智能分析</span>\n        <span class="name" [ngClass]="{selected :!isShowAorB }" (click)="showAB()">信息发布</span>\n      </p>\n    </div>\n  </div>\n</ion-header>\n\n<ion-content class="outer-content" style="background: #fff">\n  <div class="body" *ngIf="isShowAorB">\n    <div class="resons">\n      <div class="segment">\n        <div class="item" [ngClass]="{ select: type == 2 }" (click)="query(2)">\n          月\n        </div><div class="item" [ngClass]="{ select: type == 1 }" (click)="query(1)">\n        周\n      </div><div class="item" [ngClass]="{ select: type == 0 }" (click)="query(0)">\n        日\n      </div>\n        <p>\n          <ion-icon class="chartTable" style="margin-left: 1rem;" *ngIf="!hasChart" name="md-list" (click)="changeShow()"></ion-icon>\n          <ion-icon class="chartTable" style="margin-left: 1rem;" *ngIf="hasChart" name="md-grid" (click)="changeShow()"></ion-icon>\n        </p>\n      </div>\n      <div class="time" *ngIf="type == 0">\n        <div class="item"  >\n          <input id="beginTime" [(ngModel)]="beginTime" placeholder="开始时间" (focus)="getBeginTime()" readonly="readonly" />\n        </div>\n        <div class="item">\n          <input id="endTime" [(ngModel)]="endTime" placeholder="结束时间" (focus)="getEndTime()" readonly="readonly" />\n        </div>\n        <div class="item">\n          <ion-icon class="search" name="search"  *ngIf="type == 0" (click)="getData()"></ion-icon>\n        </div>\n      </div>\n    </div>\n    <div *ngIf="hasChart" class="chart" id="charts" #charts></div>\n    <div class="table" *ngIf="!hasChart">\n      <table>\n        <tr>\n          <td>排名</td>\n          <td>区名</td>\n          <td>事件数量</td>\n          <td>处理中</td>\n          <td>办结率</td>\n        </tr>\n        <tr *ngFor="let item of dataList" (click)="sendTo(item.districtId,item.districtName)">\n          <td>{{ item.rank }}</td>\n          <td>{{ item.districtName }}</td>\n          <td>{{ item.count }}</td>\n          <td>{{ item.processing }}</td>\n          <td>{{ item.processed }}%</td>\n        </tr>\n      </table>\n    </div>\n  </div>\n  <div class="publish" *ngIf="!isShowAorB">\n    <ul>\n      <li *ngFor="let item of publishList">\n        <span>{{item.name}}</span>\n        <p *ngIf="item.type == \'file\'">\n          <ion-icon name="md-download"\n                    *ngFor="let url of item.urls" class="downs"\n                    (click)="downLoad(url)"\n          ></ion-icon>\n        </p>\n        <p *ngIf="item.type == \'picture\'">\n          <img *ngFor="let url of item.urls" class="imgs"\n               src="{{url}}"\n               (click)="openImg(url)"\n          />\n        </p>\n        <p class="times">{{item.time | date: "yyyy-MM-dd HH:mm:ss"}}</p>\n      </li>\n    </ul>\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\intellige-analysis\intellige-analysis.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_6__ionic_native_in_app_browser__["a" /* InAppBrowser */],
            __WEBPACK_IMPORTED_MODULE_7__ionic_native_app_availability__["a" /* AppAvailability */],
            __WEBPACK_IMPORTED_MODULE_8__ionic_native_photo_viewer__["a" /* PhotoViewer */]])
    ], IntelligeAnalysisPage);
    return IntelligeAnalysisPage;
}());

//# sourceMappingURL=intellige-analysis.js.map

/***/ }),

/***/ 164:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ManageTransitPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__manage_manage__ = __webpack_require__(69);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



var ManageTransitPage = (function () {
    function ManageTransitPage(navCtrl, navParams) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        var type = navParams.data;
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_2__manage_manage__["a" /* ManagePage */], {
            type: type
        });
    }
    ManageTransitPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad ManageTransitPage');
    };
    ManageTransitPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-manage-transit',template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\manage-transit\manage-transit.html"*/'<!--\n  Generated template for the ManageTransitPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n<ion-header>\n\n  <ion-navbar>\n    <ion-title>ManageTransit</ion-title>\n  </ion-navbar>\n\n</ion-header>\n\n\n<ion-content padding>\n\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\manage-transit\manage-transit.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */]])
    ], ManageTransitPage);
    return ManageTransitPage;
}());

//# sourceMappingURL=manage-transit.js.map

/***/ }),

/***/ 174:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 174;

/***/ }),

/***/ 18:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OtherspotsIndexPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__spots_category_spots_category__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__otherspots_manage_otherspots_manage__ = __webpack_require__(152);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__dateformat__ = __webpack_require__(53);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var OtherspotsIndexPage = (function () {
    function OtherspotsIndexPage(platform, navCtrl, navParams, http, storage, alertCtrl) {
        this.platform = platform;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        // chart: any;
        this.dataList = [];
        this.objData = {
            updateTime: ""
        };
    }
    OtherspotsIndexPage.prototype.setChart1 = function () {
        var ctx = this.chart1.nativeElement;
        echarts.init(ctx).resize();
        echarts.init(ctx).setOption({
            series: [
                {
                    type: "pie",
                    radius: ["90%", "95%"],
                    avoidLabelOverlap: false,
                    label: {
                        normal: {
                            show: false,
                            position: "center"
                        },
                        emphasis: {
                            show: true,
                            textStyle: {
                                fontSize: "30",
                                fontWeight: "bold"
                            }
                        }
                    },
                    labelLine: {
                        normal: {
                            show: false
                        }
                    },
                    data: [
                        {
                            value: this.dataList[0].green,
                            itemStyle: {
                                color: "#38e506"
                            }
                        },
                        {
                            value: this.dataList[0].red,
                            itemStyle: {
                                color: "#38e506"
                            }
                        },
                        {
                            value: this.dataList[0].yellow,
                            itemStyle: {
                                color: "#38e506"
                            }
                        }
                    ]
                }
            ]
        });
    };
    OtherspotsIndexPage.prototype.setChart2 = function () {
        var ctx = this.chart2.nativeElement;
        echarts.init(ctx).resize();
        echarts.init(ctx).setOption({
            series: [
                {
                    type: "pie",
                    radius: ["90%", "95%"],
                    avoidLabelOverlap: false,
                    label: {
                        normal: {
                            show: false,
                            position: "center"
                        },
                        emphasis: {
                            show: true,
                            textStyle: {
                                fontSize: "30",
                                fontWeight: "bold"
                            }
                        }
                    },
                    labelLine: {
                        normal: {
                            show: false
                        }
                    },
                    data: [
                        {
                            value: this.dataList[1].green,
                            itemStyle: {
                                color: "#38e506"
                            }
                        },
                        {
                            value: this.dataList[1].red,
                            itemStyle: {
                                color: "#38e506"
                            }
                        },
                        {
                            value: this.dataList[1].yellow,
                            itemStyle: {
                                color: "#38e506"
                            }
                        }
                    ]
                }
            ]
        });
    };
    OtherspotsIndexPage.prototype.setChart3 = function () {
        var ctx = this.chart3.nativeElement;
        echarts.init(ctx).resize();
        echarts.init(ctx).setOption({
            series: [
                {
                    type: "pie",
                    radius: ["90%", "95%"],
                    avoidLabelOverlap: false,
                    label: {
                        normal: {
                            show: false,
                            position: "center"
                        },
                        emphasis: {
                            show: true,
                            textStyle: {
                                fontSize: "30",
                                fontWeight: "bold"
                            }
                        }
                    },
                    labelLine: {
                        normal: {
                            show: false
                        }
                    },
                    data: [
                        {
                            value: this.dataList[2].green,
                            itemStyle: {
                                color: "#38e506"
                            }
                        },
                        {
                            value: this.dataList[2].red,
                            itemStyle: {
                                color: "#38e506"
                            }
                        },
                        {
                            value: this.dataList[2].yellow,
                            itemStyle: {
                                color: "#38e506"
                            }
                        }
                    ]
                }
            ]
        });
    };
    OtherspotsIndexPage.prototype.setChart4 = function () {
        var ctx = this.chart4.nativeElement;
        echarts.init(ctx).resize();
        echarts.init(ctx).setOption({
            series: [
                {
                    type: "pie",
                    radius: ["90%", "95%"],
                    avoidLabelOverlap: false,
                    label: {
                        normal: {
                            show: false,
                            position: "center"
                        },
                        emphasis: {
                            show: true,
                            textStyle: {
                                fontSize: "30",
                                fontWeight: "bold"
                            }
                        }
                    },
                    labelLine: {
                        normal: {
                            show: false
                        }
                    },
                    data: [
                        {
                            value: this.dataList[3].green,
                            itemStyle: {
                                color: "#38e506"
                            }
                        },
                        {
                            value: this.dataList[3].red,
                            itemStyle: {
                                color: "#38e506"
                            }
                        },
                        {
                            value: this.dataList[3].yellow,
                            itemStyle: {
                                color: "#38e506"
                            }
                        }
                    ]
                }
            ]
        });
    };
    OtherspotsIndexPage.prototype.getVersion = function () {
        var _this = this;
        // 网络请求
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            _this.storage.get("configApp").then(function (val) {
                var plt = "ios";
                if (_this.platform.is("android")) {
                    plt = "android";
                }
                var config = JSON.parse(val);
                var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                    headers: headers,
                    params: {
                        currentVersion: config.latestVersion,
                        platform: plt
                    }
                });
                _this.http
                    .get(config.serverUrl + "/v4/appUpdateInfo", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        if (result.data.update) {
                            if (result.data.force) {
                                var alert_1 = _this.alertCtrl.create({
                                    subTitle: result.data.updateText,
                                    buttons: ["OK"]
                                });
                                alert_1.present();
                                _this.exit();
                            }
                            else {
                                var alert_2 = _this.alertCtrl.create({
                                    subTitle: result.data.updateText,
                                    buttons: ["OK"]
                                });
                                alert_2.present();
                            }
                        }
                    }
                    else {
                        var alert_3 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_3.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    OtherspotsIndexPage.prototype.getData = function () {
        var _this = this;
        // 网络请求
        this.storage.get("authentication").then(function (val) {
            var params = {
                versions: 1
            };
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({ headers: headers, params: params });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/pmStationDetail", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.objData = result.data;
                        _this.objData.updateTime = Object(__WEBPACK_IMPORTED_MODULE_6__dateformat__["a" /* default */])(_this.objData.updateTime, "yyyy-MM-dd hh:mm:ss");
                    }
                    else {
                        var alert_4 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_4.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    OtherspotsIndexPage.prototype.stationList = function (item) {
        // window.sessionStorage.setItem('datas',this.selected);
        // this.navCtrl.push(DotsViewPage, {
        //   initIds: "0",
        //   districtId: item ? item.districtId : 0,
        //   districtName: item ? item.districtName : "",
        //   type: 1,
        //   keys: this.keys
        // });
    };
    OtherspotsIndexPage.prototype.getMonitorAreaTypeLevel = function () {
        var _this = this;
        // 网络请求
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({ headers: headers });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl +
                    "/v4/sampleMonitorAnalyze/monitorAreaTypeLevel", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.dataList = result.data;
                        _this.setChart1();
                        _this.setChart2();
                        _this.setChart3();
                        _this.setChart4();
                    }
                    else {
                        var alert_5 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_5.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    OtherspotsIndexPage.prototype.ionViewDidEnter = function () {
        var _this = this;
        this.getData();
        this.getVersion();
        this.getMonitorAreaTypeLevel();
        if (this.platform.is("ios")) {
            this.storage.get("remmberPrivacy").then(function (val) {
                if (val != 1) {
                    var alert_6 = _this.alertCtrl.create({
                        title: "温馨提示",
                        message: "欢迎使用沈阳蓝天卫士APP！我们非常重视用户的隐私和个人信息保护，在使用APP之前请认真阅读<a href='http://shenyang.hbjk.com.cn:86/privacy.html'>隐私条款</a>，您同意并接受全部条款后可开始使用我们的服务。",
                        buttons: [
                            {
                                text: "知道了",
                                handler: function (data) {
                                    _this.storage.set("remmberPrivacy", 1);
                                }
                            }
                        ]
                    });
                    alert_6.present();
                }
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    title: "温馨提示",
                    message: "欢迎使用沈阳蓝天卫士APP！我们非常重视用户的隐私和个人信息保护，在使用APP之前请认真阅读<a href='http://shenyang.hbjk.com.cn:86/privacy.html'>隐私条款</a>，您同意并接受全部条款后可开始使用我们的服务。",
                    buttons: [
                        {
                            text: "知道了",
                            handler: function (data) {
                                _this.storage.set("remmberPrivacy", 1);
                            }
                        }
                    ]
                });
                alert.present();
            });
        }
    };
    OtherspotsIndexPage.prototype.nextPage = function (param) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__otherspots_manage_otherspots_manage__["a" /* OtherspotsManagePage */], {
            type: param
        });
    };
    OtherspotsIndexPage.prototype.exit = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__spots_category_spots_category__["a" /* SpotsCategoryPage */]);
    };
    OtherspotsIndexPage.prototype.showNormal = function (item) {
        var _this = this;
        var con = "";
        item.forEach(function (its) {
            con += "<div  class='msgs f" + its.color + "' >" + its.msg + "</div>";
        });
        this.storage.get("configApp").then(function (val) {
            var alert = _this.alertCtrl.create({
                title: "",
                message: con,
                buttons: [
                    {
                        text: "确定",
                        handler: function (data) { }
                    }
                ]
            });
            alert.present();
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])("chart1"),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* ElementRef */])
    ], OtherspotsIndexPage.prototype, "chart1", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])("chart2"),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* ElementRef */])
    ], OtherspotsIndexPage.prototype, "chart2", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])("chart3"),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* ElementRef */])
    ], OtherspotsIndexPage.prototype, "chart3", void 0);
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])("chart4"),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* ElementRef */])
    ], OtherspotsIndexPage.prototype, "chart4", void 0);
    OtherspotsIndexPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: "page-otherspots-index",template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-index\otherspots-index.html"*/'<ion-content>\n  <div class="content">\n    <img src="assets/imgs/index/1.png" class="backImg" />\n    <ion-icon name="md-exit" class="exit" (click)="exit()"></ion-icon>\n    <div class="location">\n      <img src="assets/imgs/index/3.png" class="spot" />\n      <span class="cityName">{{ objData.pointName }}</span>\n      <span class="updateTime">{{ objData.updateTime }}</span>\n    </div>\n    <div class="typeList">\n      <div class="item" (click)="showNormal(objData.weatherApiDataMsgVos)">\n        <img src="assets/imgs/index/14.png" class="itembg" />\n        <div class="title">AQI</div>\n        <div class="logo">\n          <span>{{ objData.qlty }}</span>\n        </div>\n        <div class="value">{{ objData.aqi }}</div>\n      </div>\n      <div class="item">\n        <img src="assets/imgs/index/14.png" class="itembg" />\n        <div class="title">湿度</div>\n        <div class="logo">\n          <img src="assets/imgs/index/9.png" />\n        </div>\n        <div class="value">{{ objData.hum }}</div>\n      </div>\n      <div class="item">\n        <img src="assets/imgs/index/14.png" class="itembg" />\n        <div class="title">风速风向</div>\n        <div class="logo">\n          <img src="assets/imgs/index/winds.png" />\n        </div>\n        <div class="value">{{ objData.windSc }}级</div>\n      </div>\n    </div>\n    <div class="stationList">\n      <div class="station">\n        <div class="item" (click)="nextPage(10)">\n          <div class="chart" id="chart1" #chart1></div>\n          <img src="assets/imgs/index/air.png" class="pic" />\n          <div>大气</div>\n        </div>\n        <div class="item" (click)="nextPage(11)">\n          <div class="chart" id="chart2" #chart2></div>\n          <img src="assets/imgs/index/water.png" class="pic" />\n          <div>水</div>\n        </div>\n      </div>\n      <div class="station">\n        <div class="item" (click)="nextPage(12)">\n          <div class="chart" id="chart3" #chart3></div>\n          <img src="assets/imgs/index/role.png" class="pic" />\n          <div>土壤</div>\n        </div>\n        <div class="item" (click)="nextPage(13)">\n          <div class="chart" id="chart4" #chart4></div>\n          <img src="assets/imgs/index/7.png" class="pic" />\n          <div>其他</div>\n        </div>\n      </div>\n      <div style="height: 7rem;"></div>\n    </div>\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-index\otherspots-index.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], OtherspotsIndexPage);
    return OtherspotsIndexPage;
}());

//# sourceMappingURL=otherspots-index.js.map

/***/ }),

/***/ 215:
/***/ (function(module, exports, __webpack_require__) {

var map = {
	"../pages/login/login.module": [
		342,
		56
	],
	"../pages/numericalSpots/add-to-report/add-to-report.module": [
		341,
		55
	],
	"../pages/numericalSpots/case-product/case-product.module": [
		393,
		54
	],
	"../pages/numericalSpots/city-compare/city-compare.module": [
		339,
		3
	],
	"../pages/numericalSpots/district-list/district-list.module": [
		340,
		53
	],
	"../pages/numericalSpots/dots-view/dots-view.module": [
		370,
		52
	],
	"../pages/numericalSpots/dust-monitor/dust-monitor.module": [
		343,
		2
	],
	"../pages/numericalSpots/hand-detail/hand-detail.module": [
		345,
		51
	],
	"../pages/numericalSpots/img-modal/img-modal.module": [
		344,
		50
	],
	"../pages/numericalSpots/improve-detail/improve-detail.module": [
		346,
		49
	],
	"../pages/numericalSpots/improve/improve.module": [
		347,
		48
	],
	"../pages/numericalSpots/index-view/index-view.module": [
		351,
		47
	],
	"../pages/numericalSpots/manage-transit/manage-transit.module": [
		348,
		46
	],
	"../pages/numericalSpots/manage/manage.module": [
		350,
		45
	],
	"../pages/numericalSpots/map-view/map-view.module": [
		352,
		44
	],
	"../pages/numericalSpots/mine/mine.module": [
		349,
		43
	],
	"../pages/numericalSpots/province-rank/province-rank.module": [
		354,
		0
	],
	"../pages/numericalSpots/reference-standard/reference-standard.module": [
		353,
		42
	],
	"../pages/numericalSpots/second-detail/second-detail.module": [
		357,
		41
	],
	"../pages/numericalSpots/second-dot-info/second-dot-info.module": [
		355,
		40
	],
	"../pages/numericalSpots/second-dot-type/second-dot-type.module": [
		356,
		39
	],
	"../pages/numericalSpots/second-map/second-map.module": [
		359,
		38
	],
	"../pages/numericalSpots/single-event/single-event.module": [
		363,
		37
	],
	"../pages/numericalSpots/single-station-alert/single-station-alert.module": [
		358,
		1
	],
	"../pages/numericalSpots/single-station-warning/single-station-warning.module": [
		360,
		36
	],
	"../pages/numericalSpots/single-warning/single-warning.module": [
		362,
		35
	],
	"../pages/numericalSpots/singlespot-detail/singlespot-detail.module": [
		364,
		34
	],
	"../pages/numericalSpots/slide-menu/slide-menu.module": [
		361,
		33
	],
	"../pages/numericalSpots/station-list/station-list.module": [
		365,
		32
	],
	"../pages/numericalSpots/supervise-hand/supervise-hand.module": [
		366,
		31
	],
	"../pages/numericalSpots/supervise-simple/supervise-simple.module": [
		367,
		30
	],
	"../pages/numericalSpots/supervise-solve/supervise-solve.module": [
		369,
		29
	],
	"../pages/numericalSpots/supervise-table/supervise-table.module": [
		368,
		28
	],
	"../pages/numericalSpots/supervise-task/supervise-task.module": [
		371,
		27
	],
	"../pages/numericalSpots/supervise/supervise.module": [
		372,
		26
	],
	"../pages/numericalSpots/tab-view/tab-view.module": [
		395,
		25
	],
	"../pages/numericalSpots/warning/warning.module": [
		373,
		24
	],
	"../pages/otherSpots/intellige-analysis/intellige-analysis.module": [
		374,
		23
	],
	"../pages/otherSpots/other-spots-supervise-simple/other-spots-supervise-simple.module": [
		375,
		22
	],
	"../pages/otherSpots/otherspots-case-product/otherspots-case-product.module": [
		377,
		21
	],
	"../pages/otherSpots/otherspots-casedetail/otherspots-casedetail.module": [
		376,
		20
	],
	"../pages/otherSpots/otherspots-dotdetail/otherspots-dotdetail.module": [
		378,
		19
	],
	"../pages/otherSpots/otherspots-dotinfo/otherspots-dotinfo.module": [
		379,
		18
	],
	"../pages/otherSpots/otherspots-dotsingle/otherspots-dotsingle.module": [
		381,
		17
	],
	"../pages/otherSpots/otherspots-dottype/otherspots-dottype.module": [
		383,
		16
	],
	"../pages/otherSpots/otherspots-hand-detail/otherspots-hand-detail.module": [
		382,
		15
	],
	"../pages/otherSpots/otherspots-img-modal/otherspots-img-modal.module": [
		380,
		14
	],
	"../pages/otherSpots/otherspots-index/otherspots-index.module": [
		386,
		13
	],
	"../pages/otherSpots/otherspots-manage/otherspots-manage.module": [
		385,
		12
	],
	"../pages/otherSpots/otherspots-map/otherspots-map.module": [
		387,
		11
	],
	"../pages/otherSpots/otherspots-mine/otherspots-mine.module": [
		384,
		10
	],
	"../pages/otherSpots/otherspots-supervise-hand/otherspots-supervise-hand.module": [
		388,
		9
	],
	"../pages/otherSpots/otherspots-supervise-solve/otherspots-supervise-solve.module": [
		389,
		8
	],
	"../pages/otherSpots/otherspots-supervise-table/otherspots-supervise-table.module": [
		390,
		7
	],
	"../pages/otherSpots/otherspots-supervise-task/otherspots-supervise-task.module": [
		394,
		6
	],
	"../pages/spots-category/spots-category.module": [
		392,
		5
	],
	"../pages/stationSpots/station-map/station-map.module": [
		391,
		4
	]
};
function webpackAsyncContext(req) {
	var ids = map[req];
	if(!ids)
		return Promise.reject(new Error("Cannot find module '" + req + "'."));
	return __webpack_require__.e(ids[1]).then(function() {
		return __webpack_require__(ids[0]);
	});
};
webpackAsyncContext.keys = function webpackAsyncContextKeys() {
	return Object.keys(map);
};
webpackAsyncContext.id = 215;
module.exports = webpackAsyncContext;

/***/ }),

/***/ 23:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SlideMenuPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__index_view_index_view__ = __webpack_require__(137);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__reference_standard_reference_standard__ = __webpack_require__(150);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var SlideMenuPage = (function () {
    function SlideMenuPage(navCtrl, navParams) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.rootPage = __WEBPACK_IMPORTED_MODULE_2__index_view_index_view__["a" /* IndexViewPage */];
    }
    SlideMenuPage.prototype.openPage = function (page) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_3__reference_standard_reference_standard__["a" /* ReferenceStandardPage */]);
    };
    SlideMenuPage.prototype.ionViewDidEnter = function () { };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])(__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* Nav */]),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* Nav */])
    ], SlideMenuPage.prototype, "nav", void 0);
    SlideMenuPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: "page-slide-menu",template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\slide-menu\slide-menu.html"*/'<ion-menu [content]="menuContent">\n\n    <ion-header>\n\n        <div class="iontitle">更多</div>\n\n    </ion-header>\n\n\n\n    <ion-content>\n\n        <div class="menuitem" (click)="openPage()">参考标准 <span class="spanIcon"> >> </span></div>\n\n    </ion-content>\n\n</ion-menu>\n\n\n\n<ion-nav [root]="rootPage" #menuContent swipeBackEnabled="false"></ion-nav>'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\slide-menu\slide-menu.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */]])
    ], SlideMenuPage);
    return SlideMenuPage;
}());

//# sourceMappingURL=slide-menu.js.map

/***/ }),

/***/ 258:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return TabViewPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__slide_menu_slide_menu__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__manage_transit_manage_transit__ = __webpack_require__(164);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var TabViewPage = (function () {
    function TabViewPage(navCtrl, navParams) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.indexView = __WEBPACK_IMPORTED_MODULE_2__slide_menu_slide_menu__["a" /* SlideMenuPage */];
        this.manageTransitView = __WEBPACK_IMPORTED_MODULE_3__manage_transit_manage_transit__["a" /* ManageTransitPage */];
        this.roadType = "road";
        this.csiteType = "csite";
        this.yardType = "yard";
        this.mixingStationType = "mixingStation";
    }
    TabViewPage.prototype.ionViewDidEnter = function () {
    };
    TabViewPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-tab-view',template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\tab-view\tab-view.html"*/'<ion-tabs>\n\n    <ion-tab [root]="indexView" tabTitle="首页" tabIcon="homeImg"></ion-tab>\n\n    <ion-tab [root]="manageTransitView" [rootParams]="roadType" tabTitle="道路/沙场" tabIcon="homeImg"></ion-tab>\n\n    <ion-tab [root]="manageTransitView" [rootParams]="csiteType" tabTitle="建筑工地" tabIcon="homeImg"></ion-tab>\n\n    <ion-tab [root]="manageTransitView" [rootParams]="yardType" tabTitle="堆场/企业/锅炉房" tabIcon="homeImg"></ion-tab>\n\n    <ion-tab [root]="manageTransitView" [rootParams]="mixingStationType" tabTitle="企业搅拌站" tabIcon="homeImg"></ion-tab>\n\n</ion-tabs>'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\tab-view\tab-view.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */]])
    ], TabViewPage);
    return TabViewPage;
}());

//# sourceMappingURL=tab-view.js.map

/***/ }),

/***/ 259:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__ = __webpack_require__(260);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__app_module__ = __webpack_require__(283);


Object(__WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__["a" /* platformBrowserDynamic */])().bootstrapModule(__WEBPACK_IMPORTED_MODULE_1__app_module__["a" /* AppModule */]);
//# sourceMappingURL=main.js.map

/***/ }),

/***/ 283:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_platform_browser__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_forms__ = __webpack_require__(19);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_component__ = __webpack_require__(338);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__pages_login_login__ = __webpack_require__(55);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__pages_spots_category_spots_category__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__pages_numericalSpots_tab_view_tab_view__ = __webpack_require__(258);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__pages_numericalSpots_index_view_index_view__ = __webpack_require__(137);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__pages_numericalSpots_slide_menu_slide_menu__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__pages_numericalSpots_map_view_map_view__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__pages_numericalSpots_singlespot_detail_singlespot_detail__ = __webpack_require__(135);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__pages_numericalSpots_manage_transit_manage_transit__ = __webpack_require__(164);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_14__pages_numericalSpots_manage_manage__ = __webpack_require__(69);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_15__pages_numericalSpots_dots_view_dots_view__ = __webpack_require__(72);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_16__pages_numericalSpots_warning_warning__ = __webpack_require__(140);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_17__pages_numericalSpots_second_map_second_map__ = __webpack_require__(138);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_18__pages_numericalSpots_second_detail_second_detail__ = __webpack_require__(70);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_19__pages_numericalSpots_second_dot_info_second_dot_info__ = __webpack_require__(71);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_20__pages_numericalSpots_second_dot_type_second_dot_type__ = __webpack_require__(139);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_21__pages_numericalSpots_mine_mine__ = __webpack_require__(145);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_22__pages_numericalSpots_single_station_warning_single_station_warning__ = __webpack_require__(141);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_23__pages_numericalSpots_single_warning_single_warning__ = __webpack_require__(142);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_24__pages_numericalSpots_add_to_report_add_to_report__ = __webpack_require__(136);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_25__pages_numericalSpots_supervise_supervise__ = __webpack_require__(74);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_26__pages_numericalSpots_station_list_station_list__ = __webpack_require__(134);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_27__pages_numericalSpots_improve_improve__ = __webpack_require__(143);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_28__pages_numericalSpots_improve_detail_improve_detail__ = __webpack_require__(144);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_29__pages_numericalSpots_single_event_single_event__ = __webpack_require__(146);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_30__pages_numericalSpots_supervise_simple_supervise_simple__ = __webpack_require__(56);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_31__pages_numericalSpots_supervise_task_supervise_task__ = __webpack_require__(147);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_32__pages_numericalSpots_supervise_solve_supervise_solve__ = __webpack_require__(148);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_33__pages_numericalSpots_supervise_table_supervise_table__ = __webpack_require__(149);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_34__pages_numericalSpots_supervise_hand_supervise_hand__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_35__pages_numericalSpots_case_product_case_product__ = __webpack_require__(73);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_36__pages_numericalSpots_hand_detail_hand_detail__ = __webpack_require__(75);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_37__pages_numericalSpots_img_modal_img_modal__ = __webpack_require__(43);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_38__pages_numericalSpots_reference_standard_reference_standard__ = __webpack_require__(150);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_39__pages_numericalSpots_district_list_district_list__ = __webpack_require__(133);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_40__pages_otherSpots_otherspots_dotinfo_otherspots_dotinfo__ = __webpack_require__(154);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_41__pages_otherSpots_otherspots_dottype_otherspots_dottype__ = __webpack_require__(156);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_42__pages_otherSpots_otherspots_dotdetail_otherspots_dotdetail__ = __webpack_require__(76);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_43__pages_otherSpots_otherspots_dotsingle_otherspots_dotsingle__ = __webpack_require__(77);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_44__pages_otherSpots_otherspots_index_otherspots_index__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_45__pages_otherSpots_otherspots_manage_otherspots_manage__ = __webpack_require__(152);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_46__pages_otherSpots_otherspots_map_otherspots_map__ = __webpack_require__(153);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_47__pages_otherSpots_otherspots_case_product_otherspots_case_product__ = __webpack_require__(158);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_48__pages_otherSpots_otherspots_hand_detail_otherspots_hand_detail__ = __webpack_require__(160);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_49__pages_otherSpots_otherspots_img_modal_otherspots_img_modal__ = __webpack_require__(39);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_50__pages_otherSpots_otherspots_mine_otherspots_mine__ = __webpack_require__(157);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_51__pages_otherSpots_other_spots_supervise_simple_other_spots_supervise_simple__ = __webpack_require__(57);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_52__pages_otherSpots_otherspots_supervise_hand_otherspots_supervise_hand__ = __webpack_require__(58);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_53__pages_otherSpots_otherspots_supervise_solve_otherspots_supervise_solve__ = __webpack_require__(161);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_54__pages_otherSpots_otherspots_supervise_table_otherspots_supervise_table__ = __webpack_require__(162);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_55__pages_otherSpots_otherspots_supervise_task_otherspots_supervise_task__ = __webpack_require__(159);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_56__pages_otherSpots_otherspots_casedetail_otherspots_casedetail__ = __webpack_require__(155);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_57__pages_stationSpots_station_map_station_map__ = __webpack_require__(151);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_58__pages_otherSpots_intellige_analysis_intellige_analysis__ = __webpack_require__(163);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_59__ionic_native_status_bar__ = __webpack_require__(256);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_60__ionic_native_splash_screen__ = __webpack_require__(257);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_61__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_62__ionic_native_file__ = __webpack_require__(106);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_63__ionic_native_transfer__ = __webpack_require__(108);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_64__ionic_native_file_path__ = __webpack_require__(109);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_65__ionic_native_camera__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_66__ionic_native_geolocation__ = __webpack_require__(111);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_67__ionic_native_image_picker__ = __webpack_require__(110);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_68__ionic_native_in_app_browser__ = __webpack_require__(37);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_69__ionic_native_app_availability__ = __webpack_require__(38);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_70__ionic_native_photo_viewer__ = __webpack_require__(16);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};







































































var AppModule = (function () {
    function AppModule() {
    }
    AppModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_5__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_6__pages_login_login__["a" /* LoginPage */],
                __WEBPACK_IMPORTED_MODULE_7__pages_spots_category_spots_category__["a" /* SpotsCategoryPage */],
                __WEBPACK_IMPORTED_MODULE_8__pages_numericalSpots_tab_view_tab_view__["a" /* TabViewPage */],
                __WEBPACK_IMPORTED_MODULE_9__pages_numericalSpots_index_view_index_view__["a" /* IndexViewPage */],
                __WEBPACK_IMPORTED_MODULE_10__pages_numericalSpots_slide_menu_slide_menu__["a" /* SlideMenuPage */],
                __WEBPACK_IMPORTED_MODULE_11__pages_numericalSpots_map_view_map_view__["a" /* MapViewPage */],
                __WEBPACK_IMPORTED_MODULE_12__pages_numericalSpots_singlespot_detail_singlespot_detail__["a" /* SinglespotDetailPage */],
                __WEBPACK_IMPORTED_MODULE_13__pages_numericalSpots_manage_transit_manage_transit__["a" /* ManageTransitPage */],
                __WEBPACK_IMPORTED_MODULE_14__pages_numericalSpots_manage_manage__["a" /* ManagePage */],
                __WEBPACK_IMPORTED_MODULE_15__pages_numericalSpots_dots_view_dots_view__["a" /* DotsViewPage */],
                __WEBPACK_IMPORTED_MODULE_16__pages_numericalSpots_warning_warning__["a" /* WarningPage */],
                __WEBPACK_IMPORTED_MODULE_17__pages_numericalSpots_second_map_second_map__["a" /* SecondMapPage */],
                __WEBPACK_IMPORTED_MODULE_18__pages_numericalSpots_second_detail_second_detail__["a" /* SecondDetailPage */],
                __WEBPACK_IMPORTED_MODULE_19__pages_numericalSpots_second_dot_info_second_dot_info__["a" /* SecondDotInfoPage */],
                __WEBPACK_IMPORTED_MODULE_20__pages_numericalSpots_second_dot_type_second_dot_type__["a" /* SecondDotTypePage */],
                __WEBPACK_IMPORTED_MODULE_21__pages_numericalSpots_mine_mine__["a" /* MinePage */],
                __WEBPACK_IMPORTED_MODULE_22__pages_numericalSpots_single_station_warning_single_station_warning__["a" /* SingleStationWarningPage */],
                __WEBPACK_IMPORTED_MODULE_23__pages_numericalSpots_single_warning_single_warning__["a" /* SingleWarningPage */],
                __WEBPACK_IMPORTED_MODULE_24__pages_numericalSpots_add_to_report_add_to_report__["a" /* AddToReportPage */],
                __WEBPACK_IMPORTED_MODULE_25__pages_numericalSpots_supervise_supervise__["a" /* SupervisePage */],
                __WEBPACK_IMPORTED_MODULE_27__pages_numericalSpots_improve_improve__["a" /* ImprovePage */],
                __WEBPACK_IMPORTED_MODULE_28__pages_numericalSpots_improve_detail_improve_detail__["a" /* ImproveDetailPage */],
                __WEBPACK_IMPORTED_MODULE_30__pages_numericalSpots_supervise_simple_supervise_simple__["a" /* SuperviseSimplePage */],
                __WEBPACK_IMPORTED_MODULE_31__pages_numericalSpots_supervise_task_supervise_task__["a" /* SuperviseTaskPage */],
                __WEBPACK_IMPORTED_MODULE_32__pages_numericalSpots_supervise_solve_supervise_solve__["a" /* SuperviseSolvePage */],
                __WEBPACK_IMPORTED_MODULE_33__pages_numericalSpots_supervise_table_supervise_table__["a" /* SuperviseTablePage */],
                __WEBPACK_IMPORTED_MODULE_34__pages_numericalSpots_supervise_hand_supervise_hand__["a" /* SuperviseHandPage */],
                __WEBPACK_IMPORTED_MODULE_29__pages_numericalSpots_single_event_single_event__["a" /* SingleEventPage */],
                __WEBPACK_IMPORTED_MODULE_35__pages_numericalSpots_case_product_case_product__["a" /* CaseProductPage */],
                __WEBPACK_IMPORTED_MODULE_36__pages_numericalSpots_hand_detail_hand_detail__["a" /* HandDetailPage */],
                __WEBPACK_IMPORTED_MODULE_38__pages_numericalSpots_reference_standard_reference_standard__["a" /* ReferenceStandardPage */],
                __WEBPACK_IMPORTED_MODULE_39__pages_numericalSpots_district_list_district_list__["a" /* DistrictListPage */],
                __WEBPACK_IMPORTED_MODULE_26__pages_numericalSpots_station_list_station_list__["a" /* StationListPage */],
                __WEBPACK_IMPORTED_MODULE_37__pages_numericalSpots_img_modal_img_modal__["a" /* ImgModalPage */],
                __WEBPACK_IMPORTED_MODULE_40__pages_otherSpots_otherspots_dotinfo_otherspots_dotinfo__["a" /* OtherspotsDotinfoPage */],
                __WEBPACK_IMPORTED_MODULE_41__pages_otherSpots_otherspots_dottype_otherspots_dottype__["a" /* OtherspotsDottypePage */],
                __WEBPACK_IMPORTED_MODULE_42__pages_otherSpots_otherspots_dotdetail_otherspots_dotdetail__["a" /* OtherspotsDotdetailPage */],
                __WEBPACK_IMPORTED_MODULE_43__pages_otherSpots_otherspots_dotsingle_otherspots_dotsingle__["a" /* OtherspotsDotsinglePage */],
                __WEBPACK_IMPORTED_MODULE_44__pages_otherSpots_otherspots_index_otherspots_index__["a" /* OtherspotsIndexPage */],
                __WEBPACK_IMPORTED_MODULE_45__pages_otherSpots_otherspots_manage_otherspots_manage__["a" /* OtherspotsManagePage */],
                __WEBPACK_IMPORTED_MODULE_46__pages_otherSpots_otherspots_map_otherspots_map__["a" /* OtherspotsMapPage */],
                __WEBPACK_IMPORTED_MODULE_47__pages_otherSpots_otherspots_case_product_otherspots_case_product__["a" /* OtherspotsCaseProductPage */],
                __WEBPACK_IMPORTED_MODULE_48__pages_otherSpots_otherspots_hand_detail_otherspots_hand_detail__["a" /* OtherspotsHandDetailPage */],
                __WEBPACK_IMPORTED_MODULE_49__pages_otherSpots_otherspots_img_modal_otherspots_img_modal__["a" /* OtherspotsImgModalPage */],
                __WEBPACK_IMPORTED_MODULE_50__pages_otherSpots_otherspots_mine_otherspots_mine__["a" /* OtherspotsMinePage */],
                __WEBPACK_IMPORTED_MODULE_58__pages_otherSpots_intellige_analysis_intellige_analysis__["a" /* IntelligeAnalysisPage */],
                __WEBPACK_IMPORTED_MODULE_51__pages_otherSpots_other_spots_supervise_simple_other_spots_supervise_simple__["a" /* OtherSpotsSuperviseSimplePage */],
                __WEBPACK_IMPORTED_MODULE_52__pages_otherSpots_otherspots_supervise_hand_otherspots_supervise_hand__["a" /* OtherspotsSuperviseHandPage */],
                __WEBPACK_IMPORTED_MODULE_53__pages_otherSpots_otherspots_supervise_solve_otherspots_supervise_solve__["a" /* OtherspotsSuperviseSolvePage */],
                __WEBPACK_IMPORTED_MODULE_54__pages_otherSpots_otherspots_supervise_table_otherspots_supervise_table__["a" /* OtherspotsSuperviseTablePage */],
                __WEBPACK_IMPORTED_MODULE_55__pages_otherSpots_otherspots_supervise_task_otherspots_supervise_task__["a" /* OtherspotsSuperviseTaskPage */],
                __WEBPACK_IMPORTED_MODULE_56__pages_otherSpots_otherspots_casedetail_otherspots_casedetail__["a" /* OtherspotsCasedetailPage */],
                __WEBPACK_IMPORTED_MODULE_57__pages_stationSpots_station_map_station_map__["a" /* StationMapPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1__angular_platform_browser__["a" /* BrowserModule */],
                __WEBPACK_IMPORTED_MODULE_2__angular_forms__["a" /* FormsModule */],
                __WEBPACK_IMPORTED_MODULE_4__angular_http__["c" /* HttpModule */],
                __WEBPACK_IMPORTED_MODULE_3_ionic_angular__["e" /* IonicModule */].forRoot(__WEBPACK_IMPORTED_MODULE_5__app_component__["a" /* MyApp */], {
                    tabsHideOnSubPages: "true" //隐藏全部子页面tabs
                }, {
                    links: [
                        { loadChildren: '../pages/numericalSpots/city-compare/city-compare.module#CityComparePageModule', name: 'CityComparePage', segment: 'city-compare', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/district-list/district-list.module#DistrictListPageModule', name: 'DistrictListPage', segment: 'district-list', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/add-to-report/add-to-report.module#AddToReportPageModule', name: 'AddToReportPage', segment: 'add-to-report', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/login/login.module#LoginPageModule', name: 'LoginPage', segment: 'login', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/dust-monitor/dust-monitor.module#DustMonitorPageModule', name: 'DustMonitorPage', segment: 'dust-monitor', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/img-modal/img-modal.module#ImgModalPageModule', name: 'ImgModalPage', segment: 'img-modal', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/hand-detail/hand-detail.module#HandDetailPageModule', name: 'HandDetailPage', segment: 'hand-detail', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/improve-detail/improve-detail.module#ImproveDetailPageModule', name: 'ImproveDetailPage', segment: 'improve-detail', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/improve/improve.module#ImprovePageModule', name: 'ImprovePage', segment: 'improve', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/manage-transit/manage-transit.module#ManageTransitPageModule', name: 'ManageTransitPage', segment: 'manage-transit', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/mine/mine.module#ManagePageModule', name: 'MinePage', segment: 'mine', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/manage/manage.module#ManagePageModule', name: 'ManagePage', segment: 'manage', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/index-view/index-view.module#IndexViewPageModule', name: 'IndexViewPage', segment: 'index-view', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/map-view/map-view.module#MapViewPageModule', name: 'MapViewPage', segment: 'map-view', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/reference-standard/reference-standard.module#ReferenceStandardPageModule', name: 'ReferenceStandardPage', segment: 'reference-standard', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/province-rank/province-rank.module#ProvinceRankPageModule', name: 'ProvinceRankPage', segment: 'province-rank', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/second-dot-info/second-dot-info.module#SecondDotInfoPageModule', name: 'SecondDotInfoPage', segment: 'second-dot-info', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/second-dot-type/second-dot-type.module#SecondDotTypePageModule', name: 'SecondDotTypePage', segment: 'second-dot-type', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/second-detail/second-detail.module#SecondDetailPageModule', name: 'SecondDetailPage', segment: 'second-detail', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/single-station-alert/single-station-alert.module#SingleStationAlertPageModule', name: 'SingleStationAlertPage', segment: 'single-station-alert', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/second-map/second-map.module#SecondMapPageModule', name: 'SecondMapPage', segment: 'second-map', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/single-station-warning/single-station-warning.module#SingleStationWarningPageModule', name: 'SingleStationWarningPage', segment: 'single-station-warning', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/slide-menu/slide-menu.module#SlideMenuPageModule', name: 'SlideMenuPage', segment: 'slide-menu', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/single-warning/single-warning.module#SingleWarningPageModule', name: 'SingleWarningPage', segment: 'single-warning', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/single-event/single-event.module#SingleEventPageModule', name: 'SingleEventPage', segment: 'single-event', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/singlespot-detail/singlespot-detail.module#SinglespotDetailPageModule', name: 'SinglespotDetailPage', segment: 'singlespot-detail', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/station-list/station-list.module#StationListPageModule', name: 'StationListPage', segment: 'station-list', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/supervise-hand/supervise-hand.module#SuperviseHandPageModule', name: 'SuperviseHandPage', segment: 'supervise-hand', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/supervise-simple/supervise-simple.module#SuperviseSimplePageModule', name: 'SuperviseSimplePage', segment: 'supervise-simple', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/supervise-table/supervise-table.module#SuperviseTablePageModule', name: 'SuperviseTablePage', segment: 'supervise-table', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/supervise-solve/supervise-solve.module#SuperviseSolvePageModule', name: 'SuperviseSolvePage', segment: 'supervise-solve', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/dots-view/dots-view.module#DotsViewPageModule', name: 'DotsViewPage', segment: 'dots-view', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/supervise-task/supervise-task.module#SuperviseTaskPageModule', name: 'SuperviseTaskPage', segment: 'supervise-task', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/supervise/supervise.module#SupervisePageModule', name: 'SupervisePage', segment: 'supervise', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/warning/warning.module#WarningPageModule', name: 'WarningPage', segment: 'warning', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/otherSpots/intellige-analysis/intellige-analysis.module#IntelligeAnalysisPageModule', name: 'IntelligeAnalysisPage', segment: 'intellige-analysis', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/otherSpots/other-spots-supervise-simple/other-spots-supervise-simple.module#OtherSpotsSuperviseSimplePageModule', name: 'OtherSpotsSuperviseSimplePage', segment: 'other-spots-supervise-simple', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/otherSpots/otherspots-casedetail/otherspots-casedetail.module#OtherspotsCasedetailPageModule', name: 'OtherspotsCasedetailPage', segment: 'otherspots-casedetail', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/otherSpots/otherspots-case-product/otherspots-case-product.module#OtherspotsCaseProductPageModule', name: 'OtherspotsCaseProductPage', segment: 'otherspots-case-product', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/otherSpots/otherspots-dotdetail/otherspots-dotdetail.module#OtherspotsDotdetailPageModule', name: 'OtherspotsDotdetailPage', segment: 'otherspots-dotdetail', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/otherSpots/otherspots-dotinfo/otherspots-dotinfo.module#OtherspotsDotinfoPageModule', name: 'OtherspotsDotinfoPage', segment: 'otherspots-dotinfo', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/otherSpots/otherspots-img-modal/otherspots-img-modal.module#OtherspotsImgModalPageModule', name: 'OtherspotsImgModalPage', segment: 'otherspots-img-modal', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/otherSpots/otherspots-dotsingle/otherspots-dotsingle.module#OtherspotsDotsinglePageModule', name: 'OtherspotsDotsinglePage', segment: 'otherspots-dotsingle', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/otherSpots/otherspots-hand-detail/otherspots-hand-detail.module#OtherspotsHandDetailPageModule', name: 'OtherspotsHandDetailPage', segment: 'otherspots-hand-detail', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/otherSpots/otherspots-dottype/otherspots-dottype.module#OtherspotsDottypePageModule', name: 'OtherspotsDottypePage', segment: 'otherspots-dottype', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/otherSpots/otherspots-mine/otherspots-mine.module#OtherspotsMinePageModule', name: 'OtherspotsMinePage', segment: 'otherspots-mine', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/otherSpots/otherspots-manage/otherspots-manage.module#OtherspotsManagePageModule', name: 'OtherspotsManagePage', segment: 'otherspots-manage', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/otherSpots/otherspots-index/otherspots-index.module#OtherspotsIndexPageModule', name: 'OtherspotsIndexPage', segment: 'otherspots-index', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/otherSpots/otherspots-map/otherspots-map.module#OtherspotsMapPageModule', name: 'OtherspotsMapPage', segment: 'otherspots-map', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/otherSpots/otherspots-supervise-hand/otherspots-supervise-hand.module#OtherspotsSuperviseHandPageModule', name: 'OtherspotsSuperviseHandPage', segment: 'otherspots-supervise-hand', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/otherSpots/otherspots-supervise-solve/otherspots-supervise-solve.module#OtherspotsSuperviseSolvePageModule', name: 'OtherspotsSuperviseSolvePage', segment: 'otherspots-supervise-solve', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/otherSpots/otherspots-supervise-table/otherspots-supervise-table.module#OtherspotsSuperviseTablePageModule', name: 'OtherspotsSuperviseTablePage', segment: 'otherspots-supervise-table', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/stationSpots/station-map/station-map.module#StationMapPageModule', name: 'StationMapPage', segment: 'station-map', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/spots-category/spots-category.module#SpotsCategoryPageModule', name: 'SpotsCategoryPage', segment: 'spots-category', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/case-product/case-product.module#CaseProductPageModule', name: 'CaseProductPage', segment: 'case-product', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/otherSpots/otherspots-supervise-task/otherspots-supervise-task.module#OtherspotsSuperviseTaskPageModule', name: 'OtherspotsSuperviseTaskPage', segment: 'otherspots-supervise-task', priority: 'low', defaultHistory: [] },
                        { loadChildren: '../pages/numericalSpots/tab-view/tab-view.module#TabViewPageModule', name: 'TabViewPage', segment: 'tab-view', priority: 'low', defaultHistory: [] }
                    ]
                }),
                __WEBPACK_IMPORTED_MODULE_61__ionic_storage__["a" /* IonicStorageModule */].forRoot()
            ],
            bootstrap: [__WEBPACK_IMPORTED_MODULE_3_ionic_angular__["c" /* IonicApp */]],
            entryComponents: [
                __WEBPACK_IMPORTED_MODULE_5__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_6__pages_login_login__["a" /* LoginPage */],
                __WEBPACK_IMPORTED_MODULE_7__pages_spots_category_spots_category__["a" /* SpotsCategoryPage */],
                __WEBPACK_IMPORTED_MODULE_9__pages_numericalSpots_index_view_index_view__["a" /* IndexViewPage */],
                __WEBPACK_IMPORTED_MODULE_8__pages_numericalSpots_tab_view_tab_view__["a" /* TabViewPage */],
                __WEBPACK_IMPORTED_MODULE_10__pages_numericalSpots_slide_menu_slide_menu__["a" /* SlideMenuPage */],
                __WEBPACK_IMPORTED_MODULE_11__pages_numericalSpots_map_view_map_view__["a" /* MapViewPage */],
                __WEBPACK_IMPORTED_MODULE_12__pages_numericalSpots_singlespot_detail_singlespot_detail__["a" /* SinglespotDetailPage */],
                __WEBPACK_IMPORTED_MODULE_13__pages_numericalSpots_manage_transit_manage_transit__["a" /* ManageTransitPage */],
                __WEBPACK_IMPORTED_MODULE_14__pages_numericalSpots_manage_manage__["a" /* ManagePage */],
                __WEBPACK_IMPORTED_MODULE_15__pages_numericalSpots_dots_view_dots_view__["a" /* DotsViewPage */],
                __WEBPACK_IMPORTED_MODULE_16__pages_numericalSpots_warning_warning__["a" /* WarningPage */],
                __WEBPACK_IMPORTED_MODULE_17__pages_numericalSpots_second_map_second_map__["a" /* SecondMapPage */],
                __WEBPACK_IMPORTED_MODULE_18__pages_numericalSpots_second_detail_second_detail__["a" /* SecondDetailPage */],
                __WEBPACK_IMPORTED_MODULE_19__pages_numericalSpots_second_dot_info_second_dot_info__["a" /* SecondDotInfoPage */],
                __WEBPACK_IMPORTED_MODULE_20__pages_numericalSpots_second_dot_type_second_dot_type__["a" /* SecondDotTypePage */],
                __WEBPACK_IMPORTED_MODULE_26__pages_numericalSpots_station_list_station_list__["a" /* StationListPage */],
                __WEBPACK_IMPORTED_MODULE_21__pages_numericalSpots_mine_mine__["a" /* MinePage */],
                __WEBPACK_IMPORTED_MODULE_22__pages_numericalSpots_single_station_warning_single_station_warning__["a" /* SingleStationWarningPage */],
                __WEBPACK_IMPORTED_MODULE_23__pages_numericalSpots_single_warning_single_warning__["a" /* SingleWarningPage */],
                __WEBPACK_IMPORTED_MODULE_24__pages_numericalSpots_add_to_report_add_to_report__["a" /* AddToReportPage */],
                __WEBPACK_IMPORTED_MODULE_25__pages_numericalSpots_supervise_supervise__["a" /* SupervisePage */],
                __WEBPACK_IMPORTED_MODULE_27__pages_numericalSpots_improve_improve__["a" /* ImprovePage */],
                __WEBPACK_IMPORTED_MODULE_28__pages_numericalSpots_improve_detail_improve_detail__["a" /* ImproveDetailPage */],
                __WEBPACK_IMPORTED_MODULE_29__pages_numericalSpots_single_event_single_event__["a" /* SingleEventPage */],
                __WEBPACK_IMPORTED_MODULE_30__pages_numericalSpots_supervise_simple_supervise_simple__["a" /* SuperviseSimplePage */],
                __WEBPACK_IMPORTED_MODULE_31__pages_numericalSpots_supervise_task_supervise_task__["a" /* SuperviseTaskPage */],
                __WEBPACK_IMPORTED_MODULE_32__pages_numericalSpots_supervise_solve_supervise_solve__["a" /* SuperviseSolvePage */],
                __WEBPACK_IMPORTED_MODULE_33__pages_numericalSpots_supervise_table_supervise_table__["a" /* SuperviseTablePage */],
                __WEBPACK_IMPORTED_MODULE_34__pages_numericalSpots_supervise_hand_supervise_hand__["a" /* SuperviseHandPage */],
                __WEBPACK_IMPORTED_MODULE_35__pages_numericalSpots_case_product_case_product__["a" /* CaseProductPage */],
                __WEBPACK_IMPORTED_MODULE_36__pages_numericalSpots_hand_detail_hand_detail__["a" /* HandDetailPage */],
                __WEBPACK_IMPORTED_MODULE_38__pages_numericalSpots_reference_standard_reference_standard__["a" /* ReferenceStandardPage */],
                __WEBPACK_IMPORTED_MODULE_39__pages_numericalSpots_district_list_district_list__["a" /* DistrictListPage */],
                __WEBPACK_IMPORTED_MODULE_37__pages_numericalSpots_img_modal_img_modal__["a" /* ImgModalPage */],
                __WEBPACK_IMPORTED_MODULE_40__pages_otherSpots_otherspots_dotinfo_otherspots_dotinfo__["a" /* OtherspotsDotinfoPage */],
                __WEBPACK_IMPORTED_MODULE_41__pages_otherSpots_otherspots_dottype_otherspots_dottype__["a" /* OtherspotsDottypePage */],
                __WEBPACK_IMPORTED_MODULE_42__pages_otherSpots_otherspots_dotdetail_otherspots_dotdetail__["a" /* OtherspotsDotdetailPage */],
                __WEBPACK_IMPORTED_MODULE_43__pages_otherSpots_otherspots_dotsingle_otherspots_dotsingle__["a" /* OtherspotsDotsinglePage */],
                __WEBPACK_IMPORTED_MODULE_44__pages_otherSpots_otherspots_index_otherspots_index__["a" /* OtherspotsIndexPage */],
                __WEBPACK_IMPORTED_MODULE_45__pages_otherSpots_otherspots_manage_otherspots_manage__["a" /* OtherspotsManagePage */],
                __WEBPACK_IMPORTED_MODULE_46__pages_otherSpots_otherspots_map_otherspots_map__["a" /* OtherspotsMapPage */],
                __WEBPACK_IMPORTED_MODULE_47__pages_otherSpots_otherspots_case_product_otherspots_case_product__["a" /* OtherspotsCaseProductPage */],
                __WEBPACK_IMPORTED_MODULE_48__pages_otherSpots_otherspots_hand_detail_otherspots_hand_detail__["a" /* OtherspotsHandDetailPage */],
                __WEBPACK_IMPORTED_MODULE_49__pages_otherSpots_otherspots_img_modal_otherspots_img_modal__["a" /* OtherspotsImgModalPage */],
                __WEBPACK_IMPORTED_MODULE_50__pages_otherSpots_otherspots_mine_otherspots_mine__["a" /* OtherspotsMinePage */],
                __WEBPACK_IMPORTED_MODULE_58__pages_otherSpots_intellige_analysis_intellige_analysis__["a" /* IntelligeAnalysisPage */],
                __WEBPACK_IMPORTED_MODULE_51__pages_otherSpots_other_spots_supervise_simple_other_spots_supervise_simple__["a" /* OtherSpotsSuperviseSimplePage */],
                __WEBPACK_IMPORTED_MODULE_52__pages_otherSpots_otherspots_supervise_hand_otherspots_supervise_hand__["a" /* OtherspotsSuperviseHandPage */],
                __WEBPACK_IMPORTED_MODULE_53__pages_otherSpots_otherspots_supervise_solve_otherspots_supervise_solve__["a" /* OtherspotsSuperviseSolvePage */],
                __WEBPACK_IMPORTED_MODULE_54__pages_otherSpots_otherspots_supervise_table_otherspots_supervise_table__["a" /* OtherspotsSuperviseTablePage */],
                __WEBPACK_IMPORTED_MODULE_55__pages_otherSpots_otherspots_supervise_task_otherspots_supervise_task__["a" /* OtherspotsSuperviseTaskPage */],
                __WEBPACK_IMPORTED_MODULE_56__pages_otherSpots_otherspots_casedetail_otherspots_casedetail__["a" /* OtherspotsCasedetailPage */],
                __WEBPACK_IMPORTED_MODULE_57__pages_stationSpots_station_map_station_map__["a" /* StationMapPage */]
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_59__ionic_native_status_bar__["a" /* StatusBar */],
                __WEBPACK_IMPORTED_MODULE_60__ionic_native_splash_screen__["a" /* SplashScreen */],
                __WEBPACK_IMPORTED_MODULE_68__ionic_native_in_app_browser__["a" /* InAppBrowser */],
                __WEBPACK_IMPORTED_MODULE_69__ionic_native_app_availability__["a" /* AppAvailability */],
                {
                    provide: __WEBPACK_IMPORTED_MODULE_0__angular_core__["u" /* ErrorHandler */],
                    useClass: __WEBPACK_IMPORTED_MODULE_3_ionic_angular__["d" /* IonicErrorHandler */]
                },
                __WEBPACK_IMPORTED_MODULE_62__ionic_native_file__["a" /* File */],
                __WEBPACK_IMPORTED_MODULE_63__ionic_native_transfer__["a" /* Transfer */],
                __WEBPACK_IMPORTED_MODULE_65__ionic_native_camera__["a" /* Camera */],
                __WEBPACK_IMPORTED_MODULE_66__ionic_native_geolocation__["a" /* Geolocation */],
                __WEBPACK_IMPORTED_MODULE_67__ionic_native_image_picker__["a" /* ImagePicker */],
                __WEBPACK_IMPORTED_MODULE_64__ionic_native_file_path__["a" /* FilePath */],
                __WEBPACK_IMPORTED_MODULE_70__ionic_native_photo_viewer__["a" /* PhotoViewer */]
            ]
        })
    ], AppModule);
    return AppModule;
}());

//# sourceMappingURL=app.module.js.map

/***/ }),

/***/ 320:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (immutable) */ __webpack_exports__["a"] = configApp;
var config = [
    {
        area: "xindu",
        appName: "天天蓝",
        appId: "com.landfun.bluesky",
        latestVersion: "1.0.6",
        serverUrl: "http://prd9.hbjk.com.cn:8080"
    },
    {
        area: "shenyang",
        appName: "沈阳蓝天卫士",
        appId: "com.landfun.shenyang",
        latestVersion: "1.2.9",
        // "serverUrl": "http://192.168.1.82:8080"
        serverUrl: "http://shenyang.hbjk.com.cn:8080"
        // "serverUrl": "http://192.168.1.36:8080"
    }
];
function configApp(area) {
    for (var i = 0; i < config.length; i++) {
        if (area == config[i].area) {
            return config[i];
        }
    }
}
//# sourceMappingURL=config.js.map

/***/ }),

/***/ 338:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyApp; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__ = __webpack_require__(256);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__ = __webpack_require__(257);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__pages_login_login__ = __webpack_require__(55);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var MyApp = (function () {
    function MyApp(platform, statusBar, splashScreen) {
        this.rootPage = __WEBPACK_IMPORTED_MODULE_4__pages_login_login__["a" /* LoginPage */];
        platform.ready().then(function () {
            statusBar.overlaysWebView(true);
            statusBar.backgroundColorByHexString("#000000");
            splashScreen.hide();
        });
    }
    MyApp = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\app\app.html"*/'<ion-nav [root]="rootPage"></ion-nav>\n\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\app\app.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__["a" /* StatusBar */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__["a" /* SplashScreen */]])
    ], MyApp);
    return MyApp;
}());

//# sourceMappingURL=app.component.js.map

/***/ }),

/***/ 39:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OtherspotsImgModalPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var OtherspotsImgModalPage = (function () {
    function OtherspotsImgModalPage(navParams, viewCtrl) {
        this.viewCtrl = viewCtrl;
        this.imgUrl = "";
        this.imgUrl = navParams.get("url");
    }
    OtherspotsImgModalPage.prototype.ionViewDidLoad = function () { };
    OtherspotsImgModalPage.prototype.dismiss = function () {
        this.viewCtrl.dismiss();
    };
    OtherspotsImgModalPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: "page-otherspots-img-modal",template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-img-modal\otherspots-img-modal.html"*/'<ion-header>\n  <div class="header">\n    <div class="top">\n      <ion-icon name="arrow-back" class="back" (click)="dismiss()"></ion-icon>\n    </div>\n  </div>\n</ion-header>\n\n<ion-content>\n  <div class="wrap">\n    <img [src]="imgUrl" />\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-img-modal\otherspots-img-modal.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* ViewController */]])
    ], OtherspotsImgModalPage);
    return OtherspotsImgModalPage;
}());

//# sourceMappingURL=otherspots-img-modal.js.map

/***/ }),

/***/ 42:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SpotsCategoryPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__numericalSpots_slide_menu_slide_menu__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__stationSpots_station_map_station_map__ = __webpack_require__(151);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__otherSpots_otherspots_index_otherspots_index__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__login_login__ = __webpack_require__(55);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






/**
 * Generated class for the SpotsCategoryPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */
var SpotsCategoryPage = (function () {
    function SpotsCategoryPage(navCtrl, navParams) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
    }
    SpotsCategoryPage.prototype.loginPage = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__login_login__["a" /* LoginPage */]);
    };
    SpotsCategoryPage.prototype.numberPage = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_2__numericalSpots_slide_menu_slide_menu__["a" /* SlideMenuPage */]);
    };
    SpotsCategoryPage.prototype.otherPage = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__otherSpots_otherspots_index_otherspots_index__["a" /* OtherspotsIndexPage */]);
    };
    SpotsCategoryPage.prototype.stationPage = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_3__stationSpots_station_map_station_map__["a" /* StationMapPage */]);
    };
    SpotsCategoryPage.prototype.ionViewDidLoad = function () {
        console.log("ionViewDidLoad SpotsCategoryPage");
    };
    SpotsCategoryPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: "page-spots-category",template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\spots-category\spots-category.html"*/'<!--\n  Generated template for the SpotsCategoryPage page.\n\n  See http://ionicframework.com/docs/components/#navigation for more info on\n  Ionic pages and navigation.\n-->\n\n<ion-content>\n  <div class="spots">\n      <p></p>\n      <div (click)="loginPage()" class="item">退出到登录页</div>\n      <p></p>\n      <div (click)="numberPage()" class="item">数字化点位</div>\n      <p></p>\n      <div (click)="otherPage()" class="item">其他点位</div>\n      <p></p>\n      <div (click)="stationPage()" class="item">国控点</div>\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\spots-category\spots-category.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */]])
    ], SpotsCategoryPage);
    return SpotsCategoryPage;
}());

//# sourceMappingURL=spots-category.js.map

/***/ }),

/***/ 43:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ImgModalPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};


var ImgModalPage = (function () {
    function ImgModalPage(navParams, viewCtrl) {
        this.viewCtrl = viewCtrl;
        this.imgUrl = '';
        this.imgUrl = navParams.get('url');
    }
    ImgModalPage.prototype.ionViewDidLoad = function () {
    };
    ImgModalPage.prototype.dismiss = function () {
        this.viewCtrl.dismiss();
    };
    ImgModalPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-img-modal',template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\img-modal\img-modal.html"*/'\n<ion-header>\n  <div class="header">\n    <div class="top">\n      <ion-icon name="arrow-back" class="back" (click)="dismiss()"></ion-icon>\n    </div>\n  </div>\n</ion-header>\n\n\n<ion-content>\n  <div class="wrap">\n    <img [src]="imgUrl" />\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\img-modal\img-modal.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* ViewController */]])
    ], ImgModalPage);
    return ImgModalPage;
}());

//# sourceMappingURL=img-modal.js.map

/***/ }),

/***/ 44:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SuperviseHandPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__slide_menu_slide_menu__ = __webpack_require__(23);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_photo_viewer__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__hand_detail_hand_detail__ = __webpack_require__(75);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__supervise_simple_supervise_simple__ = __webpack_require__(56);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__login_login__ = __webpack_require__(55);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};











var SuperviseHandPage = (function () {
    function SuperviseHandPage(navCtrl, navParams, http, loadingCtrl, storage, alertCtrl, photoViewer) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.loadingCtrl = loadingCtrl;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.gaming = "";
        this.keyword = "";
        this.dataList = [];
        this.date = "";
        this.queryType = "unhandled";
        this.activeSlide = 0;
        this.departmentId = window.sessionStorage.getItem('departmentId');
        this.photoViewer = photoViewer;
    }
    SuperviseHandPage.prototype.showPhoto = function (url) {
        if (url)
            this.photoViewer.show(url);
    };
    SuperviseHandPage.prototype.ionViewDidLoad = function () {
        // this.initTime();
        this.getSupervises();
    };
    SuperviseHandPage.prototype.initTime = function () {
        this.date = this.formatPastDay(0);
    };
    SuperviseHandPage.prototype.getDate = function () {
        $("#date").mobiscroll().date({
            theme: "android-ics light",
            lang: 'zh',
            dateFormat: 'yy-mm-dd',
            dateOrder: 'yyyymmdd'
        });
    };
    SuperviseHandPage.prototype.formatPastDay = function (day) {
        var date = new Date(new Date(new Date().toLocaleDateString()).getTime() + 60 * 60 * 24 * day * 1000);
        var to = {
            'Y': date.getFullYear() < 9 ? '0' + date.getFullYear() : date.getFullYear(),
            'M': date.getMonth() + 1 < 9 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1,
            'D': date.getDate() < 9 ? '0' + date.getDate() : date.getDate()
        };
        var time = to['Y'] + "-" + to['M'] + "-" + to['D'];
        return time;
    };
    SuperviseHandPage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    SuperviseHandPage.prototype.getSupervises = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    keyword: _this.keyword
                }
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                var partOfUrl = _this.queryType === 'unhandled' ? 'untreatedSupervises' : 'supervises';
                _this.http.get(config.serverUrl + '/v4/sy/alertSupervise/' + partOfUrl, options).subscribe(function (res) {
                    var result = res.json();
                    _this.loader.dismiss();
                    if (result.code == 0) {
                        _this.dataList = result.data;
                    }
                    else {
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    SuperviseHandPage.prototype.solve = function (item) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__hand_detail_hand_detail__["a" /* HandDetailPage */], {
            id: item.id,
            parentPage: this
        });
    };
    SuperviseHandPage.prototype.refresh = function () {
        this.getSupervises();
    };
    SuperviseHandPage.prototype.backIndex = function () {
        if (this.departmentId == '5') {
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_8__login_login__["a" /* LoginPage */]);
        }
        else {
            this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__slide_menu_slide_menu__["a" /* SlideMenuPage */]);
        }
    };
    SuperviseHandPage.prototype.dateChange = function () {
        // this.();
    };
    SuperviseHandPage.prototype.query = function (queryType) {
        this.queryType = queryType;
        this.getSupervises();
    };
    SuperviseHandPage.prototype.toDetail = function (id, name) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_7__supervise_simple_supervise_simple__["a" /* SuperviseSimplePage */], {
            id: id,
            name: name,
            queryType: this.queryType
        });
    };
    SuperviseHandPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-supervise-hand',template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\supervise-hand\supervise-hand.html"*/'<ion-header>\n  <div class="header">\n    <div class="top">\n      <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n      <span class="name">整改</span>\n    </div>\n    <div class="segment">\n      <div class="item" [ngClass]="{\'select\':queryType === \'unhandled\'}" (click)="query(\'unhandled\')">未处理</div>\n      <div class="item" [ngClass]="{\'select\':queryType === \'all\'}" (click)="query(\'all\')">全部</div>\n    </div>\n    <div class="searchs">\n      <ion-input placeholder="搜索" style="width: 100%;" [(ngModel)]="keyword"></ion-input>\n      <div class="searchBtn"  (click)="getSupervises()" >\n        <img src="assets/imgs/search.png"/>\n      </div>\n    </div>\n  </div>\n</ion-header>\n\n<ion-content class="outer-content" style="background: #fff">\n  <div class="body">\n    <div *ngIf="dataList.length">\n      <div *ngFor="let item of dataList">\n        <div class="wrap">\n          <table class="table">\n            <tr (click)="toDetail(item.id,item.shortName)">\n              <td style="width: 80px;text-align: center">\n                <ion-icon class="iconF" name="ios-albums-outline"></ion-icon>\n              </td>\n              <td>\n                <div>\n                  <p><span>事件名称:</span>{{item.shortName }}</p>\n                  <p><span>事件类型:</span>{{item.monitorAreaTypeName }}</p>\n                  <p><span>发生时间:</span>{{item.createTime| date: "yyyy-MM-dd HH:mm:ss" }}</p>\n                </div>\n              </td>\n              <td>\n                {{item.stateName}}\n              </td>\n            </tr>\n          </table>\n        </div>\n      </div>\n    </div>\n    <div class="noData" *ngIf="!dataList.length">\n      暂无数据\n    </div>\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\supervise-hand\supervise-hand.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_3__angular_http__["b" /* Http */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */], __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */], __WEBPACK_IMPORTED_MODULE_5__ionic_native_photo_viewer__["a" /* PhotoViewer */]])
    ], SuperviseHandPage);
    return SuperviseHandPage;
}());

//# sourceMappingURL=supervise-hand.js.map

/***/ }),

/***/ 53:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (immutable) */ __webpack_exports__["a"] = dateformat;
/**
 * Created by admin on 2017/4/18.
 */
function dateformat(date, fmt) {
    var o = {
        'M+': new Date(date).getMonth() + 1,
        'd+': new Date(date).getDate(),
        'h+': new Date(date).getHours(),
        'm+': new Date(date).getMinutes(),
        's+': new Date(date).getSeconds(),
        'q+': Math.floor((new Date(date).getMonth() + 3) / 3),
        'S': new Date(date).getMilliseconds() //毫秒
    };
    if (/(y+)/.test(fmt)) {
        fmt = fmt.replace(RegExp.$1, (new Date(date).getFullYear() + '').substr(4 - RegExp.$1.length));
    }
    for (var k in o) {
        if (new RegExp('(' + k + ')').test(fmt)) {
            fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (('00' + o[k]).substr(('' + o[k]).length)));
        }
    }
    return fmt;
}
//# sourceMappingURL=dateformat.js.map

/***/ }),

/***/ 54:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MapViewPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__ = __webpack_require__(12);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var MapViewPage = (function () {
    function MapViewPage(navCtrl, navParams, http, storage, alertCtrl, loadingCtrl, sanitizer) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.loadingCtrl = loadingCtrl;
        this.sanitizer = sanitizer;
        this.map = null;
        this.stationList = [];
        this.timeType = 0;
        this.timeList = [];
        this.stationDetail = {};
        this.districtId = 0;
        this.type = [1];
        this.name = "点位地图";
        this.type = navParams.get('type');
        this.districtId = navParams.get('districtId');
        this.name = navParams.get('name');
    }
    MapViewPage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    MapViewPage.prototype.backIndex = function () {
        this.navCtrl.pop();
    };
    MapViewPage.prototype.timeSearch = function (timeType) {
        this.timeType = timeType;
        this.getData();
    };
    MapViewPage.prototype.getTime = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.get(config.serverUrl + '/v4/extRealTime', options).subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.timeList = result.data;
                        _this.timeType = result.data[0].timeType;
                        _this.getData();
                    }
                    else {
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    MapViewPage.prototype.initMap = function () {
        this.map = new AMap.Map(this.mapContainer.nativeElement, {
            view: new AMap.View2D({
                zoom: 11,
                rotateEnable: true,
                showBuildingBlock: true
            })
        });
        this.map.setMapStyle("amap://styles/macaron");
        // this.map.setCity("沈阳市");
        this.getTime();
    };
    MapViewPage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    MapViewPage.prototype.getData = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            _this.presentLoading();
            _this.map.clearMap();
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    sensorType: "tsp",
                    sort: "desc",
                    monitorAreaType: _this.type,
                    districtId: _this.districtId,
                    timeType: _this.timeType,
                    versions: 1
                }
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.get(config.serverUrl + '/v4/sampleMonitorAnalyze/monitorStationRank', options).subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.loader.dismiss();
                        _this.stationList = result.data;
                        _this.setMarker();
                    }
                    else {
                        var alert_2 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_2.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    MapViewPage.prototype.setMarker = function () {
        var _this = this;
        var stationList = this.stationList;
        for (var i = 0; i < stationList.length; i++) {
            // let bgcolor = stationList[i].levelColor.split("#")[1];
            var bgcolor = stationList[i].levelColor;
            // let content =
            // 	"<div class='map_marker bgImg_" +
            // 	bgcolor +
            // 	"'>" +
            // 	stationList[i].value +
            // 	"</div>";
            var content = "<div class='map_marker_circle' style='background: " + bgcolor + "'></div>";
            var marker = new AMap.Marker({
                map: this.map,
                position: [stationList[i].longitude, stationList[i].latitude],
                content: content
            });
            // 点位点击获取详情
            marker.extData = {
                potData: stationList[i]
            };
            marker.on("click", function (e) {
                var potData = e.target.extData.potData;
                _this.stationDetail = potData;
                setTimeout(function () {
                    var content = document.getElementById("stationDetail").innerHTML;
                    var infoWindow = new AMap.InfoWindow({
                        offset: new AMap.Pixel(10, -33)
                    });
                    infoWindow.setContent(content);
                    infoWindow.open(_this.map, e.target.getPosition());
                }, 0);
            });
        }
        this.map.setFitView();
    };
    MapViewPage.prototype.ionViewDidEnter = function () {
        this.initMap();
    };
    __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["_8" /* ViewChild */])('map'),
        __metadata("design:type", __WEBPACK_IMPORTED_MODULE_0__angular_core__["t" /* ElementRef */])
    ], MapViewPage.prototype, "mapContainer", void 0);
    MapViewPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-map-view',template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\map-view\map-view.html"*/'<ion-header>\n\n    <div class="header">\n\n        <div class="top">\n\n            <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n\n            <span class="name">{{name}}</span>\n\n        </div>\n\n        <div class="segment">\n\n            <div class="item" *ngFor="let item of timeList" [ngClass]="{\'select\':item.timeType == timeType}" (click)="timeSearch(item.timeType)">{{item.timeTypeName}}</div>\n\n        </div>\n\n    </div>\n\n</ion-header>\n\n\n\n<ion-content>\n\n    <div #map class="map"></div>\n\n    <div id="stationDetail" style="display: none;">\n\n        <div class="dotDetaill">\n\n            <div class="title">\n\n                <span id="name">{{stationDetail.shortName}}</span>\n\n            </div>\n\n            <div class="detail">\n\n                <div class="el">\n\n                    <span>tsp</span>\n\n                    <span>(</span>\n\n                    <!-- [innerHTML]="assembleHTML(sensorType.unit)" -->\n\n                    <span>mg/m³</span>\n\n                    <span>)</span>\n\n                    <span>: </span>\n\n                    <span>{{stationDetail.value}}</span>\n\n                </div>\n\n            </div>\n\n        </div>\n\n    </div>\n\n</ion-content>\n\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\map-view\map-view.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__angular_http__["b" /* Http */], __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */], __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__["c" /* DomSanitizer */]])
    ], MapViewPage);
    return MapViewPage;
}());

//# sourceMappingURL=map-view.js.map

/***/ }),

/***/ 55:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return LoginPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__spots_category_spots_category__ = __webpack_require__(42);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__numericalSpots_supervise_hand_supervise_hand__ = __webpack_require__(44);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__config__ = __webpack_require__(320);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



// import { SlideMenuPage } from "../numericalSpots/slide-menu/slide-menu";





var LoginPage = (function () {
    function LoginPage(navCtrl, navParams, http, storage, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.area = "shenyang";
        this.remmenber = true;
        this.storage.set("configApp", JSON.stringify(Object(__WEBPACK_IMPORTED_MODULE_6__config__["a" /* default */])(this.area)));
    }
    LoginPage.prototype.ionViewDidLoad = function () {
        var _this = this;
        this.storage.get("rmbPassWord").then(function (rmbPass) {
            if (rmbPass) {
                _this.storage.get("username").then(function (user) {
                    if (user) {
                        _this.username = user;
                    }
                });
                _this.storage.get("password").then(function (pass) {
                    if (pass) {
                        _this.password = pass;
                    }
                });
            }
            else {
                _this.username = "";
                _this.password = "";
            }
        });
    };
    LoginPage.prototype.logIn = function () {
        var _this = this;
        this.storage.get("configApp").then(function (val) {
            var config = JSON.parse(val);
            // console.log("username", this.username);
            _this.http
                .get(config.serverUrl + "/v4/authentications", {
                params: {
                    username: _this.username,
                    password: _this.password
                }
            })
                .subscribe(function (res) {
                var result = res.json();
                if (result.code == 0) {
                    var remmenber = _this.remmenber;
                    _this.storage.set("rmbPassWord", remmenber);
                    if (remmenber) {
                        _this.storage.set("username", _this.username);
                        _this.storage.set("password", _this.password);
                    }
                    else {
                        _this.storage.set("username", "");
                        _this.storage.set("password", "");
                    }
                    console.log("departmentId=", result.data.departmentId);
                    window.sessionStorage.setItem("departmentId", result.data.departmentId);
                    window.sessionStorage.setItem("roleId", result.data.roleId);
                    _this.storage.set("authentication", result.data.token);
                    if (result.data.departmentId == 5) {
                        setTimeout(function () {
                            _this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__numericalSpots_supervise_hand_supervise_hand__["a" /* SuperviseHandPage */]);
                        }, 100);
                        return;
                    }
                    setTimeout(function () {
                        _this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_3__spots_category_spots_category__["a" /* SpotsCategoryPage */]);
                    }, 100);
                }
                else {
                    var alert_1 = _this.alertCtrl.create({
                        subTitle: result.message,
                        buttons: ["OK"]
                    });
                    alert_1.present();
                }
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    LoginPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: "page-login",template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\login\login.html"*/'<ion-content>\n  <img\n    src="assets/imgs/login/back_sy.png"\n    class="back"\n    *ngIf="area == \'shenyang\'"\n  />\n  <img\n    src="assets/imgs/login/back_xd.png"\n    class="back"\n    *ngIf="area == \'xindu\'"\n  />\n  <div class="form">\n    <div class="item">\n      <img src="assets/imgs/login/zhanghao.png" class="zhanghao" />\n      <input\n        type="text"\n        placeholder="请输入账号"\n        id="username"\n        [(ngModel)]="username"\n      />\n    </div>\n    <div class="item">\n      <img src="assets/imgs/login/password.png" class="password" />\n      <input\n        type="password"\n        placeholder="请输入密码"\n        id="password"\n        [(ngModel)]="password"\n      />\n    </div>\n    <div class="item" style="text-align: left;">\n      <input\n        type="checkbox"\n        class="checkbox"\n        value="true"\n        [(ngModel)]="remmenber"\n      />\n      <span>记住密码</span>\n    </div>\n    <img src="assets/imgs/login/button.png" class="button" (click)="logIn()" />\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\login\login.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["b" /* AlertController */]])
    ], LoginPage);
    return LoginPage;
}());

//# sourceMappingURL=login.js.map

/***/ }),

/***/ 56:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SuperviseSimplePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_photo_viewer__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__hand_detail_hand_detail__ = __webpack_require__(75);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__supervise_solve_supervise_solve__ = __webpack_require__(148);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__supervise_hand_supervise_hand__ = __webpack_require__(44);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var SuperviseSimplePage = (function () {
    function SuperviseSimplePage(navCtrl, navParams, photoViewer, http, loadingCtrl, storage, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.loadingCtrl = loadingCtrl;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.date = "";
        this.queryType = "";
        this.departmentList = [];
        this.gaming = "";
        this.departmentId = window.sessionStorage.getItem('departmentId');
        this.id = '';
        this.dataInfo = {};
        this.isVideo = false;
        this.photoViewer = photoViewer;
        this.id = navParams.get("id");
        this.eventName = navParams.get("name");
        this.queryType = navParams.get('queryType');
        this.roleId = Number(window.sessionStorage.getItem("roleId"));
    }
    SuperviseSimplePage.prototype.ionViewDidLoad = function () {
        this.isOrVideo();
        this.initDepartments();
        this.getData();
    };
    SuperviseSimplePage.prototype.backIndex = function () {
        this.navCtrl.pop();
    };
    SuperviseSimplePage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    SuperviseSimplePage.prototype.isOrVideo = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    type: '推送'
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/sy/alertSupervise/button", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.isVideo = result.data.show;
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    SuperviseSimplePage.prototype.showPhoto = function (url) {
        if (url)
            this.photoViewer.show(url);
    };
    SuperviseSimplePage.prototype.getData = function () {
        var _this = this;
        // 网络请求
        this.storage.get("authentication").then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    id: _this.id
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl +
                    "/v4/sy/alertSupervise/incidentForOne", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.loader.dismiss();
                        _this.dataInfo = result.data;
                        console.log(_this.dataInfo);
                    }
                    else {
                        _this.loader.dismiss();
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                _this.loader.dismiss();
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            _this.loader.dismiss();
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    //table
    SuperviseSimplePage.prototype.initDepartments = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.get(config.serverUrl + '/v4/sy/alertSupervise/departments', options).subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.departmentList = result.data;
                        if (_this.departmentList.length > 0) {
                            _this.gaming = _this.departmentList[0].id;
                        }
                        else {
                            _this.gaming = '';
                        }
                    }
                    else {
                        var alert_2 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_2.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    SuperviseSimplePage.prototype.handOut = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    id: _this.id,
                    suggestTo: _this.gaming
                }
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.post(config.serverUrl + '/v4/sy/alertSupervise/save/superviseByOperations', {}, options).subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        var alert_3 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: [{
                                    text: '已下派',
                                    handler: function (data) {
                                        _this.getDetail();
                                    }
                                }]
                        });
                        alert_3.present();
                    }
                    else {
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    SuperviseSimplePage.prototype.getDetail = function () {
    };
    //整改 hand
    SuperviseSimplePage.prototype.solve = function (item) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__hand_detail_hand_detail__["a" /* HandDetailPage */], {
            id: item.id,
            parentPage: this
        });
    };
    //task(办结/)
    SuperviseSimplePage.prototype.solved = function (item) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__supervise_solve_supervise_solve__["a" /* SuperviseSolvePage */], {
            id: item.id,
            alertId: item.alertId,
            parentPage: this,
            titleName: "办结",
            type: 3
        });
    };
    SuperviseSimplePage.prototype.reBack = function (item) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__supervise_solve_supervise_solve__["a" /* SuperviseSolvePage */], {
            id: item.id,
            alertId: item.alertId,
            parentPage: this,
            titleName: "退件",
            type: 2
        });
    };
    SuperviseSimplePage.prototype.toSend = function (item) {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers,
            });
            var params = {
                type: 0,
                id: item.id,
                suggestTo: _this.gaming
            };
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .post(config.serverUrl +
                    "/v4/sy/alertSupervise/" +
                    item.id +
                    "/supervises", params, options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        var alert_4 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_4.present();
                        _this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_7__supervise_hand_supervise_hand__["a" /* SuperviseHandPage */]);
                    }
                    else {
                        var alert_5 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_5.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    SuperviseSimplePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-supervise-simple',template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\supervise-simple\supervise-simple.html"*/'<ion-header>\n  <div class="header">\n    <div class="top">\n      <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n      <span class="name">{{eventName}}</span>\n    </div>\n  </div>\n</ion-header>\n\n\n<ion-content>\n  <div class="body">\n    <div >\n      <div class="singleItem">\n        <table class="supers">\n          <tr>\n            <td>点位名称：</td><td>{{dataInfo.shortName}}</td>\n          </tr>\n          <tr>\n            <td>所在区域：</td><td>{{dataInfo.districtName}}</td>\n          </tr>\n          <tr>\n            <td>行业类型：</td><td>{{dataInfo.monitorAreaTypeName}}</td>\n          </tr>\n          <tr>\n            <td>事件信息：</td>\n            <td>\n              <h6 [ngStyle]="{ color: dataInfo.color }">\n                <span>描述：</span>{{ dataInfo.alertTypeName }}\n              </h6>\n              <p><span>时间：</span>{{ dataInfo.alertTime | date: "yyyy-MM-dd HH:mm:ss" }}</p>\n              <p><span>检查者：</span>{{ dataInfo.rummager }}</p>\n              <p\n                *ngIf="dataInfo.incidentPhotosUrl"\n              >\n                <span>图片：</span><img *ngFor="let urls of dataInfo.incidentPhotosUrl"\n                                     src="{{ urls }}"\n                                     (click)="showPhoto(urls)"/>\n              </p>\n            </td>\n          </tr>\n          <tr>\n            <td>整改信息：</td>\n            <td>\n              <h6>\n                <span>描述：</span>{{ dataInfo.rectificationMsg }}\n              </h6>\n              <p *ngIf="!dataInfo.rectificationTime">\n                <span>时间：</span>{{ dataInfo.rectificationTime | date: "yyyy-MM-dd HH:mm:ss" }}\n              </p>\n              <p\n                *ngIf="dataInfo.rectificationPhotosUrl"\n              >\n                <span>图片：</span><img *ngFor="let urls of dataInfo.rectificationPhotosUrl"\n                                     src="{{ urls }}"\n                                     (click)="showPhoto(urls)"/>\n              </p>\n            </td>\n          </tr>\n          <tr *ngIf="dataInfo.superviseTime">\n            <td>督办信息：</td>\n            <td>\n              <p><span>督办状态：</span>{{ dataInfo.suggest }}</p>\n              <p><span>反馈信息：</span>{{ dataInfo.result }}</p>\n              <p><span>反馈时间：</span>{{ dataInfo.handlingTime | date: "yyyy-MM-dd HH:mm:ss" }}</p>\n            </td>\n          </tr>\n        </table>\n        <ion-list class="chat-sliding-demo"\n                  style="margin: 1rem 4rem;"\n                  *ngIf="isVideo && departmentId == \'1\'">\n          <ion-row>\n            <ion-select [(ngModel)]="gaming" interface="popover" style="max-width: 100%;color: #4ebc63;" >\n              <ion-option *ngFor="let item of departmentList" value="{{item.id}}">推送：{{item.name}}</ion-option>\n            </ion-select>\n            <div class="btn" (click)="handOut()">推送</div>\n          </ion-row>\n        </ion-list>\n\n        <ion-list class="chat-sliding-demo"\n                  *ngIf="queryType != \'all\' && (departmentId == \'5\' || departmentId == \'7\')"\n                  style="width: 90%;text-align: center;"\n        >\n          <ion-row>\n            <ion-col>\n              <button ion-button icon-start clear small (click)="solve(dataInfo)">\n                <ion-icon name="create"></ion-icon>\n                <div>整改</div>\n              </button>\n            </ion-col>\n          </ion-row>\n        </ion-list>\n\n        <div class="chat-sliding-demo"\n             style="width: 90%;text-align: center"\n             *ngIf="queryType != \'all\' && departmentId != \'1\' && departmentId != \'5\'&& departmentId != \'7\'"\n        >\n          <ul class="lists">\n            <li>\n              <div (click)="solved(dataInfo)">\n                <ion-icon name="md-create" class="iocs" ></ion-icon>\n                <span>办结</span>\n              </div>\n            </li>\n            <li>\n              <div (click)="reBack(dataInfo)">\n                <ion-icon name="md-create" class="iocs"></ion-icon>\n                <span>退件</span>\n              </div>\n            </li>\n            <li *ngIf="isVideo">\n              <ion-select [(ngModel)]="gaming" interface="popover" style="display:inline-block;max-width: 80%;color: #488aff;vertical-align: middle" >\n                <ion-option *ngFor="let item of departmentList" value="{{item.id}}">{{item.name}}</ion-option>\n              </ion-select>\n              <div (click)="toSend(dataInfo)" class="sends" style="display: inline-block">转发</div>\n            </li>\n          </ul>\n        </div>\n      </div>\n    </div>\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\supervise-simple\supervise-simple.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_native_photo_viewer__["a" /* PhotoViewer */],
            __WEBPACK_IMPORTED_MODULE_3__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], SuperviseSimplePage);
    return SuperviseSimplePage;
}());

//# sourceMappingURL=supervise-simple.js.map

/***/ }),

/***/ 57:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OtherSpotsSuperviseSimplePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__otherspots_img_modal_otherspots_img_modal__ = __webpack_require__(39);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__otherspots_hand_detail_otherspots_hand_detail__ = __webpack_require__(160);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__otherspots_supervise_solve_otherspots_supervise_solve__ = __webpack_require__(161);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__otherspots_supervise_hand_otherspots_supervise_hand__ = __webpack_require__(58);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var OtherSpotsSuperviseSimplePage = (function () {
    function OtherSpotsSuperviseSimplePage(navCtrl, navParams, modalCtrl, http, loadingCtrl, storage, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.http = http;
        this.loadingCtrl = loadingCtrl;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.dataInfo = {};
        this.queryType = "";
        this.departmentId = window.sessionStorage.getItem('departmentId');
        this.gaming = "";
        this.departmentList = [];
        this.date = "";
        this.isVideo = false;
        this.id = navParams.get("id");
        this.eventName = navParams.get("name");
        this.queryType = navParams.get('queryType');
        this.roleId = Number(window.sessionStorage.getItem("roleId"));
    }
    OtherSpotsSuperviseSimplePage.prototype.ionViewDidLoad = function () {
        this.initDepartments();
        this.isOrVideo();
        this.getData();
    };
    OtherSpotsSuperviseSimplePage.prototype.backIndex = function () {
        this.navCtrl.pop();
    };
    OtherSpotsSuperviseSimplePage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    OtherSpotsSuperviseSimplePage.prototype.isOrVideo = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    type: '推送'
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/sy/alertSupervise/button", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.isVideo = result.data.show;
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    OtherSpotsSuperviseSimplePage.prototype.openModal = function (url) {
        var modal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_4__otherspots_img_modal_otherspots_img_modal__["a" /* OtherspotsImgModalPage */], { 'url': url });
        modal.onDidDismiss(function () {
        });
        modal.present();
    };
    OtherSpotsSuperviseSimplePage.prototype.getData = function () {
        var _this = this;
        // 网络请求
        this.storage.get("authentication").then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    id: _this.id
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl +
                    "/v4/sy/alertSupervise/incidentForOne", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.loader.dismiss();
                        _this.dataInfo = result.data;
                        console.log(_this.dataInfo);
                    }
                    else {
                        _this.loader.dismiss();
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                _this.loader.dismiss();
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            _this.loader.dismiss();
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    //table
    OtherSpotsSuperviseSimplePage.prototype.initDepartments = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/sy/alertSupervise/departments", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.departmentList = result.data;
                        if (_this.departmentList.length > 0) {
                            _this.gaming = _this.departmentList[0].id;
                        }
                        else {
                            _this.gaming = "";
                        }
                    }
                    else {
                        var alert_2 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_2.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    OtherSpotsSuperviseSimplePage.prototype.handOut = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    id: _this.id,
                    suggestTo: _this.gaming
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .post(config.serverUrl +
                    "/v4/sy/alertSupervise/save/superviseByOperations", {}, options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        var alert_3 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: [
                                {
                                    text: "已下派",
                                    handler: function (data) {
                                        _this.getData();
                                    }
                                }
                            ]
                        });
                        alert_3.present();
                    }
                    else {
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    //整改 hand
    OtherSpotsSuperviseSimplePage.prototype.solve = function (item) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__otherspots_hand_detail_otherspots_hand_detail__["a" /* OtherspotsHandDetailPage */], {
            id: item.id,
            parentPage: this
        });
    };
    //办结退件
    OtherSpotsSuperviseSimplePage.prototype.solved = function (item) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__otherspots_supervise_solve_otherspots_supervise_solve__["a" /* OtherspotsSuperviseSolvePage */], {
            id: item.id,
            alertId: item.alertId,
            parentPage: this,
            titleName: "办结",
            type: 3
        });
    };
    OtherSpotsSuperviseSimplePage.prototype.reBack = function (item) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__otherspots_supervise_solve_otherspots_supervise_solve__["a" /* OtherspotsSuperviseSolvePage */], {
            id: item.id,
            alertId: item.alertId,
            parentPage: this,
            titleName: "退件",
            type: 2
        });
    };
    OtherSpotsSuperviseSimplePage.prototype.toSend = function (item) {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            var params = {
                type: 0,
                id: item.id,
                suggestTo: _this.gaming
            };
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .post(config.serverUrl +
                    "/v4/sy/alertSupervise/" +
                    item.id +
                    "/supervises", params, options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        var alert_4 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_4.present();
                        _this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_7__otherspots_supervise_hand_otherspots_supervise_hand__["a" /* OtherspotsSuperviseHandPage */]);
                    }
                    else {
                        var alert_5 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_5.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    OtherSpotsSuperviseSimplePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-other-spots-supervise-simple',template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\other-spots-supervise-simple\other-spots-supervise-simple.html"*/'<ion-header>\n  <div class="header">\n    <div class="top">\n      <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n      <span class="name">{{eventName}}</span>\n    </div>\n  </div>\n</ion-header>\n\n<ion-content style="background: #f0f0f0;">\n  <div class="body">\n    <div>\n      <div class="wrap">\n        <table class="supers">\n          <tr>\n            <td>点位名称：</td>\n            <td>{{ dataInfo.shortName }}</td>\n          </tr>\n          <tr>\n            <td>所在区域：</td>\n            <td>{{ dataInfo.districtName }}</td>\n          </tr>\n          <tr>\n            <td>行业类型：</td>\n            <td>{{ dataInfo.monitorAreaTypeName }}</td>\n          </tr>\n          <tr>\n            <td>事件信息：</td>\n            <td>\n              <h6 [ngStyle]="{ color: dataInfo.color }">\n                <span>描述：</span>{{ dataInfo.alertTypeName }}\n              </h6>\n              <p><span>时间：</span>{{ dataInfo.alertTime | date: "yyyy-MM-dd HH:mm:ss" }}</p>\n              <p><span>检查者：</span>{{ dataInfo.rummager }}</p>\n              <p\n                *ngIf="dataInfo.incidentPhotosUrl"\n              >\n                <span>图片：</span><img *ngFor="let urls of dataInfo.incidentPhotosUrl"\n                                     src="{{ urls }}"\n                                     (click)="openModal(urls)"/>\n              </p>\n            </td>\n          </tr>\n          <tr>\n            <td>整改信息：</td>\n            <td>\n              <h6>\n                <span>描述：</span>{{ dataInfo.rectificationMsg }}\n              </h6>\n              <p *ngIf="!dataInfo.rectificationTime">\n                <span>时间：</span>{{ dataInfo.rectificationTime | date: "yyyy-MM-dd HH:mm:ss" }}\n              </p>\n              <p\n                *ngIf="dataInfo.rectificationPhotosUrl"\n              >\n                <span>图片：</span><img *ngFor="let urls of dataInfo.rectificationPhotosUrl"\n                                     src="{{ urls }}"\n                                     (click)="openModal(urls)" />\n              </p>\n            </td>\n          </tr>\n          <tr *ngIf="dataInfo.superviseTime">\n            <td>督办信息：</td>\n            <td>\n              <p><span>督办状态：</span>{{ dataInfo.suggest }}</p>\n              <p><span>反馈信息：</span>{{ dataInfo.result }}</p>\n              <p><span>反馈时间：</span>{{ dataInfo.handlingTime | date: "yyyy-MM-dd HH:mm:ss" }}</p>\n            </td>\n          </tr>\n        </table>\n\n        <ion-list class="chat-sliding-demo"\n                  style="margin: 1rem 4rem;"\n                  *ngIf="isVideo && departmentId == \'1\'">\n          <ion-row >\n            <ion-select [(ngModel)]="gaming" interface="popover" style="max-width: 100%;color: #4ebc63;" >\n              <ion-option *ngFor="let item of departmentList" value="{{item.id}}">推送：{{item.name}}</ion-option>\n            </ion-select>\n            <div class="btn" (click)="handOut()">推送</div>\n          </ion-row>\n        </ion-list>\n\n        <ion-list class="chat-sliding-demo"\n                  *ngIf="queryType != \'all\' && (departmentId == \'5\' || departmentId == \'7\')"\n                  style="width: 90%;text-align: center;"\n        >\n          <ion-row>\n            <ion-col>\n              <button ion-button icon-start clear small (click)="solve(item)">\n                <ion-icon name="create"></ion-icon>\n                <div>整改</div>\n              </button>\n            </ion-col>\n          </ion-row>\n        </ion-list>\n\n\n        <div\n          class="chat-sliding-demo"\n          style="width: 90%;text-align: center"\n          *ngIf="queryType != \'all\' && (departmentId != \'1\' &&departmentId != \'5\' && departmentId != \'7\')"\n        >\n          <ul class="lists">\n            <li>\n              <div (click)="solved(dataInfo)">\n                <ion-icon name="md-create" class="iocs"></ion-icon>\n                <span>办结</span>\n              </div>\n            </li>\n            <li>\n              <div (click)="reBack(dataInfo)">\n                <ion-icon name="md-create" class="iocs"></ion-icon>\n                <span>退件</span>\n              </div>\n            </li>\n            <li *ngIf="isVideo">\n              <ion-select\n                [(ngModel)]="gaming"\n                interface="popover"\n                style="max-width: 80%;color: #488aff;vertical-align: middle"\n              >\n                <ion-option\n                  *ngFor="let item of departmentList"\n                  value="{{ item.id }}"\n                >{{ item.name }}</ion-option\n                >\n              </ion-select>\n              <div\n                (click)="toSend(dataInfo)"\n                class="sends"\n                style="display: inline-block"\n              >\n                转发\n              </div>\n            </li>\n          </ul>\n        </div>\n      </div>\n    </div>\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\other-spots-supervise-simple\other-spots-supervise-simple.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], OtherSpotsSuperviseSimplePage);
    return OtherSpotsSuperviseSimplePage;
}());

//# sourceMappingURL=other-spots-supervise-simple.js.map

/***/ }),

/***/ 58:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OtherspotsSuperviseHandPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__otherspots_index_otherspots_index__ = __webpack_require__(18);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_photo_viewer__ = __webpack_require__(16);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__other_spots_supervise_simple_other_spots_supervise_simple__ = __webpack_require__(57);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









var OtherspotsSuperviseHandPage = (function () {
    function OtherspotsSuperviseHandPage(navCtrl, navParams, http, loadingCtrl, storage, alertCtrl, photoViewer) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.loadingCtrl = loadingCtrl;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.gaming = "";
        this.dataList = [];
        this.date = "";
        this.keyword = "";
        this.queryType = "unhandled";
        this.activeSlide = 0;
        this.photoViewer = photoViewer;
    }
    OtherspotsSuperviseHandPage.prototype.showPhoto = function (url) {
        if (url)
            this.photoViewer.show(url);
    };
    OtherspotsSuperviseHandPage.prototype.ionViewDidLoad = function () {
        this.initTime();
        this.getSupervises();
    };
    OtherspotsSuperviseHandPage.prototype.initTime = function () {
        this.date = this.formatPastDay(0);
    };
    OtherspotsSuperviseHandPage.prototype.getDate = function () {
        $("#date")
            .mobiscroll()
            .date({
            theme: "android-ics light",
            lang: "zh",
            dateFormat: "yy-mm-dd",
            dateOrder: "yyyymmdd"
        });
    };
    OtherspotsSuperviseHandPage.prototype.formatPastDay = function (day) {
        var date = new Date(new Date(new Date().toLocaleDateString()).getTime() +
            60 * 60 * 24 * day * 1000);
        var to = {
            Y: date.getFullYear() < 9 ? "0" + date.getFullYear() : date.getFullYear(),
            M: date.getMonth() + 1 < 9
                ? "0" + (date.getMonth() + 1)
                : date.getMonth() + 1,
            D: date.getDate() < 9 ? "0" + date.getDate() : date.getDate()
        };
        var time = to["Y"] + "-" + to["M"] + "-" + to["D"];
        return time;
    };
    OtherspotsSuperviseHandPage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    OtherspotsSuperviseHandPage.prototype.getSupervises = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    keyword: _this.keyword
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                var partOfUrl = _this.queryType === "unhandled"
                    ? "untreatedSupervises"
                    : "supervises";
                _this.http
                    .get(config.serverUrl + "/v4/sy/alertSupervise/" + partOfUrl, options)
                    .subscribe(function (res) {
                    var result = res.json();
                    _this.loader.dismiss();
                    if (result.code == 0) {
                        _this.dataList = result.data;
                    }
                    else {
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    OtherspotsSuperviseHandPage.prototype.toPage = function (id, name) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__other_spots_supervise_simple_other_spots_supervise_simple__["a" /* OtherSpotsSuperviseSimplePage */], {
            id: id,
            name: name,
            queryType: this.queryType
        });
    };
    OtherspotsSuperviseHandPage.prototype.refresh = function () {
        this.getSupervises();
    };
    OtherspotsSuperviseHandPage.prototype.backIndex = function () {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_4__otherspots_index_otherspots_index__["a" /* OtherspotsIndexPage */]);
    };
    OtherspotsSuperviseHandPage.prototype.query = function (queryType) {
        this.queryType = queryType;
        this.getSupervises();
    };
    OtherspotsSuperviseHandPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: "page-otherspots-supervise-hand",template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-supervise-hand\otherspots-supervise-hand.html"*/'<ion-header>\n  <div class="header">\n    <div class="top">\n      <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n      <span class="name">整改</span>\n    </div>\n    <div class="segment">\n      <div class="item" [ngClass]="{\'select\':queryType === \'unhandled\'}" (click)="query(\'unhandled\')">未处理</div>\n      <div class="item" [ngClass]="{\'select\':queryType === \'all\'}" (click)="query(\'all\')">全部</div>\n    </div>\n    <div class="searchs">\n      <ion-input placeholder="搜索" style="width: 100%;" [(ngModel)]="keyword"></ion-input>\n      <div class="searchBtn"  (click)="getSupervises()" >\n        <img src="assets/imgs/search.png"/>\n      </div>\n    </div>\n  </div>\n</ion-header>\n\n<ion-content class="outer-content" style="background: #fff">\n  <div class="body">\n    <div *ngIf="dataList.length">\n      <div *ngFor="let item of dataList">\n        <div class="wrap">\n          <table class="table">\n            <tr (click)="toPage(item.id,item.shortName)">\n              <td style="width: 80px;text-align: center">\n                <ion-icon class="iconF" name="ios-albums-outline"></ion-icon>\n              </td>\n              <td>\n                <div>\n                  <p><span>事件名称:</span>{{item.shortName }}</p>\n                  <p><span>事件类型:</span>{{item.monitorAreaTypeName }}</p>\n                  <p><span>发生时间:</span>{{item.createTime | date: "yyyy-MM-dd HH:mm:ss" }}</p>\n                </div>\n              </td>\n              <td>\n                {{item.stateName}}\n              </td>\n            </tr>\n          </table>\n        </div>\n      </div>\n    </div>\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-supervise-hand\otherspots-supervise-hand.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_3__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_photo_viewer__["a" /* PhotoViewer */]])
    ], OtherspotsSuperviseHandPage);
    return OtherspotsSuperviseHandPage;
}());

//# sourceMappingURL=otherspots-supervise-hand.js.map

/***/ }),

/***/ 69:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ManagePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__second_map_second_map__ = __webpack_require__(138);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__second_dot_type_second_dot_type__ = __webpack_require__(139);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__warning_warning__ = __webpack_require__(140);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__mine_mine__ = __webpack_require__(145);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__supervise_task_supervise_task__ = __webpack_require__(147);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__supervise_table_supervise_table__ = __webpack_require__(149);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__supervise_hand_supervise_hand__ = __webpack_require__(44);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};



// import { DotsViewPage } from '../dots-view/dots-view'






var ManagePage = (function () {
    function ManagePage(navCtrl, navParams) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.showTask = 'false';
        this.showTable = 'false';
        this.showHand = 'false';
        this.mapView = __WEBPACK_IMPORTED_MODULE_2__second_map_second_map__["a" /* SecondMapPage */];
        this.warningPage = __WEBPACK_IMPORTED_MODULE_4__warning_warning__["a" /* WarningPage */];
        this.minePage = __WEBPACK_IMPORTED_MODULE_5__mine_mine__["a" /* MinePage */];
        this.SecondDotTypePage = __WEBPACK_IMPORTED_MODULE_3__second_dot_type_second_dot_type__["a" /* SecondDotTypePage */];
        this.superviseTaskPage = __WEBPACK_IMPORTED_MODULE_6__supervise_task_supervise_task__["a" /* SuperviseTaskPage */];
        this.superviseTablePage = __WEBPACK_IMPORTED_MODULE_7__supervise_table_supervise_table__["a" /* SuperviseTablePage */];
        this.superviseHandPage = __WEBPACK_IMPORTED_MODULE_8__supervise_hand_supervise_hand__["a" /* SuperviseHandPage */];
        this.typeParam = '';
        var type = navParams.get("type");
        this.typeParam = type;
    }
    ManagePage.prototype.ionViewDidLoad = function () {
        this.departmentId = Number(window.sessionStorage.getItem('departmentId'));
        switch (this.departmentId) {
            case 1:
                this.showTask = 'false';
                this.showTable = 'true';
                this.showHand = 'false';
                break;
            case 7:
                this.showTask = 'false';
                this.showTable = 'false';
                this.showHand = 'true';
                break;
            case 5:
                this.showTask = 'false';
                this.showTable = 'false';
                this.showHand = 'true';
                break;
            default:
                this.showTask = 'true';
                this.showTable = 'false';
                this.showHand = 'false';
                break;
        }
    };
    ManagePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-manage',template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\manage\manage.html"*/'<ion-tabs>\n  <ion-tab [root]="mapView" [rootParams]="typeParam" tabTitle="地图" tabIcon="mapImg"></ion-tab>\n  <ion-tab [root]="SecondDotTypePage" [rootParams]="typeParam" tabTitle="点位" tabIcon="stationImg"></ion-tab>\n  <ion-tab [root]="warningPage" [rootParams]="typeParam" tabTitle="报警" tabIcon="warnImg"></ion-tab>\n  <ion-tab [root]="superviseTaskPage" [show]=\'showTask\' tabTitle="督办" tabIcon="monitorImg"></ion-tab>\n  <ion-tab [root]="superviseTablePage" [show]=\'showTable\' tabTitle="督办" tabIcon="monitorImg"></ion-tab>\n  <ion-tab [root]="superviseHandPage" [show]=\'showHand\' tabTitle="整改" tabIcon="monitorImg"></ion-tab>\n  <ion-tab [root]="minePage" tabTitle="我" tabIcon="reportImg"></ion-tab>\n</ion-tabs>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\manage\manage.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */]])
    ], ManagePage);
    return ManagePage;
}());

//# sourceMappingURL=manage.js.map

/***/ }),

/***/ 70:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SecondDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__dateformat__ = __webpack_require__(53);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var SecondDetailPage = (function () {
    function SecondDetailPage(navCtrl, navParams, http, storage, alertCtrl, loadingCtrl, sanitizer) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.loadingCtrl = loadingCtrl;
        this.sanitizer = sanitizer;
        this.stationDetail = {};
        this.type = "realtime";
        this.historyList = [];
        this.page = 0;
        this.pageSize = 20;
        this.beginTime = "";
        this.endTime = "";
        this.importantSensors = [];
        this.sensors = [];
        this.sensorType = {};
        this.periodList = [];
        this.timeType = 3;
        this.hasVideo = false;
        this.videoData = {};
        this.selectOptions = {
            title: "时间段"
        };
        this.timeList = [];
        this.dataList = [
            {
                sensor: "TSP",
                unit: "mg/m3"
            }
        ];
        this.nameList = [];
        this.valueList = [];
        this.sensorList = [];
        this.pmStationValue = [];
        this.typeValue = "tsp";
        this.isVideo = false;
        this.monitorId = navParams.get("monitorId");
        this.monitorName = navParams.get("monitorName");
        this.navParamsData = navParams.get("navParamsData");
        this.getSensors();
    }
    SecondDetailPage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    SecondDetailPage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    SecondDetailPage.prototype.isOrVideo = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    type: '视频'
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/sy/alertSupervise/button", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.isVideo = result.data.show;
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    SecondDetailPage.prototype.setChart = function (str) {
        var ctx = document.getElementById(str);
        this.chart = echarts.init(ctx);
        this.chart.resize();
        this.chart.setOption({
            grid: {
                x: 20,
                y: 30,
                x2: 20,
                y2: 0,
                containLabel: true
            },
            legend: {
                show: false,
                data: [
                    {
                        name: "点位数值",
                        icon: "triangle",
                        textStyle: {
                            color: "#fff"
                        }
                    },
                    {
                        name: "全市均值",
                        icon: "diamond",
                        textStyle: {
                            color: "#fff"
                        }
                    }
                ]
            },
            tooltip: {
                show: false,
                trigger: "axis",
                position: function (point) {
                    return [point[0], "10%"];
                },
                axisPointer: {
                    type: "shadow"
                }
            },
            xAxis: [
                {
                    type: "category",
                    data: this.nameList,
                    boundaryGap: false,
                    show: false,
                    axisLabel: {
                        interval: 0
                    },
                    axisTick: {
                        show: false
                    },
                    axisLine: {
                        onZero: false,
                        lineStyle: {
                            color: "#fff"
                        }
                    },
                    splitLine: {
                        show: false
                    },
                    nameTextStyle: {
                        color: "#fff"
                    }
                }
            ],
            // dataZoom: [
            //     {
            //         type: 'inside',
            //         throttle:'0',
            //         minValueSpan:4,
            //         filterMode: 'none',
            //         start: 0,
            //         realtime : true,
            //         end: 100 / (this.valueList.length / 5)
            //     }
            // ],
            yAxis: [
                {
                    type: "value",
                    axisLabel: {
                        interval: 0
                    },
                    show: false,
                    axisTick: {
                        show: true
                    },
                    axisLine: {
                        onZero: true,
                        lineStyle: {
                            color: "#fff"
                        }
                    },
                    splitLine: {
                        show: true
                    },
                    nameTextStyle: {
                        color: "#fff"
                    }
                }
            ],
            series: [
                {
                    name: "点位数值",
                    type: "line",
                    color: "#0ad5f3",
                    itemStyle: {
                        shadowColor: "#61ff62",
                        shadowOffsetY: -3,
                        normal: {
                            label: {
                                show: true,
                                position: "top",
                                textStyle: {
                                    color: "#fff"
                                }
                            }
                        }
                    },
                    markPoint: {
                        show: true
                    },
                    data: this.valueList
                },
                {
                    name: "全市均值",
                    type: "line",
                    color: "#42abba",
                    itemStyle: {
                        shadowColor: "#85e217",
                        shadowOffsetY: -3,
                        normal: {
                            label: {
                                show: false,
                                position: "top",
                                textStyle: {
                                    color: "#fff"
                                }
                            }
                        }
                    },
                    markPoint: {
                        show: true
                    },
                    data: this.pmStationValue
                }
            ]
        });
    };
    SecondDetailPage.prototype.getType = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/extRealTime", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.timeList = result.data;
                        // this.timeType = result.data[0].timeType;
                    }
                    else {
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    SecondDetailPage.prototype.timeSearch = function (timeType) {
        this.timeType = timeType;
        this.getStationHistory();
    };
    SecondDetailPage.prototype.changeType = function () {
        this.getStationHistory();
    };
    SecondDetailPage.prototype.getInitType = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var params = {
                monitorStationId: _this.monitorId
            };
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: params
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl +
                    "/v4/" +
                    _this.monitorId +
                    "/importantSensorsThreeSy", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.sensorList = result.data;
                        for (var i = 0; i < result.data.length; i++) {
                            if (result.data[i].primary) {
                                if (result.data[i].name == "tsp") {
                                    _this.getStationHistory();
                                }
                                else {
                                    _this.typeValue = result.data[i].name;
                                }
                            }
                        }
                    }
                    else {
                        var alert_2 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_2.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    // 获取历史数据
    SecondDetailPage.prototype.getStationHistory = function () {
        var _this = this;
        var beginTime = $("#beginTime").val();
        if (!$("#beginTime").val()) {
            beginTime = this.beginTime;
        }
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            var params = {};
            if (_this.type == "realtime") {
                params = {
                    sensorType: _this.typeValue,
                    monitorStationId: _this.monitorId,
                    timeType: _this.timeType
                };
            }
            else {
                params = {
                    sensorType: _this.typeValue,
                    beginTime: beginTime + " 00:00:00",
                    monitorStationId: _this.monitorId,
                    timeType: _this.timeType
                };
            }
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: params
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl +
                    "/v4/sampleMonitorAnalyze/singleMonitorStationAndContrast", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        // this.loader.dismiss();
                        _this.nameList = [];
                        _this.valueList = [];
                        _this.historyList = result.data;
                        for (var i = 0; i < result.data.length; i++) {
                            result.data[i].time = Object(__WEBPACK_IMPORTED_MODULE_5__dateformat__["a" /* default */])(result.data[i].time, "yyyy-MM-dd hh:mm:ss");
                            _this.nameList.unshift(result.data[i].time);
                            _this.valueList.unshift(result.data[i].value);
                            _this.pmStationValue.unshift(result.data[i].pmStationValue);
                            if (i == result.data.length - 1) {
                                $("#linechart").css("width", result.data.length * 38 + "px");
                                _this.setChart("linechart");
                                $("#chartDiv").scrollLeft($("#chartDiv")[0].scrollWidth);
                            }
                        }
                    }
                    else {
                        var alert_3 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_3.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    // 获取时间段
    SecondDetailPage.prototype.getTimeTypes = function () {
        var _this = this;
        // 网络请求
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/timeTypes", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.periodList = result.data;
                        _this.timeType = result.data[0].timeType;
                    }
                    else {
                        var alert_4 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_4.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    SecondDetailPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        setTimeout(function () {
            _this.page = _this.page + 1;
            _this.getStationHistory();
            infiniteScroll.complete();
        }, 500);
    };
    // 获取视频id
    SecondDetailPage.prototype.getCameraId = function () {
        var _this = this;
        // 网络请求
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/camerasList/" + _this.monitorId, options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        if (result.data) {
                            _this.hasVideo = true;
                            _this.videoData = result.data;
                        }
                        else {
                            _this.hasVideo = false;
                        }
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    // 播放视频
    SecondDetailPage.prototype.showVideo = function () {
        this.type = "realtime";
        this.getSensors();
        cordova.plugins.HikvisionPlugin.coolMethod(this.videoData);
    };
    SecondDetailPage.prototype.getSensors = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl +
                    "/v4/monitorStation/" +
                    _this.monitorId +
                    "/sensors", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.sensors = result.data;
                        _this.getStationHistory();
                    }
                    else {
                        var alert_5 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_5.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    SecondDetailPage.prototype.getImportantSensors = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl +
                    "/v4/" +
                    _this.monitorId +
                    "/importantSensors", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.importantSensors = result.data;
                        _this.sensorType = result.data[0];
                    }
                    else {
                        var alert_6 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_6.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    SecondDetailPage.prototype.backList = function () {
        this.navCtrl.pop();
    };
    SecondDetailPage.prototype.search = function () {
        this.historyList = [];
        this.getStationHistory();
    };
    SecondDetailPage.prototype.getBeginTime = function () {
        var this_ = this;
        $("#beginTime")
            .mobiscroll()
            .date({
            theme: "android-ics light",
            lang: "zh",
            dateFormat: "yy-mm-dd",
            dateOrder: "yyyymmdd",
            onSelect: function (valueText, inst) {
                this_.search();
            }
        });
    };
    SecondDetailPage.prototype.getEndTime = function () {
        $("#endTime")
            .mobiscroll()
            .date({
            theme: "android-ics light",
            lang: "zh",
            dateFormat: "yy-mm-dd",
            dateOrder: "yyyymmdd"
        });
    };
    SecondDetailPage.prototype.initTime = function () {
        var beginTime = this.formatPastDay(-1);
        var endTime = this.formatPastDay(0);
        this.beginTime = beginTime;
        this.endTime = endTime;
    };
    SecondDetailPage.prototype.curtype = function (type) {
        this.type = type;
        switch (type) {
            case "realtime":
                this.getSensors();
                this.getInitType();
                break;
            case "history":
                this.getImportantSensors();
                this.getInitType();
                break;
        }
    };
    SecondDetailPage.prototype.formatPastDay = function (day) {
        var date = new Date(new Date(new Date().toLocaleDateString()).getTime() +
            60 * 60 * 24 * day * 1000);
        var to = {
            Y: date.getFullYear() < 9 ? "0" + date.getFullYear() : date.getFullYear(),
            M: date.getMonth() + 1 < 9
                ? "0" + (date.getMonth() + 1)
                : date.getMonth() + 1,
            D: date.getDate() < 9 ? "0" + date.getDate() : date.getDate()
        };
        var time = to["Y"] + "-" + to["M"] + "-" + to["D"];
        return time;
    };
    SecondDetailPage.prototype.getTime = function (n) {
        var date = new Date(n);
        var y = date.getFullYear();
        var m = date.getMonth() + 1 > 9
            ? date.getMonth() + 1
            : "0" + (date.getMonth() + 1);
        var d = date.getDate() + 1 > 9 ? date.getDate() : "0" + date.getDate();
        var h = date.getHours() > 9 ? date.getHours() : "0" + date.getHours();
        var f = date.getMinutes() > 9 ? date.getMinutes() : "0" + date.getMinutes();
        var s = date.getSeconds() > 9 ? date.getSeconds() : "0" + date.getSeconds();
        return y + "-" + m + "-" + d + " " + h + ":" + f + ":" + s;
    };
    SecondDetailPage.prototype.curmonitor = function (item) {
        this.sensorType = item;
    };
    SecondDetailPage.prototype.ionViewDidEnter = function () {
        this.initTime();
        this.isOrVideo();
        this.getType();
        this.getTimeTypes();
        this.getCameraId();
        this.curtype("realtime");
    };
    SecondDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: "page-second-detail",template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\second-detail\second-detail.html"*/'<ion-header>\n    <div class="header">\n        <div class="back" (click)="backList()">返回</div>\n        <div class="nav">{{monitorName}}</div>\n        <div class="video" (click)="showVideo()" *ngIf="isVideo">视频</div>\n        <div class="segment">\n            <div class="item" *ngFor="let item of timeList" [ngClass]="{\'select\':item.timeType == timeType}" (click)="timeSearch(item.timeType)">{{item.timeTypeName}}</div>\n        </div>\n    </div>\n</ion-header>\n\n<ion-content>\n    <div class="content">\n        <div class="segment">\n          <div (click)="curtype(\'realtime\')" [ngClass]="{\'selected\':type == \'realtime\' }">实时数据</div>\n          <div (click)="curtype(\'history\')" [ngClass]="{\'selected\':type == \'history\' }">历史数据</div>\n        </div>\n        <!--<div class="detail">-->\n            <div class="history">\n\n                <div class="time" *ngIf="type == \'history\'" style="padding-top: 20px;">\n                  <div class="item">\n                    <input id="beginTime" [(ngModel)]="beginTime" placeholder="开始时间" (focus)="getBeginTime()" readonly="readonly" />\n                    <img src="assets/imgs/rili.png" class="rili" />\n                  </div>\n                  <div class="item">\n                    <!--<img src="assets/imgs/search.png" class="btn" (click)="" />-->\n                  </div>\n                </div>\n                <div class="legend">\n                    <span class="dot" style="background: #0ad5f3;"></span>\n                    <span>点位数值</span>\n                    <span class="dot" style="background: #42abba;margin-left: 2rem;"></span>\n                    <span>全市均值</span>\n                </div>\n                <div class="chartDiv" id="chartDiv">\n                    <div class="chart" id="linechart" #linechart></div>\n                </div>\n                <div class="table">\n                    <div class="pix">\n                        <span *ngIf="typeValue == \'tsp\'">数值单位: mg/m³</span>\n                        <span *ngIf="typeValue != \'tsp\'">数值单位: μg/m³</span>\n                    </div>\n                    <table class="data">\n                        <thead>\n                            <tr>\n                                <th>排名</th>\n                                <th>监测时间</th>\n                                <th>\n                                    <ion-select class="iselect" [(ngModel)]="typeValue" interface="popover" (ionChange)=\'changeType()\'>\n                                      <ion-option *ngFor="let item of sensorList" value="{{item.name}}">{{item.ename}}</ion-option>\n                                    </ion-select>\n                                </th>\n                            </tr>\n                        </thead>\n                        <tbody *ngIf="historyList.length">\n                            <tr *ngFor="let item of historyList">\n                                <td>{{item.rank}}</td>\n                                <td>{{item.time}}</td>\n                                <td>\n                                    <span class="value" [ngStyle]="{\'background\':item.levelColor }">{{item.value}}</span>\n                                </td>\n                            </tr>\n                        </tbody>\n                        <tbody *ngIf="!dataList.length">\n                            <tr>\n                                <td colspan="4">暂无数据！</td>\n                            </tr>\n                        </tbody>\n                    </table>\n                </div>\n            </div>\n            <!-- <div class="history" style="text-align: center;" *ngIf="type == \'history\' && !importantSensors.length">\n                暂无数据！\n            </div> -->\n        <!--</div>-->\n    </div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\second-detail\second-detail.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__["c" /* DomSanitizer */]])
    ], SecondDetailPage);
    return SecondDetailPage;
}());

//# sourceMappingURL=second-detail.js.map

/***/ }),

/***/ 71:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SecondDotInfoPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_http__ = __webpack_require__(4);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var SecondDotInfoPage = (function () {
    function SecondDotInfoPage(navCtrl, alertCtrl, navParams, storage, http) {
        this.navCtrl = navCtrl;
        this.alertCtrl = alertCtrl;
        this.navParams = navParams;
        this.storage = storage;
        this.http = http;
        this.page = 0;
        this.datas = {};
        this.monitorId = navParams.get('monitorId');
        this.monitorName = navParams.get('monitorName');
        this.getDetail();
    }
    SecondDotInfoPage.prototype.getDetail = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.get(config.serverUrl + '/v4//monitorStationDetail/' + _this.monitorId, options).subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.datas = result.data;
                        _this.monitorName = result.data.name;
                    }
                    else {
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    SecondDotInfoPage.prototype.backList = function () {
        this.navCtrl.pop();
    };
    SecondDotInfoPage.prototype.getStationHistory = function () {
    };
    SecondDotInfoPage.prototype.doInfinite = function (infiniteScroll) {
        var _this = this;
        setTimeout(function () {
            _this.page = _this.page + 1;
            _this.getStationHistory();
            infiniteScroll.complete();
        }, 500);
    };
    SecondDotInfoPage.prototype.ionViewDidLoad = function () {
        console.log('ionViewDidLoad SecondDotInfoPage');
    };
    SecondDotInfoPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-second-dot-info',template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\second-dot-info\second-dot-info.html"*/'\n\n<ion-header>\n\n\n\n  <div class="header">\n\n    <div class="back" (click)="backList()">返回</div>\n\n    <div class="nav">{{monitorName}}</div>\n\n  </div>\n\n\n\n</ion-header>\n\n\n\n\n\n<ion-content padding>\n\n  <div class="content">\n\n    <div class="dataTable">\n\n      <table>\n\n        <tbody>\n\n        <tr>\n\n          <td>所在区：</td><td>{{datas.districtName}}</td>\n\n        </tr>\n\n        <tr>\n\n          <td>所在行业：</td><td>{{datas.monitorAreaTypeName}}</td>\n\n        </tr>\n\n        <tr>\n\n          <td>地址：</td><td>{{datas.address}}</td>\n\n        </tr>\n\n        <tr>\n\n          <td>联系人：</td><td>{{datas.contact}}</td>\n\n        </tr>\n\n        <tr>\n\n          <td>电话：</td><td>{{datas.contactNumber}}</td>\n\n        </tr>\n\n        </tbody>\n\n      </table>\n\n      <div *ngIf="datas == \'{}\'">暂无数据！</div>\n\n      <ion-infinite-scroll (ionInfinite)="doInfinite($event)">\n\n        <ion-infinite-scroll-content loadingText="正在加载数据...">\n\n        </ion-infinite-scroll-content>\n\n      </ion-infinite-scroll>\n\n    </div>\n\n  </div>\n\n</ion-content>\n\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\second-dot-info\second-dot-info.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */], __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */], __WEBPACK_IMPORTED_MODULE_3__angular_http__["b" /* Http */]])
    ], SecondDotInfoPage);
    return SecondDotInfoPage;
}());

//# sourceMappingURL=second-dot-info.js.map

/***/ }),

/***/ 72:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return DotsViewPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__ = __webpack_require__(12);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__second_detail_second_detail__ = __webpack_require__(70);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__second_dot_info_second_dot_info__ = __webpack_require__(71);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_in_app_browser__ = __webpack_require__(37);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_app_availability__ = __webpack_require__(38);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};











var DotsViewPage = (function () {
    function DotsViewPage(platform, iab, appAvailability, navCtrl, navParams, http, storage, alertCtrl, loadingCtrl, sanitizer) {
        this.platform = platform;
        this.iab = iab;
        this.appAvailability = appAvailability;
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.http = http;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.loadingCtrl = loadingCtrl;
        this.sanitizer = sanitizer;
        this.stationList = [];
        this.districtName = "";
        this.districtId = "";
        this.importantSensors = [];
        this.sensors = [];
        this.selected = "-1";
        this.keys = "";
        this.selectOptions = {
            title: "行业类型"
        };
        this.hasAmap = false;
        this.hasBmap = false;
        this.showMapChoose = false;
        this.destinationName = "";
        this.latBD9 = "";
        this.lonBD9 = "";
        this.latGCJ2 = "";
        this.lonGCJ2 = "";
        this.monitorAreaTypeIds = [];
        this.initIds = [];
        this.initIds = navParams.get("initIds");
        this.districtName = navParams.get("districtName");
        this.districtId = navParams.get("districtId");
        this.monitorAreaTypeIds = navParams.get("monitorId");
        this.keys = navParams.get("keys");
        console.log("monitorAreaTypeIds", this.monitorAreaTypeIds);
    }
    DotsViewPage.prototype.assembleHTML = function (strHTML) {
        return this.sanitizer.bypassSecurityTrustHtml(strHTML);
    };
    DotsViewPage.prototype.singleSpot = function (item) {
        var _this = this;
        var selectModul = this.alertCtrl.create({
            subTitle: item.monitorStationName,
            buttons: [
                {
                    text: "查看",
                    handler: function (data) {
                        _this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_6__second_dot_info_second_dot_info__["a" /* SecondDotInfoPage */], {
                            monitorId: item.monitorStationId,
                            monitorName: item.monitorStationName
                        });
                    }
                },
                {
                    text: "导航",
                    handler: function (data) {
                        _this.getDestinationLonAndLat(item.monitorStationId);
                        _this.openMap();
                    }
                },
                {
                    text: "数据",
                    handler: function (data) {
                        _this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_5__second_detail_second_detail__["a" /* SecondDetailPage */], {
                            monitorId: item.monitorStationId,
                            monitorName: item.monitorStationName
                        });
                    }
                }
            ]
        });
        selectModul.present();
    };
    DotsViewPage.prototype.openMap = function () {
        var _this = this;
        var appAmap = "";
        var appBmap = "";
        if (this.platform.is("ios")) {
            appAmap = "iosamap://";
            appBmap = "baidumap://";
        }
        else if (this.platform.is("android")) {
            appAmap = "com.autonavi.minimap";
            appBmap = "com.baidu.BaiduMap";
        }
        this.appAvailability.check(appAmap).then(function (yes) {
            _this.hasAmap = true;
        }, function (no) {
            _this.hasAmap = false;
        });
        this.appAvailability.check(appBmap).then(function (yes) {
            _this.hasBmap = true;
        }, function (no) {
            _this.hasBmap = false;
        });
        this.showMapChoose = true;
        // this.appAvailability.check(appAmap)
        // .then(
        // 	(yes: boolean) => {
        // 		// this.iab.create(urlAmap, '_system',{});
        // 		hasAmap = true;
        // 	},
        // 	(no: boolean) => {
        // 		/* 未安装，请编写提示代码或跳转下载 */
        // 		// const alert = this.alertCtrl.create({
        // 		//   subTitle: "不存在高德地图，快去下载~",
        // 		//   buttons: ['OK']
        // 		// });
        // 		// alert.present();
        // 		this.appAvailability.check(appBmap)
        // 		.then(
        // 			(yes: boolean) => {
        // 				this.iab.create(urlBmap, '_system',{});
        // 			},
        // 			(no: boolean) => {
        // 				window.open(" http://api.map.baidu.com/direction?origin=latlng:34.264642646862,108.95108518068|name:当前位置&destination=latlng:39.9761,116.3282|name:钓点位置&mode=driving&region=西安&output=html&src=yourCompanyName|yourAppName");
        // 			}
        // 		);
        // 	}
        // );
    };
    DotsViewPage.prototype.openByAmap = function () {
        if (this.platform.is("ios")) {
            var urlAmap = "iosamap://viewMap?sourceApplication=applicationName&poiname=" +
                this.destinationName +
                "&lat=" +
                this.latGCJ2 +
                "&lon=" +
                this.lonGCJ2 +
                "&dev=1";
            this.iab.create(urlAmap, "_system", {});
        }
        else if (this.platform.is("android")) {
            var urlAmap = "androidamap://viewMap?sourceApplication=appname&poiname=" +
                this.destinationName +
                "&lat=" +
                this.latGCJ2 +
                "&lon=" +
                this.lonGCJ2 +
                "&dev=0";
            this.iab.create(urlAmap, "_system", {});
        }
    };
    DotsViewPage.prototype.openByBmap = function () {
        if (this.platform.is("ios")) {
            var urlBmap = '"baidumap://map/marker?location=' +
                this.latBD9 +
                "," +
                this.lonBD9 +
                "&title=" +
                this.destinationName +
                "&src=ios.baidu.openAPIdemo";
            this.iab.create(urlBmap, "_system", {});
        }
        else if (this.platform.is("android")) {
            var urlBmap = "baidumap://map/marker?location=" +
                this.latBD9 +
                "," +
                this.lonBD9 +
                "&title=" +
                this.destinationName +
                "&traffic=on&src=andr.baidu.openAPIdemo";
            this.iab.create(urlBmap, "_system", {});
        }
    };
    DotsViewPage.prototype.getDestinationLonAndLat = function (id) {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    monitorStationId: id
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/destinationLonAndLat", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        var data = result.data;
                        _this.destinationName = data.destinationName;
                        _this.latBD9 = data.latBD9;
                        _this.lonBD9 = data.lonBD9;
                        _this.latGCJ2 = data.latGCJ2;
                        _this.lonGCJ2 = data.lonGCJ2;
                    }
                });
            });
        });
    };
    DotsViewPage.prototype.hideMapChoose = function () {
        this.showMapChoose = false;
    };
    DotsViewPage.prototype.backIndex = function () {
        this.navCtrl.pop();
    };
    DotsViewPage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    DotsViewPage.prototype.changeSelect = function () {
        this.getData();
    };
    DotsViewPage.prototype.getData = function () {
        var _this = this;
        // 网络请求
        this.storage.get("authentication").then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            // 3bbea5ff-415e-4a95-b33c-f65d8a586690
            headers.append("authentication", val);
            var options;
            if (_this.selected == "-1") {
                _this.monitorAreaTypeIds = _this.initIds;
            }
            else {
                _this.monitorAreaTypeIds = [_this.selected];
            }
            if (_this.keys) {
                options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                    headers: headers,
                    params: {
                        monitorAreaTypeIds: _this.monitorAreaTypeIds,
                        districtId: _this.districtId,
                        keyword: _this.keys,
                        order: "desc",
                        sortBy: "id"
                    }
                });
            }
            else {
                options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                    headers: headers,
                    params: {
                        monitorAreaTypeIds: _this.monitorAreaTypeIds,
                        districtId: _this.districtId,
                        order: "desc",
                        sortBy: "id"
                    }
                });
            }
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/app/monitorStationSimples", options)
                    .subscribe(function (res) {
                    // this.http.get('http://192.168.1.33:8081/v4/monitorStations/realData', options).subscribe(res => {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.stationList = result.data.content;
                        _this.districtName = result.data.content.length
                            ? result.data.content[0].districtName
                            : "";
                        _this.loader.dismiss();
                    }
                    else {
                        _this.loader.dismiss();
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                _this.loader.dismiss();
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            _this.loader.dismiss();
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    DotsViewPage.prototype.getImportantMonitor = function () {
        var _this = this;
        this.storage.get("authentication").then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl + "/v4/monitorAreaTypes", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.sensors = result.data;
                        _this.getData();
                    }
                    else {
                        var alert_2 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_2.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    DotsViewPage.prototype.ionViewDidEnter = function () {
        this.getImportantMonitor();
    };
    DotsViewPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: "page-dots-view",template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\dots-view\dots-view.html"*/'<ion-header>\n  <div class="header">\n    <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n    <div class="nav">\n      <span class="name">{{districtName}}</span>\n    </div>\n    <div class="subTitle">\n      <div class="typeList">\n        <ion-select *ngIf="initIds.indexOf(1) == -1 && initIds.indexOf(5) == -1" [(ngModel)]="selected" (ionChange)="changeSelect()" style="vertical-align: middle;display: inline-block;max-width: none;" cancelText="取消" okText="确定" [selectOptions]="selectOptions">\n          <ion-option value="-1">全部</ion-option>\n          <ng-container *ngFor="let item of sensors">\n            <ion-option value="{{item.id}}" >{{item.name}}</ion-option>\n          </ng-container>\n        </ion-select>\n      </div>\n      <div class="stationName">\n        <ion-input placeholder="点位名或设备号查询" style="width: 90%" [(ngModel)]="keys"></ion-input>\n      </div>\n      <div class="btn">\n        <img src="assets/imgs/searchWhite.png" (click)="getData()" />\n      </div>\n    </div>\n  </div>\n</ion-header>\n\n<ion-content>\n  <div class="content" *ngIf="stationList.length">\n    <div class="main">\n      <div class="fixMask" *ngIf="showMapChoose">\n        <div class="maskbg" (click)="hideMapChoose()"></div>\n        <div class="items">\n          <div *ngIf="hasAmap" (click)="openByAmap()">高德地图</div>\n          <div *ngIf="!hasAmap">高德地图[未安装]</div>\n          <div *ngIf="hasBmap" (click)="openByBmap()">百度地图</div>\n          <div *ngIf="!hasBmap">百度地图[未安装]</div>\n        </div>\n      </div>\n      <div class="item" *ngFor="let item of stationList" (click)="singleSpot(item)">\n        <div class="upper">\n          <div class="name">\n            <div class="adress">{{item.monitorStationName}}</div>\n          </div>\n        </div>\n      </div>\n    </div>\n  </div>\n  <div class="recontent" *ngIf="!stationList.length">暂无数据</div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\dots-view\dots-view.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_7__ionic_native_in_app_browser__["a" /* InAppBrowser */],
            __WEBPACK_IMPORTED_MODULE_8__ionic_native_app_availability__["a" /* AppAvailability */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_4__angular_platform_browser__["c" /* DomSanitizer */]])
    ], DotsViewPage);
    return DotsViewPage;
}());

//# sourceMappingURL=dots-view.js.map

/***/ }),

/***/ 73:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return CaseProductPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_camera__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_image_picker__ = __webpack_require__(110);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_geolocation__ = __webpack_require__(111);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__img_modal_img_modal__ = __webpack_require__(43);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};








var CaseProductPage = (function () {
    function CaseProductPage(navCtrl, navParams, camera, storage, loadingCtrl, http, alertCtrl, geolocation, modalCtrl, imagePicker) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.camera = camera;
        this.storage = storage;
        this.loadingCtrl = loadingCtrl;
        this.http = http;
        this.alertCtrl = alertCtrl;
        this.geolocation = geolocation;
        this.modalCtrl = modalCtrl;
        this.imagePicker = imagePicker;
        this.incidentType = '';
        this.imgList = [];
        this.parentPage = navParams.get('parentPage');
        this.alertId = navParams.get('alertId') ? navParams.get('alertId') : null;
    }
    CaseProductPage.prototype.ionViewDidLoad = function () {
        // this.getDistrictList();
        this.getContentList();
        this.getSupervises();
        this.getDetail();
        this.departmentId = window.sessionStorage.getItem('departmentId');
    };
    CaseProductPage.prototype.backIndex = function () {
        // this.navCtrl.push(TabViewPage);
        this.parentPage.refresh();
        this.navCtrl.pop();
    };
    CaseProductPage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    CaseProductPage.prototype.getTime = function (str) {
        var date = new Date(str);
        var y = date.getFullYear();
        var m = date.getMonth() >= 10 ? (date.getMonth() + 1) : '0' + (date.getMonth() + 1);
        var d = date.getDate() >= 10 ? date.getDate() : '0' + date.getDate();
        var h = date.getHours() >= 10 ? date.getHours() : '0' + date.getHours();
        var min = date.getMinutes() >= 10 ? date.getMinutes() : '0' + date.getMinutes();
        var sec = date.getSeconds() >= 10 ? date.getSeconds() : '0' + date.getSeconds();
        return y + '-' + m + '-' + d + ' ' + h + ':' + min + ':' + sec;
    };
    CaseProductPage.prototype.getSupervises = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.get(config.serverUrl + '/v4/sy/alertSupervise/monitorAreaTypes', options).subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.typeList = result.data;
                        if (!_this.alertId) {
                            _this.incidentType = result.data[0].id;
                        }
                    }
                    else {
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    CaseProductPage.prototype.getDistrictList = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.get(config.serverUrl + '/v4/districts', options).subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.districtList = result.data;
                        _this.districtId = result.data[0].id;
                    }
                    else {
                        var alert_2 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_2.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    CaseProductPage.prototype.getContentList = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.get(config.serverUrl + '/v4/sy/alertSupervise/contents', options).subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.contentList = result.data;
                        _this.contentS = result.data[0].name;
                    }
                    else {
                        var alert_3 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_3.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    CaseProductPage.prototype.getDetail = function () {
        var _this = this;
        if (!this.alertId) {
            this.getLnglat();
            return;
        }
        this.storage.get('authentication').then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    alertId: _this.alertId
                }
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.get(config.serverUrl + '/v4/sy/alertSupervise/alertInfo', options).subscribe(function (res) {
                    var result = res.json();
                    _this.loader.dismiss();
                    if (result.code == 0) {
                        var datas = result.data;
                        for (var k in datas) {
                            _this[k] = datas[k];
                        }
                        console.log(_this.incidentType);
                    }
                    else {
                        var alert_4 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_4.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    CaseProductPage.prototype.submitInfo = function () {
        var _this = this;
        this.content = this.contentI ? this.contentI : this.contentS;
        this.photoBase64 = this.imgList.join(',');
        if (!this.monitorStationName
            || !this.districtId
            || !this.sketch
            || !this.longitude
            || !this.latitude
            || !this.rummager
            || !this.phone
            || !this.photoBase64) {
            this.warmAlert('请将输入框填写完整');
            return;
        }
        this.storage.get('authentication').then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var params = {
                'monitorStationName': _this.monitorStationName,
                'incidentType': _this.incidentType,
                'addr': _this.addr,
                'phone': _this.phone,
                'districtId': _this.districtId,
                'alertDesc': _this.alertDesc,
                'content': _this.content,
                'sketch': _this.sketch,
                'longitude': _this.longitude,
                'latitude': _this.latitude,
                'rummager': _this.rummager,
                'alertId': _this.alertId,
                'photoBase64': _this.photoBase64
            };
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.post(config.serverUrl + '/v4/sy/alertSupervise/incident', params, options).subscribe(function (res) {
                    var result = res.json();
                    _this.loader.dismiss();
                    if (result.code == 0) {
                        var alert_5 = _this.alertCtrl.create({
                            subTitle: '事件生成成功',
                            buttons: [{
                                    text: '确定',
                                    handler: function (data) {
                                        _this.backIndex();
                                    }
                                }]
                        });
                        alert_5.present();
                    }
                    else {
                        var alert_6 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_6.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    CaseProductPage.prototype.getCamera = function () {
        var _this = this;
        var options = {
            quality: 100,
            destinationType: this.camera.DestinationType.DATA_URL,
            encodingType: this.camera.EncodingType.JPEG,
            mediaType: this.camera.MediaType.PICTURE,
            saveToPhotoAlbum: true,
            sourceType: this.camera.PictureSourceType.CAMERA
        };
        this.camera.getPicture(options).then(function (imageData) {
            var image = new Image();
            image.src = 'data:image/jpeg;base64,' + imageData;
            var this_ = _this;
            image.onload = function () {
                var img64 = this_.compress(image, 800, 900, 0.7);
                this_.photoBase64 = img64.replace('data:image/jpeg;base64,', '');
                this_.uploadImg();
            };
        }, function (err) {
            // Handle error
        });
    };
    CaseProductPage.prototype.compress = function (img, width, height, ratio) {
        var canvas, ctx, img64;
        canvas = document.createElement('canvas');
        canvas.width = width;
        canvas.height = height;
        ctx = canvas.getContext("2d");
        ctx.drawImage(img, 0, 0, width, height);
        img64 = canvas.toDataURL("image/jpeg", ratio);
        return img64;
    };
    CaseProductPage.prototype.uploadImg = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var params = {
                'photoBase64': _this.photoBase64
            };
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.post(config.serverUrl + '/v4/sy/alertSupervise/photo', params, options).subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.imgList.push(result.data);
                    }
                    else {
                        var alert_7 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_7.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    CaseProductPage.prototype.openImg = function () {
        var _this = this;
        var options = {
            maximumImagesCount: 4,
            quality: 100
        };
        this.imagePicker.getPictures(options).then(function (results) {
            results.forEach(function (item) {
                console.log(item);
                var image = new Image();
                image.src = item;
                var this_ = _this;
                image.onload = function () {
                    var img64 = this_.compress(image, 800, 900, 0.7);
                    this_.photoBase64 = img64.replace('data:image/jpeg;base64,', '');
                    this_.uploadImg();
                };
            });
        }, function (err) { });
    };
    CaseProductPage.prototype.getLnglat = function () {
        var _this = this;
        this.geolocation.getCurrentPosition().then(function (resp) {
            console.log(resp.coords.latitude);
            _this.longitude = (resp.coords.longitude).toFixed(4);
            _this.latitude = (resp.coords.latitude).toFixed(4);
            var this_ = _this;
            AMap.service('AMap.Geocoder', function () {
                var geocoder = new AMap.Geocoder({
                    // city 指定进行编码查询的城市，支持传入城市名、adcode 和 citycode
                    city: '沈阳'
                });
                var lnglat = [resp.coords.longitude, resp.coords.latitude];
                geocoder.getAddress(lnglat, function (status, result) {
                    if (status === 'complete' && result.info === 'OK') {
                        this_.addr = result.regeocode.formattedAddress;
                        var starts = this_.addr.indexOf('市') + 1;
                        var ends = this_.addr.indexOf('区') + 1;
                        this_.districtId = this_.addr.slice(starts, ends);
                    }
                });
            });
        }).catch(function (error) {
            console.log('Error getting location', error);
        });
    };
    CaseProductPage.prototype.alarmNum = function (e) {
        if (!(/^1(3|4|5|6|7|8|9)\d{9}$/.test(this.phone))) {
            this.warmAlert("手机号码有误，请重填");
            this.phone = '';
            return false;
        }
    };
    CaseProductPage.prototype.warmAlert = function (str) {
        var alert = this.alertCtrl.create({
            subTitle: str,
            buttons: ['确定']
        });
        alert.present();
    };
    CaseProductPage.prototype.openModal = function (imgUrl) {
        var modal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_7__img_modal_img_modal__["a" /* ImgModalPage */], { 'url': imgUrl });
        modal.onDidDismiss(function () {
        });
        modal.present();
    };
    CaseProductPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-case-product',template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\case-product\case-product.html"*/'<ion-header>\n <div class="header">\n   <div class="top">\n     <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n     <span class="name">事件生成</span>\n   </div>\n </div>\n\n</ion-header>\n\n\n<ion-content style="padding-top: 70px">\n  <ul class="item-list">\n    <li class="items">\n      <span>事件类别：</span>\n      <ion-select class="iselect" [(ngModel)]="incidentType" style="max-width: 70%;padding: 5px;" interface="popover" >\n        <ion-option *ngFor="let item of typeList" value="{{item.id}}">{{item.name}}</ion-option>\n      </ion-select>\n    </li>\n    <li class="items">\n      <span>企业名称：</span>\n      <ion-input class="inword" placeholder="请填写企业名称" [(ngModel)]="monitorStationName"></ion-input>\n    </li>\n    <li class="items">\n      <span>所在区：</span>\n      <ion-input placeholder="请填区" class="inword" [(ngModel)]="districtId"></ion-input>\n    </li>\n    <li class="items">\n      <span>地址：</span>\n      <textarea class="inword texts" placeholder="请填写地址" [(ngModel)]="addr"></textarea>\n    </li>\n    <li class="items">\n      <span>经度：</span>\n      <ion-input placeholder="请填写经度" class="inword" [(ngModel)]="longitude"></ion-input>\n    </li>\n    <li class="items">\n      <span>纬度：</span>\n      <ion-input placeholder="请填写纬度" class="inword" [(ngModel)]="latitude"></ion-input>\n    </li>\n    <li class="items">\n      <span>事件描述：</span>\n      <textarea placeholder="请描述事件信息" class="inword texts" [(ngModel)]="sketch"></textarea>\n    </li>\n    <li class="items">\n      <span>上传图片：</span>\n      <div class="btns">\n        <button (click)="getCamera()">拍照</button>\n        <button (click)="openImg()" *ngIf="departmentId == 1">相册</button>\n        <br/>\n        <div *ngIf="imgList.length">\n          <img *ngFor="let item of imgList" [src]="item" (click)="openModal(item)"/>\n        </div>\n      </div>\n    </li>\n    <li class="items">\n      <span>姓名：</span>\n      <ion-input placeholder="请填写姓名" class="inword" [(ngModel)]="rummager"></ion-input>\n    </li>\n    <li class="items">\n      <span>联系电话：</span>\n      <ion-input class="inword" placeholder="请填写电话号码" [(ngModel)]="phone" (blur)="alarmNum($event)"></ion-input>\n    </li>\n<!--    <li class="items">-->\n<!--      <span>事件内容：</span>-->\n<!--      <ion-select class="iselect" [(ngModel)]="contentS" style="max-width: 60%;" interface="popover" >-->\n<!--        <ion-option *ngFor="let item of contentList" value="{{item.name}}">{{item.name}}</ion-option>-->\n<!--      </ion-select>-->\n<!--      <span></span>-->\n<!--      <ion-textarea placeholder="请填写事件内容" class="inword" [(ngModel)]="contentI"></ion-textarea>-->\n<!--    </li>-->\n    <li class="items">\n      <button class="btn" (click)="submitInfo()">提交</button>\n    </li>\n  </ul>\n\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\case-product\case-product.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_native_camera__["a" /* Camera */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_6__ionic_native_geolocation__["a" /* Geolocation */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_image_picker__["a" /* ImagePicker */]])
    ], CaseProductPage);
    return CaseProductPage;
}());

//# sourceMappingURL=case-product.js.map

/***/ }),

/***/ 74:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return SupervisePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_http__ = __webpack_require__(4);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var SupervisePage = (function () {
    function SupervisePage(navCtrl, actionSheetCtrl, toastCtrl, platform, loadingCtrl, storage, http, alertCtrl, navParams) {
        this.navCtrl = navCtrl;
        this.actionSheetCtrl = actionSheetCtrl;
        this.toastCtrl = toastCtrl;
        this.platform = platform;
        this.loadingCtrl = loadingCtrl;
        this.storage = storage;
        this.http = http;
        this.alertCtrl = alertCtrl;
        this.navParams = navParams;
        this.lastImage = null;
        this.alertId = "";
        this.gaming = 0;
        this.departmentList = [];
        this.superviseSolution = "";
        this.parentPage = navParams.get('parentPage');
        this.alertId = navParams.get('alertId');
    }
    SupervisePage.prototype.ionViewDidLoad = function () {
        this.initDepartments();
    };
    SupervisePage.prototype.initDepartments = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.get(config.serverUrl + '/v4/sy/alertSupervise/departments', options).subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.departmentList = result.data;
                        if (_this.departmentList.length > 0) {
                            _this.gaming = _this.departmentList[0].id;
                        }
                        else {
                            _this.gaming = 0;
                        }
                    }
                    else {
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    SupervisePage.prototype.backIndex = function () {
        this.parentPage.refresh(this.alertId);
        this.navCtrl.pop();
    };
    SupervisePage.prototype.submit = function () {
        var _this = this;
        this.storage.get('authentication').then(function (val) {
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    'departmentId': _this.gaming,
                    'message': _this.superviseSolution,
                    'type': _this.gaming == 0 ? 1 : 0
                }
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.post(config.serverUrl + '/v4/sy/alertSupervise/' + _this.alertId + '/supervises', {}, options).subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.backIndex();
                    }
                    else {
                        var alert_2 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_2.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    SupervisePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-supervise',template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\supervise\supervise.html"*/'<ion-header>\n\n  <div class="header">\n\n    <div class="top">\n\n      <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n\n      <span class="name">督办</span>\n\n    </div>\n\n  </div>\n\n</ion-header>\n\n\n\n<ion-content>\n\n  <div class="body">\n\n    <ion-list>\n\n      <ion-item>\n\n        <ion-label>督办办法：</ion-label>\n\n        <ion-select [(ngModel)]="gaming" interface="popover">\n\n          <ion-option value="0">办结</ion-option>\n\n          <ion-option *ngFor="let item of departmentList" value="{{item.id}}">推送给{{item.name}}</ion-option>\n\n        </ion-select>\n\n      </ion-item>\n\n      <ion-item *ngIf="gaming == 0">\n\n        <ion-textarea rows="10" placeholder="请输入办结记录" [(ngModel)]="superviseSolution"></ion-textarea>\n\n      </ion-item>\n\n    </ion-list>\n\n  </div>\n\n</ion-content>\n\n\n\n<ion-footer>\n\n  <div class="footer">\n\n    <ion-toolbar color="primary">\n\n      <ion-buttons class="footer-btns">\n\n        <button class="footer-btn" ion-button icon-left (click)="submit()">\n\n          <ion-icon name="cloud-upload"></ion-icon>提交\n\n        </button>\n\n      </ion-buttons>\n\n    </ion-toolbar>\n\n  </div>\n\n</ion-footer>'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\supervise\supervise.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* ActionSheetController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["m" /* ToastController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* Platform */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */], __WEBPACK_IMPORTED_MODULE_3__angular_http__["b" /* Http */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */]])
    ], SupervisePage);
    return SupervisePage;
}());

//# sourceMappingURL=supervise.js.map

/***/ }),

/***/ 75:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HandDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_camera__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__img_modal_img_modal__ = __webpack_require__(43);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var HandDetailPage = (function () {
    function HandDetailPage(navCtrl, navParams, camera, storage, loadingCtrl, http, modalCtrl, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.camera = camera;
        this.storage = storage;
        this.loadingCtrl = loadingCtrl;
        this.http = http;
        this.modalCtrl = modalCtrl;
        this.alertCtrl = alertCtrl;
        this.parentPage = navParams.get('parentPage');
        this.id = navParams.get('id');
    }
    HandDetailPage.prototype.ionViewDidLoad = function () {
    };
    HandDetailPage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    HandDetailPage.prototype.backIndex = function () {
        // this.navCtrl.push(TabViewPage);
        this.parentPage.refresh();
        this.navCtrl.pop();
    };
    HandDetailPage.prototype.submits = function () {
        var _this = this;
        if (!this.message
            || !this.name
            || !this.number
            || !this.photoBase64) {
            this.warmAlert();
            return;
        }
        this.storage.get('authentication').then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["a" /* Headers */]();
            headers.append('authentication', val);
            var params = {
                'id': _this.id,
                'message': _this.message,
                'name': _this.name,
                'number': _this.number,
                'photoBase64': _this.photoBase64
            };
            var options = new __WEBPACK_IMPORTED_MODULE_2__angular_http__["d" /* RequestOptions */]({
                headers: headers,
            });
            _this.storage.get('configApp').then(function (val) {
                var config = JSON.parse(val);
                _this.http.post(config.serverUrl + '/v4/sy/alertSupervise/' + _this.id + '/rectification', params, options).subscribe(function (res) {
                    var result = res.json();
                    _this.loader.dismiss();
                    if (result.code == 0) {
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: '提交成功',
                            buttons: [{
                                    text: '确定',
                                    handler: function (data) {
                                        _this.backIndex();
                                    }
                                }]
                        });
                        alert_1.present();
                    }
                    else {
                        var alert_2 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ['OK']
                        });
                        alert_2.present();
                    }
                });
            }, function (err) {
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ['OK']
                });
                alert.present();
            });
        }, function (err) {
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ['OK']
            });
            alert.present();
        });
    };
    HandDetailPage.prototype.warmAlert = function () {
        var alert = this.alertCtrl.create({
            subTitle: '请将输入框填写完整！',
            buttons: ['确定']
        });
        alert.present();
    };
    HandDetailPage.prototype.getCamera = function () {
        var _this = this;
        var options = {
            quality: 100,
            destinationType: this.camera.DestinationType.DATA_URL,
            encodingType: this.camera.EncodingType.JPEG,
            mediaType: this.camera.MediaType.PICTURE,
            sourceType: this.camera.PictureSourceType.CAMERA
        };
        this.camera.getPicture(options).then(function (imageData) {
            _this.imgUrl = 'data:image/jpeg;base64,' + imageData;
            _this.photoBase64 = imageData;
        }, function (err) {
            // Handle error
        });
    };
    HandDetailPage.prototype.showLarge = function () {
        var modalhand = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_5__img_modal_img_modal__["a" /* ImgModalPage */], { 'url': this.imgUrl });
        modalhand.onDidDismiss(function () {
        });
        modalhand.present();
    };
    HandDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-hand-detail',template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\hand-detail\hand-detail.html"*/'<ion-header>\n  <div class="header">\n    <div class="top">\n      <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n      <span class="name">事件整改</span>\n    </div>\n  </div>\n\n</ion-header>\n\n\n<ion-content>\n  <ul class="item-list">\n    <li class="items">\n      <span>整改描述：</span>\n      <ion-textarea placeholder="请填写整改描述" class="inword" [(ngModel)]="message"></ion-textarea>\n    </li>\n    <li class="items">\n      <span>上传图片：</span>\n      <div class="btns">\n        <button (click)="getCamera()">拍照</button>\n        <img *ngIf="imgUrl" [src]="imgUrl"  (click)="showLarge()"/>\n      </div>\n    </li>\n    <li class="items">\n      <span>整改责任人：</span>\n      <ion-input placeholder="请填写姓名" class="inword" [(ngModel)]="name"></ion-input>\n    </li>\n    <li class="items">\n      <span>联系方式：</span>\n      <ion-input placeholder="请填写电话号码" class="inword" [(ngModel)]="number"></ion-input>\n    </li>\n    <li class="items">\n      <button class="btn" (click)="submits()">提交</button>\n    </li>\n  </ul>\n\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\numericalSpots\hand-detail\hand-detail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_native_camera__["a" /* Camera */],
            __WEBPACK_IMPORTED_MODULE_3__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], HandDetailPage);
    return HandDetailPage;
}());

//# sourceMappingURL=hand-detail.js.map

/***/ }),

/***/ 76:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OtherspotsDotdetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__otherspots_dotsingle_otherspots_dotsingle__ = __webpack_require__(77);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__dateformat__ = __webpack_require__(53);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};






var OtherspotsDotdetailPage = (function () {
    function OtherspotsDotdetailPage(navCtrl, navParams, loadingCtrl, storage, http, alertCtrl) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.loadingCtrl = loadingCtrl;
        this.storage = storage;
        this.http = http;
        this.alertCtrl = alertCtrl;
        this.dataList = [];
        this.type = '';
        this.beginTime = '';
        this.endTime = '';
        this.districtId = navParams.get("districtId");
        this.type = navParams.get("type");
        this.beginTime = navParams.get("beginTime");
        this.endTime = navParams.get("endTime");
        this.districtName = navParams.get("districtName");
    }
    OtherspotsDotdetailPage.prototype.ionViewDidLoad = function () {
        this.getData();
    };
    OtherspotsDotdetailPage.prototype.backIndex = function () {
        this.navCtrl.pop();
    };
    OtherspotsDotdetailPage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    OtherspotsDotdetailPage.prototype.getData = function () {
        var _this = this;
        // 网络请求
        this.storage.get("authentication").then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    districtId: _this.districtId,
                    type: _this.type,
                    endTime: _this.endTime,
                    beginTime: _this.beginTime
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl +
                    "/v4/sy/alertSupervise/incidents/district", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.loader.dismiss();
                        _this.dataList = result.data;
                    }
                    else {
                        _this.loader.dismiss();
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                _this.loader.dismiss();
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            _this.loader.dismiss();
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    OtherspotsDotdetailPage.prototype.changeTime = function (str) {
        var times = Object(__WEBPACK_IMPORTED_MODULE_5__dateformat__["a" /* default */])(str, "yyyy-MM-dd hh:mm:ss");
        return times;
    };
    OtherspotsDotdetailPage.prototype.sendTo = function (districtId, name) {
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_2__otherspots_dotsingle_otherspots_dotsingle__["a" /* OtherspotsDotsinglePage */], {
            id: districtId,
            name: name
        });
    };
    OtherspotsDotdetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-otherspots-dotdetail',template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-dotdetail\otherspots-dotdetail.html"*/'<ion-header>\n  <div class="header">\n    <div class="top">\n      <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n      <span>{{districtName}}</span>\n    </div>\n  </div>\n</ion-header>\n\n<ion-content style="padding-top: 3rem">\n  <div class="table">\n    <table class="data">\n      <thead>\n      <tr>\n        <th>序号</th>\n        <th class="names">事件名称</th>\n        <th>类型</th>\n        <th class="names">发生时间</th>\n        <th>事件进展</th>\n      </tr>\n      </thead>\n      <tbody *ngIf="dataList.length > 0">\n      <tr *ngFor="let item of dataList" (click)="sendTo(item.id,item.name)">\n        <td>{{ item.rank }}</td>\n        <td>{{ item.name }}</td>\n        <td>{{ item.type }}</td>\n        <td>{{ changeTime(item.time)}}</td>\n        <td>{{ item.progress }}</td>\n      </tr>\n      </tbody>\n      <tbody *ngIf="dataList.length == 0">\n      <tr>\n        <td colspan="4">暂无数据！</td>\n      </tr>\n      </tbody>\n    </table>\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-dotdetail\otherspots-dotdetail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_3__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */]])
    ], OtherspotsDotdetailPage);
    return OtherspotsDotdetailPage;
}());

//# sourceMappingURL=otherspots-dotdetail.js.map

/***/ }),

/***/ 77:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OtherspotsDotsinglePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(1);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__otherspots_img_modal_otherspots_img_modal__ = __webpack_require__(39);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_http__ = __webpack_require__(4);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_storage__ = __webpack_require__(5);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_in_app_browser__ = __webpack_require__(37);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_app_availability__ = __webpack_require__(38);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};







var OtherspotsDotsinglePage = (function () {
    function OtherspotsDotsinglePage(navCtrl, navParams, modalCtrl, http, loadingCtrl, storage, alertCtrl, platform, iab, appAvailability) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.modalCtrl = modalCtrl;
        this.http = http;
        this.loadingCtrl = loadingCtrl;
        this.storage = storage;
        this.alertCtrl = alertCtrl;
        this.platform = platform;
        this.iab = iab;
        this.appAvailability = appAvailability;
        this.dataInfo = {};
        this.showMapChoose = false;
        this.hasAmap = false;
        this.hasBmap = false;
        this.latBD9 = "";
        this.lonBD9 = "";
        this.latGCJ2 = "";
        this.lonGCJ2 = "";
        this.destinationName = "";
        this.id = navParams.get("id");
        this.eventName = navParams.get("name");
    }
    OtherspotsDotsinglePage.prototype.ionViewDidLoad = function () {
        this.getData();
    };
    OtherspotsDotsinglePage.prototype.presentLoading = function () {
        this.loader = this.loadingCtrl.create({
            cssClass: "loadings"
        });
        this.loader.present();
    };
    OtherspotsDotsinglePage.prototype.getData = function () {
        var _this = this;
        // 网络请求
        this.storage.get("authentication").then(function (val) {
            _this.presentLoading();
            var headers = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["a" /* Headers */]();
            headers.append("authentication", val);
            var options = new __WEBPACK_IMPORTED_MODULE_3__angular_http__["d" /* RequestOptions */]({
                headers: headers,
                params: {
                    id: _this.id
                }
            });
            _this.storage.get("configApp").then(function (val) {
                var config = JSON.parse(val);
                _this.http
                    .get(config.serverUrl +
                    "/v4/sy/alertSupervise/incidentForOne", options)
                    .subscribe(function (res) {
                    var result = res.json();
                    if (result.code == 0) {
                        _this.loader.dismiss();
                        _this.dataInfo = result.data;
                        _this.latBD9 = result.data.latBD9;
                        _this.lonBD9 = result.data.lonBD9;
                        _this.latGCJ2 = result.data.latGCJ2;
                        _this.lonGCJ2 = result.data.lonGCJ2;
                    }
                    else {
                        _this.loader.dismiss();
                        var alert_1 = _this.alertCtrl.create({
                            subTitle: result.message,
                            buttons: ["OK"]
                        });
                        alert_1.present();
                    }
                });
            }, function (err) {
                _this.loader.dismiss();
                var alert = _this.alertCtrl.create({
                    subTitle: err,
                    buttons: ["OK"]
                });
                alert.present();
            });
        }, function (err) {
            _this.loader.dismiss();
            var alert = _this.alertCtrl.create({
                subTitle: err,
                buttons: ["OK"]
            });
            alert.present();
        });
    };
    OtherspotsDotsinglePage.prototype.backIndex = function () {
        this.navCtrl.pop();
    };
    OtherspotsDotsinglePage.prototype.getTime = function (str) {
        var date = new Date(str);
        var y = date.getFullYear();
        var m = date.getMonth() >= 10 ? date.getMonth() + 1 : "0" + (date.getMonth() + 1);
        var d = date.getDate() >= 10 ? date.getDate() : "0" + date.getDate();
        var h = date.getHours() >= 10 ? date.getHours() : "0" + date.getHours();
        var min = date.getMinutes() >= 10 ? date.getMinutes() : "0" + date.getMinutes();
        var sec = date.getSeconds() >= 10 ? date.getSeconds() : "0" + date.getSeconds();
        return y + "-" + m + "-" + d + " " + h + ":" + min + ":" + sec;
    };
    OtherspotsDotsinglePage.prototype.openModal = function (url) {
        var modal = this.modalCtrl.create(__WEBPACK_IMPORTED_MODULE_2__otherspots_img_modal_otherspots_img_modal__["a" /* OtherspotsImgModalPage */], { 'url': url });
        modal.onDidDismiss(function () {
        });
        modal.present();
    };
    OtherspotsDotsinglePage.prototype.openByAmap = function () {
        if (this.platform.is("ios")) {
            var urlAmap = "iosamap://viewMap?sourceApplication=applicationName&poiname=" +
                this.destinationName +
                "&lat=" +
                this.latGCJ2 +
                "&lon=" +
                this.lonGCJ2 +
                "&dev=1";
            this.iab.create(urlAmap, "_system", {});
        }
        else if (this.platform.is("android")) {
            var urlAmap = "androidamap://viewMap?sourceApplication=appname&poiname=" +
                this.destinationName +
                "&lat=" +
                this.latGCJ2 +
                "&lon=" +
                this.lonGCJ2 +
                "&dev=0";
            this.iab.create(urlAmap, "_system", {});
        }
    };
    OtherspotsDotsinglePage.prototype.openByBmap = function () {
        if (this.platform.is("ios")) {
            var urlBmap = "baidumap://map/marker?location=" +
                this.latBD9 +
                "," +
                this.lonBD9 +
                "&title=" +
                this.destinationName +
                "&content=" +
                this.destinationName +
                "&src=ios.baidu.openAPIdemo";
            this.iab.create(urlBmap, "_system", {});
        }
        else if (this.platform.is("android")) {
            var urlBmap = "baidumap://map/marker?location=" +
                this.latBD9 +
                "," +
                this.lonBD9 +
                "&title=" +
                this.destinationName +
                "&traffic=on&src=andr.baidu.openAPIdemo";
            this.iab.create(urlBmap, "_system", {});
        }
    };
    OtherspotsDotsinglePage.prototype.openMap = function () {
        var _this = this;
        var appAmap = "";
        var appBmap = "";
        if (this.platform.is("ios")) {
            appAmap = "iosamap://";
            appBmap = "baidumap://";
        }
        else if (this.platform.is("android")) {
            appAmap = "com.autonavi.minimap";
            appBmap = "com.baidu.BaiduMap";
        }
        this.appAvailability.check(appAmap).then(function (yes) {
            _this.hasAmap = true;
        }, function (no) {
            _this.hasAmap = false;
        });
        this.appAvailability.check(appBmap).then(function (yes) {
            _this.hasBmap = true;
        }, function (no) {
            _this.hasBmap = false;
        });
        this.showMapChoose = true;
        // this.appAvailability.check(appAmap)
        // .then(
        // 	(yes: boolean) => {
        // 		// this.iab.create(urlAmap, '_system',{});
        // 		hasAmap = true;
        // 	},
        // 	(no: boolean) => {
        // 		/* 未安装，请编写提示代码或跳转下载 */
        // 		// const alert = this.alertCtrl.create({
        // 		//   subTitle: "不存在高德地图，快去下载~",
        // 		//   buttons: ['OK']
        // 		// });
        // 		// alert.present();
        // 		this.appAvailability.check(appBmap)
        // 		.then(
        // 			(yes: boolean) => {
        // 				this.iab.create(urlBmap, '_system',{});
        // 			},
        // 			(no: boolean) => {
        // 				window.open(" http://api.map.baidu.com/direction?origin=latlng:34.264642646862,108.95108518068|name:当前位置&destination=latlng:39.9761,116.3282|name:钓点位置&mode=driving&region=西安&output=html&src=yourCompanyName|yourAppName");
        // 			}
        // 		);
        // 	}
        // );
    };
    OtherspotsDotsinglePage.prototype.hideMapChoose = function () {
        this.showMapChoose = false;
    };
    OtherspotsDotsinglePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-otherspots-dotsingle',template:/*ion-inline-start:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-dotsingle\otherspots-dotsingle.html"*/'<ion-header>\n  <div class="header">\n    <div class="top">\n      <ion-icon name="arrow-back" class="back" (click)="backIndex()"></ion-icon>\n      <span class="name">{{eventName}}</span>\n      <button class="navMap" (click)="openMap()">导航</button>\n    </div>\n  </div>\n</ion-header>\n\n<ion-content style="background: #f0f0f0;">\n  <div class="body">\n    <div>\n      <div class="wrap">\n        <table class="supers">\n          <tr>\n            <td>点位名称：</td>\n            <td>{{ dataInfo.shortName }}</td>\n          </tr>\n          <tr>\n            <td>所在区域：</td>\n            <td>{{ dataInfo.districtName }}</td>\n          </tr>\n          <tr>\n            <td>行业类型：</td>\n            <td>{{ dataInfo.monitorAreaTypeName }}</td>\n          </tr>\n          <tr>\n            <td>事件信息：</td>\n            <td>\n              <h6 [ngStyle]="{ color: dataInfo.color }">\n                <span>描述：</span>{{ dataInfo.alertTypeName }}\n              </h6>\n              <p><span>时间：</span>{{ dataInfo.alertTime | date: "yyyy-MM-dd HH:mm:ss" }}</p>\n              <p><span>检查者：</span>{{ dataInfo.rummager }}</p>\n              <p\n                *ngIf="dataInfo.incidentPhotosUrl"\n              >\n               <span>图片：</span><img *ngFor="let urls of dataInfo.incidentPhotosUrl"\n                                    src="{{ urls }}"\n                                    (click)="openModal(urls)"/>\n              </p>\n            </td>\n          </tr>\n          <tr>\n            <td>整改信息：</td>\n            <td>\n              <h6>\n                <span>描述：</span>{{ dataInfo.rectificationMsg }}\n              </h6>\n              <p *ngIf="!dataInfo.rectificationTime">\n                <span>时间：</span>{{ dataInfo.rectificationTime | date: "yyyy-MM-dd HH:mm:ss" }}\n              </p>\n              <p\n                *ngIf="dataInfo.rectificationPhotosUrl"\n              >\n                <span>图片：</span><img *ngFor="let urls of dataInfo.rectificationPhotosUrl"\n                                     src="{{ urls }}"\n                                     (click)="openModal(urls)"/>\n              </p>\n            </td>\n          </tr>\n          <tr *ngIf="dataInfo.superviseTime">\n            <td>督办信息：</td>\n            <td>\n              <p><span>督办状态：</span>{{ dataInfo.suggest }}</p>\n              <p><span>反馈信息：</span>{{ dataInfo.result }}</p>\n              <p><span>反馈时间：</span>{{ dataInfo.handlingTime | date: "yyyy-MM-dd HH:mm:ss" }}</p>\n            </td>\n          </tr>\n        </table>\n        </div>\n    </div>\n  </div>\n  <div class="fixMask" *ngIf="showMapChoose">\n    <div class="maskbg" (click)="hideMapChoose()"></div>\n    <div class="items">\n      <div *ngIf="hasAmap" (click)="openByAmap()">高德地图</div>\n      <div *ngIf="!hasAmap">高德地图[未安装]</div>\n      <div *ngIf="hasBmap" (click)="openByBmap()">百度地图</div>\n      <div *ngIf="!hasBmap">百度地图[未安装]</div>\n    </div>\n  </div>\n</ion-content>\n'/*ion-inline-end:"E:\Repertory\company\shengyangapp\src\pages\otherSpots\otherspots-dotsingle\otherspots-dotsingle.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* ModalController */],
            __WEBPACK_IMPORTED_MODULE_3__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* LoadingController */],
            __WEBPACK_IMPORTED_MODULE_4__ionic_storage__["b" /* Storage */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["b" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["l" /* Platform */],
            __WEBPACK_IMPORTED_MODULE_5__ionic_native_in_app_browser__["a" /* InAppBrowser */],
            __WEBPACK_IMPORTED_MODULE_6__ionic_native_app_availability__["a" /* AppAvailability */]])
    ], OtherspotsDotsinglePage);
    return OtherspotsDotsinglePage;
}());

//# sourceMappingURL=otherspots-dotsingle.js.map

/***/ })

},[259]);
//# sourceMappingURL=main.js.map